2008-09-05  Chong Yidong  <cyd@stupidchicken.com>

	* Version 22.3 released.

2008-09-03  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-defs.el (c-version): Increment to 5.31.6.

2008-09-03  Masatake YAMATO  <jet@gyve.org>

	* progmodes/cc-fonts.el (gtkdoc-font-lock-doc-comments): Highlight
	name of parameters in document body.  (sync from trunk 2007-08-23)

2008-08-30  Glenn Morris  <rgm@gnu.org>

	* subr.el (make-variable-frame-local): Tweak obsolescence message.

2008-08-29  Chong Yidong  <cyd@stupidchicken.com>

	* image-mode.el (image-mode): Fix 2008-07-19 change.

2008-08-26  Juanma Barranquero  <lekktu@gmail.com>

	* facemenu.el (facemenu-unlisted-faces): Fix obsolescence declaration.

	* hi-lock.el (hi-lock-mode): Fix typo in docstring.

	* icomplete.el (icomplete-compute-delay, icomplete-get-keys): Doc fixes.
	(icomplete-delay-completions-threshold): Fix typo in docstring.

	* speedbar.el (speedbar-stealthy-function-list)
	(speedbar-verbosity-level, speedbar-supported-extension-expressions)
	(speedbar-update-current-file, speedbar-add-indicator)
	(speedbar-tag-expand): Reflow docstrings.
	(speedbar-use-imenu-flag, speedbar-use-tool-tips-flag)
	(speedbar-ignored-directory-regexp, speedbar-file-unshown-regexp)
	(speedbar-file-regexp, speedbar-message, speedbar-item-info)
	(speedbar-files-item-info, speedbar-fetch-replacement-function)
	(speedbar-maybe-add-localized-support)
	(speedbar-generic-list-positioned-group-p, speedbar-insert-generic-list)
	(speedbar-extract-one-symbol, speedbar-recenter-to-top)
	(speedbar-recenter, speedbar-separator-face): Fix typos in docstrings.
	(speedbar-ignored-directory-expressions, speedbar-handle-delete-frame)
	(speedbar-show-info-under-mouse, speedbar-directory-buttons)
	(speedbar-check-vc-this-line, speedbar-files-line-directory)
	(speedbar-buffer-buttons, speedbar-buffer-buttons-temp)
	(speedbar-buffers-line-directory): Doc fixes.

	* tool-bar.el (tool-bar-add-item): Fix typo in docstring.

	* emacs-lisp/edebug.el (edebug-unwrap*, edebug-signal)
	(edebug-restore-status): Doc fixes.
	(edebug-gensym, edebug-top-level-nonstop, edebug-eval-display)
	(edebug-eval-result-list, edebug-eval-redisplay, edebug)
	(edebug-trace): Fix typos in docstrings.

	* emulation/tpu-edt.el (tpu-match-beginning, tpu-match-end)
	(tpu-check-match, tpu-goto-breadcrumb, tpu-reset-screen-size)
	(tpu-toggle-overwrite-mode, tpu-include, tpu-get, tpu-what-line)
	(tpu-insert-escape, tpu-insert-formfeed, tpu-end-define-macro-key)
	(tpu-check-search-case, tpu-select, tpu-unselect, tpu-trim-line-ends)
	(tpu-toggle-control-keys): Fix typos in docstrings.
	(tpu-kill-buffer): Doc fix.
	(tpu-make-file-buffer-list, tpu-toggle-regexp, tpu-cut)
	(tpu-append-region, tpu-delete-current-char, tpu-emacs-replace):
	Reflow docstrings.

	* eshell/em-smart.el (eshell-review-quick-commands): Doc fix.

	* eshell/esh-arg.el (eshell-quote-backslash): Fix typo in docstring.

	* play/solitaire.el (solitaire, solitaire-mode-map, solitaire-mode-hook)
	(solitaire-mode, solitaire, solitaire-solve): Fix typos in docstrings.

	* progmodes/gdb-ui.el (gdb-source-info): Fix typo in docstring.

	* progmodes/python.el (python-comment-line-p, python-blank-line-p)
	(python-skip-out): Doc fixes.

2008-08-25  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-units.el (math-simplify-units-quotient): Replace
	missing exponent.

2008-08-24  Romain Francoise  <romain@orebokech.com>

	* progmodes/python.el (run-python): Remove '' from sys.path.

2008-08-23  Glenn Morris  <rgm@gnu.org>

	* dired-x.el (dired-guess-shell-alist-user): Doc fix.

2008-08-23  Chong Yidong  <cyd@stupidchicken.com>

	* subr.el (temp-buffer-show-hook): Doc fix.

2008-08-18  Chong Yidong  <cyd@stupidchicken.com>

	* emulation/edt.el (edt-default-emulation-setup): Share
	global-buffers-menu-map with the emulated global map.

2008-08-16  Chong Yidong  <cyd@stupidchicken.com>

	* textmodes/flyspell.el (flyspell-word): Revert last change.

2008-08-15  Glenn Morris  <rgm@gnu.org>

	* eshell/em-ls.el (eshell-ls-files): List one per line in a pipeline.
	(Bug#699)

2008-08-13  Martin Rudalics  <rudalics@gmx.at>

	* emacs-lisp/find-func.el (find-library): Wrap search for
	library name in condition-case to avoid reporting a scan-error.
	(Bug#563)  (sync from trunk 2008-01-25)

2008-08-12  Juanma Barranquero  <lekktu@gmail.com>

	* desktop.el (desktop-minor-mode-table): Add `savehist-mode'.

	* play/solitaire.el (solitaire-solve): Err out if the solitaire
	is already in progress.

2008-08-12  NAKAGAWA Makoto  <gha03025@nifty.ne.jp>  (tiny change)

	* net/ldap.el (ldap-search-internal): Tweak URL regexp.

2008-08-10  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (bootstrap-prepare): Explictly pass EMACS to sub-makes
	that use it, for non-GNU makes (sync from trunk 2008-06-08).

	* cus-dep.el (generated-custom-dependencies-file): Doc fix (sync from
	trunk 2008-06-05).

	* finder.el (generated-finder-keywords-file, finder-exit):
	Doc fix (sync from trunk 2008-06-05).

	* simple.el (toggle-truncate-lines): Doc fix (sync from trunk
	2008-04-10).

	* subr.el (locate-library): Doc fix (sync from trunk 2008-06-10).

	* emacs-lisp/bytecomp.el (byte-compile-maybe-guarded): Doc fix (sync
	from trunk 2008-06-13).
	(byte-compile-file): Doc fix (sync from trunk 2008-04-27).

	* progmodes/f90.el (f90-beginning-of-subprogram)
	(f90-end-of-subprogram):  Only give a message when interactive (sync
	from trunk 2008-06-12).

	* progmodes/fortran.el (fortran-end-of-subprogram): Check for a match
	before trying to move there (sync from trunk 2008-06-11).

	* calendar/cal-bahai.el (holiday-bahai): Use an algorithm actually
	relevant to this calendar system (sync from trunk 2008-03-31).
	(calendar-bahai-date-string): Avoid an error for pre-Bahai dates (sync
	from trunk 2008-03-31).
	(calendar-print-bahai-date): Handle pre-Bahai dates (sync from trunk
	2008-03-20).
	(calendar-absolute-from-bahai): Fix the leap-year case (sync from trunk
	2008-03-20).

	* calendar/calendar.el (increment-calendar-month): Optionally handle
	systems without 12 months per year (sync from trunk 2008-03-31; needed
	for above holiday-bahai fix).

	* calendar/cal-islam.el (holiday-islamic): Doc fix (sync from trunk
	2008-04-23).

	* calendar/cal-julian.el (holiday-julian): Fix a problem with holidays
	in the last fortnight in Julian October (sync from trunk 2008-03-31).

	* calendar/cal-tex.el (cal-tex-preamble-extra): Fix custom type (sync
	from trunk 2008-04-11).

	* calendar/calendar.el (calendar-nth-named-absday)
	(calendar-nth-named-day):
	* calendar/diary-lib.el (list-sexp-diary-entries, diary-float):
	* calendar/holidays.el (holiday-float):
	Doc fixes (sync from trunk 2008-04-29).

	* calendar/diary-lib.el (simple-diary-display, diary-show-all-entries)
	(make-diary-entry): Respect non-nil values of pop-up-frames (sync from
	trunk 2008-03-28).

	* calendar/diary-lib.el (diary-remind): Doc fix.

2008-08-05  Chong Yidong  <cyd@stupidchicken.com>

	* kmacro.el (kmacro-exec-ring-item): Add autoload.

	* files.el (auto-save-visited-file-name): Move definition to
	fileio.c.

	* cus-start.el (all): Handle auto-save-visited-file-name.

2008-08-02  Chong Yidong  <cyd@stupidchicken.com>

	* cus-edit.el (custom-save-all): Avoid destroying symlink if
	already visiting the custom file.

	* pgg-gpg.el (pgg-gpg-process-region): Accept any remaining
	pending output coming after the status change.

2008-07-31  Sven Joachim  <svenjoac@gmx.de>

	* files.el (abbreviate-file-name): When replacing $HOME with ~,
	turn off case-fold-search.

2008-07-31  Joachim Nilsson  <joachim.nilsson@member.fsf.org>  (tiny change)

	* progmodes/cc-styles.el (c-style-alist): For the Ellemtel style,
	move the (arglist-cont-nonempty) from c-offsets-alist to
	c-hanging-braces-alist like other styles already have.

2008-07-19  Markus Triska  <markus.triska@gmx.at>

	* image-mode.el (image-mode): Set image-mode-text-map when image
	cannot be displayed.

2008-07-28  Chong Yidong  <cyd@stupidchicken.com>

	* textmodes/flyspell.el (flyspell-word, flyspell-large-region)
	(flyspell-region): Call ispell-maybe-find-aspell-dictionaries.

	* simple.el (next-error): Do a redisplay to prevent incorrect
	recentering (workaround for bug#197).

2008-07-27  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-perl-directory-files-and-attributes)
	(tramp-get-device): Make device number a cons cell.

2008-07-25  Chong Yidong  <cyd@stupidchicken.com>

	* textmodes/tex-mode.el (tex-compilation-parse-errors): Check for
	invalid filename strings when parsing tex errors (bug#376).

2008-07-24  Sven Joachim  <svenjoac@gmx.de>

	* dired-aux.el (dired-copy-file-recursive): Avoid calling
	set-file-modes when creating target directories.

2008-07-24  Chong Yidong  <cyd@stupidchicken.com>

	* textmodes/enriched.el (enriched-mode-map): Bind C-a and C-j via
	key remapping, not directly.

2008-07-23  Nikolaj Schumacher  <n_schumacher@web.de>  (tiny change)

	* progmodes/flymake.el (flymake-errline, flymake-warnline): Use
	more suitable colors on dark displays.

2008-07-23  Chong Yidong  <cyd@stupidchicken.com>

	* shell.el (shell-dynamic-complete-functions): Use
	comint-dynamic-complete-filename as well (bug#361).

2008-06-21  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-engine.el (c-guess-basic-syntax CASE 5D.5): Fix an
	infinite loop on invalid syntax.

2008-06-11  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-make-temp-file): Backport from Tramp 2.1.

2008-06-08  Michael Albinus  <michael.albinus@gmx.de>

	* uniquify.el (uniquify-get-proposed-name): Handle remote files.

2008-05-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tar-mode.el (tar-header-block-summarize): Ensure one space around
	user&group.

2008-05-25  Ed Reingold  <reingold@emr.cs.iit.edu>

	* calendar/cal-hebrew.el (diary-hebrew-yahrzeit):
	Use diary-ordinal-suffix.

2008-05-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tar-mode.el (tar-summarize-buffer): Handle GNU Tar @LongLink format.

2008-05-24  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-mode.el (c-postprocess-file-styles): Throw an error
	if c-file-style is set to a non-string

	(c-neutralize-CPP-line): Surround by `save-excursion'.
	(c-neutralize-syntax-in-CPP): Optimize for speed.

2008-05-18  David Hull <david@snap.com>  (tiny change)

	* vc-hg.el (vc-hg-annotate-re): Recognize the output of --follow.

2008-05-18  mohrmarc  <debian@miller-mohr.de>  (tiny change)

	* progmodes/fortran.el (fortran-font-lock-keywords-2): Add keywords for
	logic operators .eqv. and .neqv.

2008-05-17  David Hull <david@snap.com>  (tiny change)

	* vc-hg.el (vc-hg-annotate-command): Allow white space before
	version number.

2008-05-12  Simon Marshall  <simon@gnu.org>

	* obsolete/fast-lock.el (fast-lock-cache-directories): Remove "."
	from its default value and give it the risky-local-variable
	property (CVE-2008-2142).

2008-05-10  Reiner Steib  <reiner.steib@gmx.de>

	* smerge-mode.el (smerge-command-prefix): Fix custom type.

2008-05-05  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-read-date-get-relative): Interpret lone
	weekday abbreviation as relative to today.

2008-05-01  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-info-breakpoints-custom):
	Don't throw error if no file is found.

2008-04-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-replace-environment-variables): Remove it.
	There is a more simple solution.
	(tramp-file-name-handler): Apply `substitute-in-file-name' w/o
	Tramp file name handlers.

2008-04-28  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-info-breakpoints-custom): Make breakpoint
	icons work for assembler, i.e. FILE.s, FILE.S (not disassembly).
	(gdb-goto-breakpoint): Likewise for visiting breakpoints.
	(gdb-assembler-custom): Be careful not to match other addresses.

2008-04-27  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-replace-environment-variables): New defun.
	(tramp-file-name-handler): Use it.

2008-04-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-hunk-header-re-unified): Allow elided line counts.
	(diff-end-of-hunk, diff-unified->context, diff-fixup-modifs)
	(diff-sanity-check-hunk): Adjust code accordingly.

2008-04-23  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-ts-active-input-buf): Move defvar to macterm.c.

2008-04-12  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-init-buffer): New function.
	(gdb-set-gud-minor-mode-existing-buffers)
	(gdb-info-breakpoints-custom, gdb-get-location)
	(gdb-set-gud-minor-mode-existing-buffers-1): Use it.
	Previously gdb-create-define-alist wasn't always run and added to
	after-save-hook.

	* progmodes/gud.el (gud-tooltip-tips): Use tooltip-event-buffer

2008-04-12  Kevin Ryde  <user42@zip.com.au>

	* progmodes/make-mode.el (makefile-fill-paragraph): Treat indented
	comments like unindented ones.

2008-04-12  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-ae-open-documents): Adjust selection range
	parameter origins.

2008-04-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (python-mode): Don't mess with hippie-expand.

2008-04-11  Chong Yidong  <cyd@stupidchicken.com>

	* woman.el (woman2-TH): Use string-equal instead of string-match.

2008-04-11  Kevin Ryde  <user42@zip.com.au>

	* emacs-lisp/autoload.el (autoload-generate-file-autoloads):
	Bind print-level to ensure output forms aren't truncated if
	print-level is set to eval-expression-print-level when going via
	eval-defun and friends, or has been otherwise fiddled with.

2008-04-09  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-find-file-name-coding-system-alist):
	New defun.
	(tramp-handle-insert-file-contents, tramp-handle-write-region):
	Use it.

	* net/trampver.el: Update release number.

2008-04-09  Alan Mackenzie  <acm@muc.de>

	* font-lock.el (font-lock-extend-after-change-region-function):
	Make it buffer local.

2008-04-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/cc-mode.el (c-basic-common-init): Don't set
	font-lock-extend-after-change-region-function globally.

2008-04-08  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org-export-latex.el: New file.

	* textmodes/org-irc.el: New file.

	* textmodes/org-mac-message.el: New file.

	* textmodes/org-publish.el: New file.

	* textmodes/org.el (org-agenda-collect-markers)
	(org-create-marker-find-array)
	(org-check-agenda-marker-table, org-extract-log-state-settings)
	(org-nofm-to-completion, org-refile-goto-last-stored)
	(org-export-html-convert-special-strings, org-first-list-item-p)
	(org-imenu-new-marker, org-imenu-get-tree)
	(org-speedbar-set-agenda-restriction)
	(org-agenda-set-restriction-lock)
	(org-agenda-remove-restriction-lock)
	(org-agenda-maybe-redo, org-compute-latex-and-specials-regexp)
	(org-do-latex-and-special-faces, org-read-date-display)
	(org-select-remember-template, org-agenda-copy-local-variable)
	(org-read-date-get-relative, org-columns-cleanup-item)
	(org-find-entry-with-id)
	(org-insert-columns-dblock, org-listtable-to-string)
	(org-dblock-write:columnview, org-columns-capture-view)
	(org-edit-headline, org-parse-local-options)
	(org-in-clocktable-p, org-property-or-variable-value)
	(org-get-tags-string, org-up-heading-safe)
	(org-fast-todo-selection, org-get-wdays)
	(org-switch-to-buffer-other-window, org-agenda-deadline-face)
	(org-add-link-type, org-columns-content, org-columns-widen)
	(org-columns-next-allowed-value, org-columns-edit-allowed)
	(org-columns-store-format)
	(org-columns-uncompile-format, org-columns-redo)
	(org-columns-edit-attributes, org-delete-property)
	(org-set-property, org-columns-update, org-columns-compute)
	(org-columns-eval)
	(org-columns-not-in-agenda, org-columns-compute-all)
	(org-property-next-allowed-value)
	(org-columns-compile-format, org-fill-paragraph-experimental)
	(org-string-to-number, org-property-action, org-columns-move-left)
	(org-columns-new)
	(org-column-number-to-string, org-property-previous-allowed-value)
	(org-at-property-p, org-columns-delete)
	(org-columns-previous-allowed-value)
	(org-columns-move-right, org-columns-narrow)
	(org-property-get-allowed-values)
	(org-verify-version, org-column-string-to-number)
	(org-delete-property-globally)
	(org-get-property-block, org-entry-properties, org-entry-get)
	(org-entry-delete, org-entry-get-with-inheritance)
	(org-entry-put, org-buffer-property-keys, org-new-column-overlay)
	(org-overlay-columns)
	(org-overlay-columns-title, org-remove-column-overlays)
	(org-column-show-value, org-column-quit, org-column-edit)
	(org-cached-entry-get, org-table-put-field-property)
	(org-get-columns-autowidth-alist, turn-on-orgstruct)
	(orgstruct-error, orgstruct-setup)
	(orgstruct-make-binding, org-context-p, org-get-local-variables)
	(org-run-like-in-org-mode)
	(org-make-link-regexps, org-remove-keyword-keys)
	(org-get-todo-face, org-export-get-title-from-subtree)
	(org-assign-fast-keys, org-get-min-level)
	(org-get-wdays, org-clock-find-position)
	(org-clock-goto, org-fontify-priorities)
	(org-get-date-from-calendar)
	(org-entry-add-to-multivalued-property)
	(org-entry-remove-from-multivalued-property)
	(org-entry-member-in-multivalued-property)
	(org-entry-is-todo-p, org-entry-is-done-p, org-get-todo-state)
	(org-agenda-get-restriction-and-command)
	(org-open-link-from-string, org-columns-open-link)
	(org-go-to-remember-target, org-remember-insinuate)
	(org-icalendar-cleanup-string, org-first-sibling-p)
	(org-back-over-empty-lines, org-skip-whitespace)
	(org-goto-local-auto-isearch)
	(org-clocktable-steps, org-refile-get-location)
	(org-kill-line, org-remove-timestamp-with-keyword)
	(org-local-logging): New functions.
	(org-agenda-marker-table, org-log-note-how)
	(org-goto-local-auto-isearch-map)
	(org-last-remember-storage-locations)
	(org-imenu-markers, org-agenda-restriction-lock-overlay)
	(org-speedbar-restriction-lock-overlay)
	(org-massive-special-regexp)
	(org-verbatim-re, org-read-date-display-live)
	(org-agenda-file-regexp, org-complex-heading-regexp)
	(org-completion-fallback-command, org-todo-log-states)
	(org-goto-exit-command, org-goto-selected-point)
	(org-todo-key-alist, org-todo-key-trigger, org-agenda-remove-date)
	(org-agenda-after-show-hook, org-agenda-skip-unavailable-files)
	(org-fast-tag-selection-can-set-todo-state, org-local-properties)
	(org-store-link-functions, org-columns-top-level-marker)
	(orgstruct-mode-map, org-entry-property-inherited-from)
	(org-column-overlays, org-current-columns-fmt)
	(org-current-columns-maxwidths, org-column-map)
	(org-cached-props): New variables.
	(org-special-ctrl-k, org-goto-auto-isearch)
	(org-agenda-todo-keyword-format)
	(org-remember-use-refile-when-interactive)
	(org-imenu-depth, org-highlight-latex-fragments-and-specials)
	(org-agenda-skip-scheduled-if-done, org-extend-today-until)
	(org-agenda-window-frame-fractions, org-fontify-priorities)
	(org-agenda-deadline-leaders, org-use-property-inheritance)
	(org-clock-into-drawer, org-agenda-compact-blocks)
	(org-use-fast-todo-selection, org-fast-tag-selection-include-todo)
	(org-edit-timestamp-down-means-later, org-todo-keyword-faces)
	(org-agenda-deadline-faces, org-remember-store-without-prompt)
	(org-default-columns-format)
	(org-agenda-default-appointment-duration)
	(org-export-with-footnotes, org-clock-out-when-done)
	(org-global-properties, org-todo-keyword-faces)
	(org-archive-save-context-info)
	(org-edit-timestamp-down-means-later)
	(org-scheduled-past-days, org-export-with-drawers)
	(org-read-date-prefer-future, org-hide-emphasis-markers)
	(org-clock-heading-function, org-clock-in-switch-to-state)
	(org-export-with-special-strings): New options.
	(org-link-store, org-link-follow, org-latex)
	(org-remember-templates, org-time-stamp-rounding-minutes)
	(org-back-over-empty-lines, org-find-base-buffer-visiting)
	(org-columns-new): Fix typos in docstrings.
	(org-ctrl-c-star): Implement a missing branch in the decision tree.
	(org-select-remember-template): Clean the code.
	(org-prepare-dblock): Add the extra :content parameter.
	(org-write-agenda): New output type ".ics" files.
	(org-write-agenda): Call `org-icalendar-verify-function', both for
	time stamps and for TODO entries.
	(org-export-as-html): Revert the change that killed the html
	buffer.  Side effects first need to be studied carefully.
	(org-get-tags-at): Fix the structure of the condition-case statement.
	(org-ts-regexp0, org-repeat-re, org-display-custom-time)
	(org-timestamp-change): Fix regulear expressions to swallow the
	extra character for repeat-shift control.
	(org-auto-repeat-maybe): Implement the new repeater mechanisms.
	(org-get-legal-level): Alias to `org-get-valid-level'.
	(org-dblock-write:clocktable): Add a :link parameter, linking
	headlines to their location in the Org agenda files.
	(org-get-tags-at): Bugfix: prevent `org-back-to-heading' from
	throwing an error when getting tags before headlines.
	(org-timestamp-change, org-modify-ts-extra)
	(org-ts-regexp1): Fix timestamp editing.
	(org-agenda-custom-commands-local-options): New constant.
	(org-agenda-custom-commands):
	Use `org-agenda-custom-commands-local-options' to improve customize
	type.  "htmlize": Removed hack to fix face problem with htmlize,
	it no longer seem necessary.
	(org-follow-link-hook): New hook.
	(org-agenda-custom-commands): Add "Component" as a tag for each
	item in a command serie.
	(org-open-at-point): Run `org-follow-link-hook'.
	(org-agenda-schedule): Bugfix: don't display marker type when it
	is nil.
	(org-store-link): org-irc required.
	(org-set-regexps-and-options): Parse the new logging options.
	(org-todo): Handle the new ways of recording state change stuff.
	(org-columns-open-link): Fix bug with opening link in column view.
	(org-todo): Make sure that LOGGING properties are honoured.
	(org-todo-keywords): Improve docstring.
	(org-startup-options): Cleanup startup options.
	(org-set-regexps-and-options): Process the "!" markers.
	(org-todo): Respect the new logging stuff.
	(org-add-log-maybe): New parameter HOW that defines how logging
	should be done and also overrides PURPOSE.  Add a docstring.
	(org-add-log-note): Check if we really need to ask for a note.
	(org-get-current-options): Digest the new keyword.
	(org-agenda-reset-markers): Rename from
	`org-agenda-maybe-reset-markers'.  Remove FORCE argument.
	(org-diary, org-agenda-quit, org-prepare-agenda): Call the renamed
	function, without force argument.
	(org-buffer-property-keys): Bind local variables s and p.
	(org-make-tags-matcher): Allow "" to match an empty or
	non-existent property value.
	(org-export-as-html): Join unsorted lists when they directly
	follow each other.  Such lists may be created by headlines that
	are converted to lists.
	(org-export-as-html): Use :html-extension instead of
	org-export-html-extension.
	(org-store-link): Support for links from `rmail-summary-mode'.
	(org-columns-new, org-complete, org-set-property): Set the
	`include-columns' argument in the call to `org-buffer-property-keys'.
	(org-buffer-property-keys): New argument `include-columns', to
	include properties expected by any of the COLUMS formats in the
	current buffer.
	(org-cleaned-string-for-export): Get rid of drawers first, so that
	they will be removed also in the text before the first headline.
	(org-clock-report): Show the clocktable when found.
	(org-refile): Fix positioning bug when `org-reverse-note-order' is nil.
	(org-version): With prefix argument, insert `org-version' at point.
	(org-agenda-goto): Recenter the window after finding the target
	location, to make sure the correct position will be displayed.
	(org-agenda-get-deadlines): Don't scale priority with the warning
	period.
	(org-insert-heading): Don't break line in the middle of the line.
	(org-agenda-get-deadlines): Allow `org-deadline-warning-days' to
	be 0.
	(org-update-checkbox-count): Revamp to deal with hierarchical
	beckboxes.  This was a patch from Miguel A. Figueroa-Villanueva.
	(org-schedule, org-deadline): Use `org-remove-timestamp-with-keyword'
	to make sure all such time stamps are removed.
	(org-mode): Support for `align'.
	(org-agenda-get-deadlines): Make sure priorities increase as the
	due date approaches and is passed.
	(org-remember-apply-template): Fix problem with tags that contain
	"_" or "@".
	(org-make-link-regexps): Improve the regular expression for plain
	links.
	(org-agenda-get-closed): List each clocking entry.
	(org-set-tags): Only tabify before tags if indent-tabs-mode is t.
	(org-archive-all-done): Fix incorrect number of stars in regexp.
	(org-global-tags-completion-table): Add the value of org-tag-alist
	in each buffer, to make sure that also unused tags will be
	available for completion.
	(org-columns-edit-value)
	(org-columns-next-allowed-value): Only update if not in agenda.
	(org-dblock-write:clocktable): Call `org-clocktable-steps'.
	(org-archive-subtree): Add the outline tree context as a property.
	(org-closest-date): New optional argument `prefer'.
	(org-goto-map, org-get-location): Implement auto-isearch.
	(org-goto-local-search-forward-headings)
	(org-get-entries-from-diary): Require diary-lib.
	(org-agenda-sunrise-sunset): Require solar.
	(org-export-html-style): Doc fix.
	(org-get-legal-level): New obsolete alias.
	(org-get-valid-level): Rename from `org-get-legal-level'.
	(org-promote, org-demote, org-archive-subtree)
	(org-remember-handler, org-refile, org-put-clock-overlay): Use it.
	(org-info): Use info rather than Info-goto-node.
	(org-entry-properties): Let-bind `clocksum'.
	(org-unmodified, org-cycle-emulate-tab)
	(org-descriptive-links, org-link-file-path-type)
	(org-remember-use-refile-when-interactive)
	(org-agenda-skip-timestamp-if-done, org-agenda-scheduled-leaders)
	(org-export-ascii-bullets, org-agenda-deadline-faces)
	(turn-on-orgstruct++, orgtbl-to-texinfo, org-mhe-get-header)
	(org-batch-agenda, org-batch-agenda-csv, org-fix-agenda-info)
	(org-kill-note-or-show-branches): Fix typos in docstrings.
	(org-html-do-expand): `org-export-html-convert-special-strings'
	added to the list of conversion.
	(org-infile-export-plist, org-get-current-options): Add support
	for "-" in the #+OPTION line to let user switch on/off special
	strings conversion.
	(org-export-plist-vars): New :html-table-tag property.
	(org-export-as-html, org-format-org-table-html)
	(org-format-table-table-html) Use the :html-table-tag property
	instead of the `org-export-html-table-tag' global value.
	(org-additional-option-like-keywords): Add "TBLFM".
	(org-entry-properties): Include the CLOCKSUM special property.
	(org-columns-edit-value): Do not allow to edit the special
	CLOCKSUM property.
	(org-flag-drawer): Use the original value of `outline-regexp'.
	(org-remember-handler): Add invisible-ok flag to call to
	`org-end-of-subtree'.
	(org-agenda-highlight-todo): Respect `org-agenda-todo-keyword-format'.
	(org-infile-export-plist): No restriction while searching for
	options.
	(org-remember-handler): Remove comments at the end of the buffer.
	(org-table-sort-lines): Make sure sorting works on link
	descritions only, and ignores the link.
	(org-sort-entries-or-items): Make sure the end of the subtree is
	included.
	(org-refile-use-outline-path): New allowed values `file' and
	`full-file-path'.
	(org-get-refile-targets): Respect new values for
	`org-refile-use-outline-path'.
	(org-agenda-get-restriction-and-command): DEL goes back to initial
	list.
	(org-export-as-xoxo): Restore point when done.
	(org-open-file): Allow multiple %s in command.
	(org-get-refile-targets): Interpret the new maxlevel setting.
	(org-refile-targets): New option `:maxlevel'.
	(org-copy-subtree): Include empty lines before but not after subtree.
	(org-move-item-down, org-move-item-up): Include empty lines before
	but not after item.
	(org-remember-apply-template): Defaults, completions and history
	for template prompts.  Also, interpret new `%!' escape.
	(org-context-choices): New constant.
	(org-bound-and-true-p): New macro.
	(org-agenda-restriction-lock): New face.
	(org-open-at-point): Remove obsolete way to do redirection in
	shell links.
	(org-imenu-and-speedbar): New customization group.
	(org-entry-properties): Return keyword-less time strings.
	(org-clock-in): Use `org-clock-heading-function'.
	(org-calendar-holiday): Try to use `calendar-check-holidays'
	instead of the obsolete `check-calendar-holidays'.
	(org-export-html-special-string-regexps): New constant.
	(org-latex-and-export-specials): New face.
	(org-link-escape-chars): Use characters instead of strings.
	(org-link-escape-chars-browser, org-link-escape)
	(org-link-unescape): Use characters instead of strings.
	(org-export-html-convert-sub-super, org-html-do-expand): Check for
	protected text.
	(org-emphasis-alist): Additional `verbatim' flag.
	(org-set-emph-re): Handle the verbatim flag and compute
	`org-verbatim-re'.
	(org-cleaned-string-for-export): Protect verbatim elements.
	(org-additional-option-like-keywords): Add new keywords.
	(org-get-entry): Rename from `org-get-cleaned-entry'.
	(org-agenda-get-scheduled, org-agenda-get-blocks):
	Use `org-agenda-skip-scheduled-if-done'.
	(org-prepare-agenda-buffers): Allow buffers as arguments.
	(org-entry-properties): Add CATEGORY as a special property.
	(org-use-property-inheritance): Allow a list of properties as a value.
	(org-eval-in-calendar): No longer update the prompt.
	(org-read-date-popup-calendar): Rename from
	`org-popup-calendar-for-date-prompt'.
	(org-remember-apply-template): Define `remember-finalize' if it is
	not yet defined.
	(org-read-date): Respect the setting of
	`org-read-date-prefer-future'.  Use `org-read-date-analyze'.
	(org-set-font-lock-defaults): Use `org-archive-tag' instead of a
	hardcoded string.
	(org-remember-apply-template): Use `remember-finalize' instead of
	`remember-buffer'.
	(org-columns-compute, org-column-number-to-string)
	(org-columns-uncompile-format, org-columns-compile-format)
	(org-columns-compile-format): Handle printf format specifier.
	(org-columns-new, org-column-number-to-string)
	(org-columns-uncompile-format, org-columns-compile-format):
	Support for new currency summary type.
	(org-tree-to-indirect-buffer): Do not kill old buffer when
	`org-indirect-buffer-display' is `new-frame'.
	(org-indirect-buffer-display): Document that `new-frame' leads to
	indiret buffer proliferation.
	(org-agenda-list): Use `org-extend-today-until'.
	(org-format-org-table-html): Use lower-case for <col> tag.
	(org-agenda-execute): New command.
	(org-agenda-mode-map): Keybindings of "g" "G", "e" modified.
	(org-remember-apply-template): Use `org-select-remember-template'.
	(org-region-active-p): Use `use-region-p'.
	(org-cycle-hide-archived-subtrees)
	(org-table-rotate-recalc-marks, org-mark-ring-push)
	(org-follow-info-link, org-mhe-get-message-folder-from-index)
	(org-auto-repeat-maybe, org-store-log-note, org-delete-property)
	(org-evaluate-time-range, org-edit-agenda-file-list):
	(org-paste-subtree):
	(org-calendar-holiday): Use calendar-check-holidays instead of the
	obsolete check-calendar-holidays.
	(org-table-formula-substitute-names): Remove forgotten temporary
	debugging code.
	(org-agenda-get-restriction-and-command): Use `mapc' instead of
	`mapcar'.
	(org-agenda-list): Numeric prefix argument can specify the number
	of days.
	(remember-register, remember-buffer): Prevent byte compiler from
	complaining.
	(org-todo): Save and restore match data.
	(org-no-warnings): New macro.
	(org-columns-eval): Use `org-no-warnings'.
	(org-version): Change to 5.13e.
	(org-agenda-file-regexp): Fix typo in docstring.
	(org-add-planning-info): Fix bug in parenthesis settings.
	(org-scan-tags): Catch the case of indirect buffers with no filename.
	(org-fast-tag-selection, org-export-as-ascii, org-export-as-html):
	Re-install switch to mapc, had been removed by accident.
	(org-columns-map): New binding `C-c C-o'.
	(org-columns-menu): Change menu text and added new entry.
	(org-columns-eval): Document the use of `next-line'.
	(org-columns-follow-link): Remove function.
	(org-read-date-get-relative): Fix typo in docstring.
	(org-read-date-get-relative): Leading +/- is not optional.
	(org-agenda-get-restriction-and-command): Always resize window on
	first loop cycle.
	(org-agenda-open-link): Make sure the link abbreviations are
	present in the agenda buffer.
	(org-agenda-files): Allow directories in the variable.
	(org-agenda): Use `org-agenda-get-restriction-and-command'.
	(org-todo-blocker-hook, org-todo-trigger-hook): New hooks.
	(org-remember-apply-template): Catch C-g and make sure window
	configuration is restored.
	(org-agenda-open-link): Make it work with several links in the line.
	(org-drawers, org-set-regexps-and-options)
	(org-get-current-options): Add support for a DRAWERS in-buffer option.
	(org-fit-agenda-window): Use `org-agenda-window-frame-fractions'.
	(org-agenda-to-appt): Require calendar.
	(org-entry-get-with-inheritance): Widen for search.
	(org-columns-display-here): Don't mark buffer as modified when
	adding space characters to accomodate column overlays.
	(org-export-as-html): Better formatting of tags in the toc.
	(org-columns-display-here): Make the ITEM column as compact as
	possible.
	(org-remember-templates): Customization interface improved.
	(org-export-with-property-drawer): Variable removed.
	(org-sort-entries): Rewrite using `sort-subr'.
	(org-set-property): More appropriate completion during interactive use.
	(org-sort-entries): Allow sorting by property.
	(org-additional-option-like-keywords): Add more values.
	(org-sort-entries-or-items): Rename from `org-sort-entries'.
	(org-at-timestamp-p, org-timestamp-change)
	(org-remember-templates): First element of each entry is now a
	name for the template.
	(org-store-log-note): Check for `org-note-abort'.
	(org-kill-note-or-show-branches): New command.
	(org-cut-subtree, org-copy-subtree): New argument N to act on N
	sequential subtrees.
	(org-paste-subtree): Fix the level at which a tree is pasted.
	(org-fit-agenda-window): Limitations on window size removed.
	(org-agenda-find-same-or-today-or-agenda): Rename from
	`org-agenda-find-today-or-agenda'.
	(org-agenda-scheduled-leaders)
	(org-agenda-get-deadlines): Use `org-agenda-deadline-leaders'.
	(org-agenda-get-scheduled): Use `org-agenda-scheduled-leaders'.
	(org-export-with-tags, org-export-plist-vars)
	(org-infile-export-plist): New "tags" option.
	(org-cached-entry-get): Use `org-use-property-inheritance'.
	(org-remember-apply-template): Fix typo.
	(org-additional-option-like-keywords): New constant.
	(org-complete): Use `org-additional-option-like-keywords'.
	(org-clock-report): Only update the table at point, or insert a
	new one.
	(org-open-file): Use `start-process-shell-command' instead of
	`shell-command' with an ampersand.
	(org-deadline, org-schedule): New argument REMOVE to remove the
	date from the entry.
	(org-agenda-schedule, org-agenda-deadline): Pass the prefix
	argument to `org-schedule' and `org-deadline'.
	(org-trim): Use the correct expressions for beginning and end of
	the string.
	(org-get-cleaned-entry): Trim the string before returning it.
	(org-agenda-tags-column): Rename from
	`org-agenda-align-tags-to-column'.
	(org-agenda-align-tags): Allow negative values for
	`org-agenda-tags-column'.
	(org-insert-labeled-timestamps-before-properties-drawer): Remove var.
	(org-agenda-to-appt): New optional argument FILTER.
	(org-complete): Use `org-completion-fallback-command'.
	(org-find-base-buffer-visiting): Catch the case that there is no
	buffer visiting the file.
	(org-todo): Use `org-property-or-variable-value'
	(org-prepare-agenda, org-agenda-list): Use `org-agenda-compact-blocks'.
	(org-agenda-schedule, org-agenda-deadline):
	Call `org-agenda-show-new-time'.
	(org-agenda-show-new-time): New argument PREFIX.
	(org-colgroup-info-to-vline-list): Fix but that cause a shift in
	the vertical lines.
	(org-buffer-property-keys): New argument INCLUDE-DEFAULTS.
	(org-maybe-renumber-ordered-list, org-cycle-list-bullet)
	(org-indent-item): No arg in call to `org-fix-bullet-type'.
	(org-fix-bullet-type): Remove argument.
	(org-read-date): Check for am/pm twice, to catch the end time.
	(org-goto-map): Use `suppress-keymap'.
	(org-remember-apply-template): Respect the dynamically scoped
	selection character.
	(org-kill-is-subtree-p): Use `org-outline-regexp'.
	(org-outline-regexp): New constant.
	(org-remember-handler): Throw error when the target file is not in
	org-mode.
	(org-cleaned-string-for-export): No longer call
	`org-export-latex-cleaned-string' with an argument.
	(org-get-tags): Returns now a list, not a string.
	(org-archive-subtree): No need to split return of `org-get-tags'.
	(org-set-tags, org-entry-properties): Call `org-get-tags-string'
	instead of `org-get-tags'.
	(org-agenda-format-date): Rename from `org-agenda-date-format'.
	(org-time-from-absolute, org-agenda-format-date-aligned): New funs.
	(org-compatible-face): New argument INHERITS.  Inherit from this
	face if possible.
	(org-level-1, org-level-2, org-level-3, org-level-4)
	(org-level-5, org-level-6, org-level-7, org-level-8)
	(org-special-keyword, org-drawer, org-column, org-warning)
	(org-archived, org-todo, org-done, org-headline-done, org-table)
	(org-formula, org-code, org-agenda-structure)
	(org-scheduled-today, org-scheduled-previously)
	(org-upcoming-deadline, org-time-grid): Call `org-compatible-face'
	in the new way.
	(org-get-heading): New argument NO-TAGS.
	(org-fast-tag-selection-include-todo): Made defvar instead of
	defcustom, feature is not deprecated.
	(org-remember-store-without-prompt): New default value t.
	(org-set-regexps-and-options): #+TODO is an alias for SEQ_TODO.
	Compute the log states.
	(org-goto-map): More commands copied from global map.  Also bind
	`org-occur'.
	(org-goto): Made into a general lookup command.
	(org-get-location): Complete rewrite.
	(org-goto-ret, org-goto-left, org-goto-right, org-goto-quit):
	Set the new variables.
	(org-paste-subtree): Whitespace insertion strategy revised.
	(org-remember-apply-template): Protect v-A from the possibility
	that v-a might be nil.
	(org-remember-handler): Insertion rules revised.
	(org-todo): Respect org-todo-log-states.
	(org-entry-get-with-inheritance): Use `org-up-heading-safe'.
	(org-confirm-shell-link-function)
	(org-confirm-elisp-link-function): Doc fixes.
	(org-re): Also replace the :alpha: class.
	(org-todo-tag-alist): Variable removed.
	(org-log-done): Docstring fixed.
	(org-deadline-warning-days): New default value 14.
	(org-tag-alist): Docstring fixed.
	(org-export-language-setup): New languages added.
	(org-set-regexps-and-options): Compute the new variables.
	(org-paste-subtree): Cleaning up.
	(org-remember-apply-template): New escape %A.
	(org-todo): Call fast TODO selection.
	(org-add-log-note): Allow prefix for abort exit.
	(org-at-property-p, org-entry-properties)
	(org-columns-get-autowidth-alist): Use :alpha: class.
	(org-agenda-get-deadlines): Use `org-get-wdays'.
	(org-agenda-get-deadlines): Reverse ee before returning.
	(org-format-agenda-item): New argument REMOVE-RE.
	(org-agenda-convert-date): Baha'i calendar added.
	(org-infile-export-plist): Also find DATE line.
	(org-export-as-html, org-export-as-ascii): Use the date format.
	(org-shiftup, org-shiftdown): Use.
	`org-edit-timestamp-down-means-later'.
	(org-columns-compile-format)
	(org-columns-get-autowidth-alist, org-buffer-property-keys)
	(org-entry-properties, org-at-property-p): Allow [:alnum:] in
	property names.
	(org-export-visible): Fix drawers before export.
	(org-do-sort): Allow sorting by priority.
	(org-agenda-files): Ignore non-existing files.
	(org-ellipsis): All a face as value.
	(org-mode): Interprete the face value of `org-ellipsis'.
	(org-archive-subtree): Store context info in archived entry.
	(org-fast-tag-selection): Allow setting TODO states through this
	interface.
	(org-cycle): Docstring updated.
	(org-set-font-lock-defaults, org-agenda-highlight-todo):
	Use `org-get-todo-face'.
	(org-table-edit-field, org-table-show-reference)
	(org-table-edit-formulas, org-add-log-note)
	(org-fast-tag-selection, org-agenda, org-prepare-agenda)
	(org-timeline): Use `org-switch-to-buffer-other-window' instead of
	`switch-to-buffer-other-window' to make sure that the temporary
	windows show up on the current frame.
	(org-mhe-get-message-real-folder, org-batch-store-agenda-views)
	(org-get-entries-from-diary, org-replace-region-by-html):
	Don't allow pop-up frames.
	(org-agenda-get-deadlines, org-agenda-get-scheduled): Fix problems
	with time-of-day.
	(org-agenda-get-scheduled, org-agenda-get-deadlines): Fix problems
	with listing items that are DONE.
	(org-change-tag-in-region): New command.
	(org-agenda-skip-scheduled-if-done)
	(org-agenda-skip-deadline-if-done): Docstring clarified.
	(org-mode): Hide drawers on startup.
	(org-set-regexps-and-options): Use `org-remove-keyword-keys'.
	(org-agenda-skip): Allow a form for `org-agenda-skip-function'.
	(org-agenda-redo): Re-use local settings.
	(org-agenda): Store local settings.
	(org-agenda-get-deadlines, org-agenda-get-scheduled): Also handle
	entries on their due date.
	(org-agenda-get-timestamps): No longer handle the due dates of
	schedules and deadline items.
	(org-insert-link-global, org-open-at-point-global): New commands.
	(org-export-as-ascii): Call `org-cleaned-string-for-export' with a
	:for-ascii parameter.
	(org-skip-comments): Function removed.
	(org-cleaned-string-for-export): Handle special table lines.
	(org-entry-get-with-inheritance): Check global properties.
	(org-set-regexps-and-options): Find the #+PROPERTY line.
	(org-link-types): Change type into variable (was constant).
	(org-link-re-with-space, org-link-re-with-space2)
	(org-angle-link-re, org-plain-link-re, org-bracket-link-regexp)
	(org-bracket-link-analytic-regexp, org-any-link-re): Creation of
	these regular expressions happens now in the function
	`org-make-link-regexps'.
	(org-store-link): Call the functions in
	`org-store-link-functions'.
	(org-activate-tags): Force matches to be in headlines.
	(org-batch-store-agenda-views): Fix bug with killing agenda buffer.
	(org-columns-display-here): Make sure this works in a narrowed
	buffer by checking for point-min.
	(org-columns-display-here): Make the rest of the line intangible,
	so that point never can be there.
	(org-cleaned-string-for-export): Use `with-current-buffer'.
	(org-replace-region-by-html): Use `with-current-buffer'.
	(org-unfontify-region, org-do-occur, org-columns-display-here)
	(org-columns-remove-overlays, org-columns-quit)
	(org-columns-edit-value, org-columns-next-allowed-value)
	(org-eval-in-calendar, org-agenda-undo, org-no-read-only)
	(org-finalize-agenda, org-remove-subtree-entries-from-agenda)
	(org-agenda-todo, org-agenda-change-all-lines)
	(org-agenda-align-tags, org-agenda-priority)
	(org-agenda-set-tags, org-agenda-toggle-archive-tag)
	(org-agenda-show-new-time, org-cleaned-string-for-export)
	(org-export-grab-title-from-buffer)
	(org-export-as-ascii, org-export-as-html): Use `inhibit-read-only'
	instead of `buffer-read-only'.
	(org-export-as-html): Set `coding-system-for-write'.
	(org-archive-subtree): Fix bug with modifying TODO keyword.
	(org-beginning-of-line): Also treat C-a special in items.
	(org-table-convert-refs-to-rc): Fix problem with column
	reference after "..".
	(org-columns-compute): Don't mark buffer modified because of text
	properties.
	(org-batch-store-agenda-views): Use the variable
	`default-directory', not the function.
	(org-clock-out-if-current): Respect `org-clock-out-when-done'.
	(org-html-entities): Add HTML entities for smileys.
	(org-end-of-line): Move to end of line if in headline without tags.
	(org-agenda-day-view, org-agenda-week-view): Remember span as default.
	(org-columns-edit-value): Rename from `org-column-edit'.
	(org-columns-display-here-title): Rename from
	`org-overlay-columns-title'.
	(org-columns-remove-overlays): Rename from
	org-remove-column-overlays.
	(org-columns-get-autowidth-alist): Rename from
	`org-get-columns-autowidth-alist'.
	(org-columns-display-here): Rename from `org-overlay-columns'.
	(org-columns-new-overlay): Rename from `org-new-column-overlay'.
	(org-columns-quit): Rename from `org-column-quit'.
	(org-columns-show-value): Rename from `org-column-show-value'.
	(org-columns-current-fmt): Rename from `org-current-columns-fmt'.
	(org-columns-overlays): Rename from `org-column-overlays'.
	(org-columns-map): Rename from `org-column-map'.
	(org-columns-current-maxwidths): Rename from
	`org-current-columns-maxwidths'.
	(org-columns-begin-marker, org-columns-current-fmt-compiled)
	(org-previous-header-line-format)
	(org-columns-inhibit-recalculation)
	(org-columns-default-format): Rename from
	`org-default-columns-format'.
	(org-property-re): New constant.
	(orgstruct-mode): New minor mode.
	(org-cycle-list-bullet): New command.
	(org-special-properties, org-property-start-re)
	(org-property-end-re): New constants.
	(org-with-point-at): New macro.
	(org-insert-property-drawer): New command.
	(org-column): New face.
	(org-column-menu): New menu.
	(org-columns, org-agenda-columns): New commands.
	(org-properties): New customize group.
	(org-priority): Realign tags after changing priority.
	(org-preserve-lc): New macro.
	(org-update-checkbox-count): Catch case when there is no headline.
	(org-agenda-quit): Remove any column overlays.
	(org-beginning-of-item-list): Fix bug when non-item line is
	indented too deep.
	(org-make-tags-matcher): Handle property matches.
	(org-table-recalculate): Swap evaluation order: Field formula
	first, then column formulas, but don't allow them to overwrite the
	field formulas.
	(org-table-eval-formula): New argument untouchable.
	(org-export-as-html): Fix replacement bug for XEmacs.

2008-04-06  Chong Yidong  <cyd@stupidchicken.com>

	* dired.el (dired-dnd-handle-local-file):
	Obey dired-backup-overwrite for copy, move, and link operations.

	* dired-aux.el (dired-overwrite-confirmed): Undo last change.

2008-04-06  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-langs.el (c-before-font-lock-function): Correct a
	typo in the doc string.

	* progmodes/cc-mode.el (c-extend-after-change-region):
	New function, used in font-lock-extend-after-change-region-function,
	thus superseding advice on the Font Lock after change functions.

2008-04-06  Chong Yidong  <cyd@stupidchicken.com>

	* dired-aux.el (dired-overwrite-confirmed): Supply initial value.

2008-04-04  Stephen Berman  <Stephen.Berman@gmx.net>

	* newcomment.el (comment-enter-backward): Be careful to restore
	position changed during narrowing.

2008-04-03  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-mouse-set-clear-breakpoint):
	Fix in disassembly buffer (regression in 22.2).

2008-04-03  Chong Yidong  <cyd@stupidchicken.com>

	* shell.el (shell-dynamic-complete-filename): New fun.
	(shell-dynamic-complete-functions): Use it.

2008-04-02  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-defun-name, c-cpp-define-name):
	New optimised functions to get the name of the current defun/macro.

	* add-log.el (add-log-current-defun): Move the functionality which
	gets the current function name for C like modes to cc-cmds.el,
	thus optimising for speed.

2008-04-02  Eli Zaretskii  <eliz@gnu.org>

	* ps-print.el (ps-generate-postscript-with-faces): If the face
	specified by the overlay's `face' property is a string, assume
	it's a string name and intern it to get the face symbol.

2008-04-01  Chong Yidong  <cyd@stupidchicken.com>

	* find-dired.el (find-dired-filter): Fix last patch to handle
	multi-line process input.  Pad link numbers too.

2008-04-01  Jari Aalto  <jari.aalto@cante.net>

	* find-dired.el (find-dired-filter): Align columns by padding file
	sizes.

2008-04-01  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el: Autoload `calc-yank'.
	(calc-mode-map): Add keybindings for `calc-yank'.
	* calc/calc-ext.el (calc-init-extensions): Remove keybinding
	assignments for `calc-yank'.

2008-03-31  Martin Rudalics  <rudalics@gmx.at>

	* emacs-lisp/find-func.el (find-function-search-for-symbol):
	Strip extension from .emacs.el to make sure symbol is searched
	in .emacs too.

2008-03-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-do-command): Don't show internal temp buffers.

2008-03-29  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-ae-reopen-application): New function.
	(mac-apple-event-map): Bind "reopen application" Apple event to it.

2008-03-29  Juanma Barranquero  <lekktu@gmail.com>

	* term/mac-win.el (mac-dnd-drop-data): Remove redundant check.

2008-03-26  Chong Yidong  <cyd@stupidchicken.com>

	* Version 22.2 released.

2008-03-25  Johan Bockg,Ae(Brd  <bojohan@gnu.org>

	* info.el (Info-isearch-search): Always return point.

2008-03-23  Andreas Schwab  <schwab@suse.de>

	* menu-bar.el (menu-bar-showhide-fringe-ind-menu) [mixed]:
	Fix radio button condition.
	[box]: Likewise.
	[customize]: Add radio button.

2008-03-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-print-log): Ensure it works when passed a
	single file argument.
	(vc-bzr-show-log-entry): Fix typo.

2008-03-19  Wilson Snyder  <wsnyder@wsnyder.org>

	* progmodes/verilog-mode.el (verilog-easy-menu-filter):
	New function.
	(verilog-stmt-menu, verilog-menu): Add :help.
	(verilog-customize, verilog-font-customize)
	(electric-verilog-backward-sexp, electric-verilog-forward-sexp)
	(verilog-mode): Update documentation strings to match tool tips.
	(verilog-auto-search-do, verilog-auto-re-search-do)
	(verilog-skip-forward-comment-or-string): Fix verilog-auto
	expansion when a .* appears inside a string.
	(verilog-re-search-forward, verilog-re-search-backward):
	Add comment to recall how this works.

2008-03-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* net/tls.el (open-tls-stream): Reindent.

2008-03-19  Glenn Morris  <rgm@gnu.org>

	* net/tls.el: Don't require rx when compiling.
	(tls-end-of-info): Rewrite without using rx.
	(open-tls-stream): Use with-current-buffer.

2008-03-18  Dan Nicolaescu  <dann@ics.uci.edu>

	* font-lock.el (font-lock-comment-face): Set the foreground for
	the light background 8 colors case.

	* vc-bzr.el (vc-bzr-print-log): Insert a file marker.  Run the log
	command for each file in the list.
	(vc-bzr-log-view-mode): Recognize the file marker.
	(vc-bzr-show-log-entry): Make regexp match more cases.

2008-03-18  Wilson Snyder  <wsnyder@wsnyder.org>

	* verilog-mode.el (verilog-read-decls): Fix AUTOINPUT/AUTOOUTPUT
	mis-including genvars.

2008-03-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-bzr.el (vc-bzr-log-view-mode, vc-bzr-annotate-command)
	(vc-bzr-annotate-time, vc-bzr-annotate-extract-revision-at-line):
	Revision numbers can include ".".

	* diff-mode.el (diff-end-of-hunk): Be careful not to overlook trailing
	"+" lines not accounted for by counting "-" and context lines.

2008-03-16  Juri Linkov  <juri@jurta.org>

	* dired.el (dired-warn-writable): Rename to `dired-perm-write'.
	(dired-perm-write): Rename from `dired-warn-writable'.
	Change parent face from `font-lock-warning-face' to
	`font-lock-comment-delimiter-face'.
	(dired-warn-writable-face): Rename to `dired-perm-write-face'.
	(dired-perm-write-face): Rename from `dired-warn-writable-face'.
	(dired-font-lock-keywords): Replace `dired-warn-writable-face'
	with `dired-perm-write-face'.

2008-03-16  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-service-open-file): Use file URL instead of
	file name string.

2008-03-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-bzr.el (vc-bzr-registered): Fail if `bzr' is not installed.
	(vc-bzr-annotate-command): Preserve line alignment.
	(vc-bzr-annotate-time): Accept space used to preserve alignment.

2008-03-13  Richard Stallman  <rms@gnu.org>

	* mouse.el (mouse-yank-secondary): Nice error msg if no secondary sel.

	* emacs-lisp/advice.el (defadvice): Add usage pattern.

2008-03-11  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (set-mark-command): Doc fix.

2008-03-10  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el: Add advice about using Cygwin GDB (from a
	thread in [h-e-w]).

2008-03-08  Johan Bockg,Ae(Brd  <bojohan@gnu.org>

	* subr.el (while-no-input): Don't splice BODY directly into the
	`or' form.

2008-03-06  Kim F. Storm  <storm@cua.dk>

	* help.el (view-emacs-todo): Rename from view-todo.  Change users.
	(describe-gnu-project): Rename from describe-project.  Change users.
	Define obsolete function aliases for the old names.

2008-03-05  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/lisp.el (parens-require-spaces): Doc fix.
	Reported by Drew Adams <drew.adams@oracle.com>.

2008-03-05  Juanma Barranquero  <lekktu@gmail.com>

	* iswitchb.el (iswitchb-use-faces): Doc fix.
	(iswitchb-buffer-ignore, iswitchb-read-buffer): Fix typos in docstrings.

2008-03-03  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/verilog-mode.el (verilog-highlight-grouping-keywords):
	Fix typo.
	(verilog-type-font-keywords): Reindent.

2008-03-03  Michael McNamara  <mac@mail.brushroad.com>

	* verilog-mode.el (verilog-font-grouping-keywords): Fix bug in the
	grouping-keyword regular expression.
	(verilog-font-lock-keywords): Allow users to toggle special
	highlight of grouping-keywords.
	(verilog-highlight-grouping-keywords): The toggle for special
	highlighting of grouping keywords.

2008-03-02  Juri Linkov  <juri@jurta.org>

	* startup.el: Revert 2008-02-28 change that adds initial message
	to *scratch* buffer regardless of the value of `inhibit-startup-screen'.

2008-03-01  Dan Nicolaescu  <dann@ics.uci.edu>

	* textmodes/css-mode.el (css-indent-offset, css-electric-keys):
	* textmodes/bibtex-style.el (bibtex-style-indent-basic):
	* progmodes/verilog-mode.el (verilog-mode):
	* net/socks.el (socks):
	* vc-mtn.el (vc-mtn-mode-line-rewrite): Add :version.

2008-03-01  Juanma Barranquero  <lekktu@gmail.com>

	* desktop.el (desktop-read): Set `desktop-dirname' to nil before
	running `desktop-not-loaded-hook' to allow modifying it.
	Don't show warning message if `desktop-dirname' was modified.

2008-03-01  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-mode.el (c-neutralize-syntax-in-CPP): Fix coding bug.

	* progmodes/cc-langs.el (c-before-font-lock-function): Fix bug in
	doc-string, "c-old-LEN" -> "c-old-END".

2008-02-29  Glenn Morris  <rgm@gnu.org>

	* allout.el (allout-topic-encryption-bullet)
	(allout-passphrase-verifier-handling, allout-passphrase-hint-handling)
	(allout-encrypt-unencrypted-on-saves): Change defcustom :version
	from 22.0 to 22.1.

2008-02-29  Juanma Barranquero  <lekktu@gmail.com>

	* desktop.el (desktop-save): Save the buffer name if the
	uniquified base name is empty.

2008-02-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-sanity-check-hunk): Only accept an empty line if
	we still expect more lines.

2008-02-28  Juri Linkov  <juri@jurta.org>

	* startup.el (normal-splash-screen): Add argument `concise'.
	Remove unused binding `prev-buffer'.  Let-bind `splash-buffer'
	to the created buffer.  If `concise' is non-nil, call
	`display-buffer', otherwise `switch-to-buffer'.  Doc fix.
	(display-startup-screen): Add argument `concise' to the call to
	`normal-splash-screen'.

2008-02-28  Kim F. Storm  <storm@cua.dk>

	* startup.el (startup-echo-area-message): Check for about-emacs.

2008-02-28  Juri Linkov  <juri@jurta.org>

	* startup.el: Always add initial message to *scratch* buffer if
	`initial-scratch-message' is non-nil regardless of the value of
	`inhibit-startup-screen'.
	(inhibit-startup-screen, initial-scratch-message): Doc fix.
	(command-line-1): Move code that inserts `initial-scratch-message'
	up before the if-form that checks for `inhibit-startup-screen'.
	Suggested by Jonathan Rockway <jon@jrock.us>.

2008-02-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/fill.el (fill-comment-paragraph): Don't try to do
	comment-paragraph filling if the commark doesn't match
	comment-start-skip.

	* uniquify.el (uniquify-buffer-base-name): Undo last change.

2008-02-28  Daiki Ueno  <ueno@unixuser.org>

	* international/utf-7.el (utf-7-encode): Never skip the trailing - for
	the `imap' variant.

2008-02-27  Juanma Barranquero  <lekktu@gmail.com>

	* uniquify.el (uniquify-buffer-base-name): If the base name is an
	empty string, return nil to allow the caller to default to the
	buffer name.  Reported by Martin Fischer <parozusa@web.de>.

2008-02-26  Jason Rumney  <jasonr@gnu.org>

	* files.el (make-auto-save-file-name): Encode more characters in
	non-file buffer names.  Use url-encoding.

2008-02-26  Juanma Barranquero  <lekktu@gmail.com>

	* net/net-utils.el (ftp-program): Fix typo in docstring.
	(ifconfig-program-options, netstat-program-options)
	(arp-program-options, route-program-options, nslookup-program-options)
	(ftp-program-options, smbclient-program-options)
	(dns-lookup-program-options, arp, route): Doc fixes.

	* progmodes/gdb-ui.el (gdb-pc-address, gdb-source-file-list)
	(gdb-cpp-define-alist-program, gdb-mouse-jump, gdb-get-buffer-create)
	(gdb-set-gud-minor-mode-existing-buffers-1, gdb-debug-log):
	Fix typos in docstrings.
	(gdb-pending-triggers): Reflow docstring.
	(gdb, gdb-init-1): Fix typos in docstrings of gud-def definitions.

2008-02-25  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-mode.el (c-neutralize-syntax-in-CPP): Fix a bug on
	typing "#" at EOB.

2008-02-25  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (shell-quote-wildcard-pattern): Quote ' and " as well.

2008-02-24  Jason Rumney  <jasonr@gnu.org>

	* files.el (file-name-invalid-regexp): Fix octal/decimal confusion.

2008-02-23  Ulrich Mueller  <ulm@gentoo.org>  (tiny change)

	* textmodes/bibtex.el (bibtex-convert-alien): Fix sit-for ags.

2008-02-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* dired.el (dired-mark-prompt): Don't count/display the t element.
	Reported by Carsten Blaauw <it-media.blaauw@daimler.com>.

2008-02-22  Bill Meier  <wmeier@newsguy.com>  (tiny change)

	* progmodes/sh-script.el (sh-indent-comment): Docstring fix.

2008-02-21  Glenn Morris  <rgm@gnu.org>

	* subr.el (sit-for): Fix obsolete form for nil second argument.

2008-02-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/verilog-mode.el (eval-when-compile): Don't define
	add-submenu.
	(verilog-xemacs-menu): Add :keys for C-M-a, C-M-e and C-M-h.
	Remove.  Move contents to the only use ...
	(verilog-menu): ... here.
	(verilog-statement-menu): Remove.  Move contents to the only use ...
	(verilog-stmt-menu): ... here.
	(verilog-mark-defun): Simply call mark-defun for Emacs.
	(occur-pos-list): Declare for byte compiler.
	(mode-popup-menu): Don't defvar.
	(verilog-add-statement-menu): Remove.
	(verilog-mode-hook): Don't add verilog-add-statement-menu.
	(verilog-mode): Call easy-menu-add and set mode-popup-menu for XEmacs.

2008-02-21  Michael McNamara  <mac@mail.brushroad.com>

	* progmodes/verilog-mode.el (verilog-xemacs-menu): Remove XEmacs
	conditional.
	(verilog-font-grouping-keywords-face): Make the begin..end
	keywords standout more than other verilog keywords.
	(verilog-type-font-keywords): Move the begin..end out of this list
	to facilitate making them to (potentially) stand out more.
	(verilog-backward-token): Fix indent of bare always{_*}?, initial,
	function & task blocks.
	(verilog-behavioral-block-beg-re): Fix indent of bare always{_*}?,
	initial, function & task blocks.
	(verilog-forward-sexp): Handle the new "disable fork" statement of
	IEEE-1800 Verilog.
	(verilog-beg-block-re-ordered): Handle the new "disable fork"
	statement of IEEE-1800 Verilog.
	(verilog-calc-1): Handle the new "disable fork" statement of
	IEEE-1800 Verilog.
	(verilog-disable-fork-re): Add const to help handle the new
	"disable fork" statement of IEEE-1800 Verilog.
	(verilog-declaration-core-re): Add port directions by themselves,
	with no qualification, as base item of a declaration.
	(verilog-pretty-declarations): Add new flag to ask it to refrain
	from printing to the message buffer.
	(verilog-pretty-expr): Add a QUIET flag to ask it to refrain from
	printing to the message buffer.  Improve handling of the many
	types of expression line up.
	(verilog-just-one-space): Remove printing of an empty message.
	(verilog-get-lineup-indent): Rework to support the better handling
	of expression lineup for verilog-pretty-expr.
	(verilog-auto-wire): Pass the quiet flag to verilog-pretty-expr.

2008-02-20  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-mode.el (c-extend-region-for-CPP): Bug fix from
	yesterday's commit.

2008-02-20  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-mouse-set-clear-breakpoint): Fall back
	to mouse-set-point in buffers that aren't associated with files.

	* progmodes/gud.el: Rename menu item to "Show GUD tooltips".

2008-02-20  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-autodetect): Add .exe extension to movemail
	on Windows.

2008-02-19  Alan Mackenzie  <acm@muc.de>

	Set of changes so that "obtrusive" syntactic elements in a
	C/C++/ObjC preprocessor line (e.g. an unbalanced string quote or
	unmatched paren) don't interact syntactically with stuff outside
	the CPP line.

	* progmodes/cc-awk.el (c-awk-beyond-logical-line, c-awk-old-ByLL):
	Replace c-awk-end-of-logical-line and c-awk-old-EoLL to solve an
	off-by-one bug.
	(c-awk-record-region-clear-NL): Replaces c-awk-before-change, with
	a bit of refactoring.
	(c-awk-extend-and-syntax-tablify-region): Takes some of the
	functionality of c-awk-advise-fl-for-awk-region, which has been
	refactored away.

	* progmodes/cc-defs.el (c-clear-char-property-with-value-function)
	(c-clear-char-property-with-value): New function and macro which
	remove text-properties `equal' to a supplied value.

	* progmodes/cc-engine.el: Comment about text properties amended.

	* progmodes/cc-fonts.el (c-cpp-matchers): Make it put regexp
	parens around "error\\|warning".

	* progmodes/cc-langs.el (c-get-state-before-change-function)
	(c-before-font-lock-function, c-anchored-cpp-prefix):
	New language variables.
	(c-cpp-message-directives): Handle "#warning" in C, C++ and ObjC.

	* progmodes/cc-mode.el (c-basic-common-init): C and ObjC now use
	syntax-table text properties.
	(c-common-init): Call language specific before/after-change
	functions at mode initialisation.
	(c-new-BEG, c-new-END, c-old-BOM, c-old-EOM): New variables.
	(c-extend-region-for-CPP, c-neutralize-CPP-line)
	(c-neutralize-syntax-in-CPP): New functions.
	(c-before-change, c-after-change): Call the new language specific
	change functions defined in cc-langs.el.
	(c-advise-fl-for-region): New macro.
	(awk-mode): Remove AWK specific stuff which has been refactored
	into language independent stuff.

2008-02-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-file-junk-re): New const.
	(diff-beginning-of-file-and-junk): Use it.
	(diff-file-kill): Make sure we were really inside a file diff.

	* diff-mode.el: Make it more robust in the presence of empty context
	lines in unified hunks.
	(diff-valid-unified-empty-line): New var.
	(diff-unified->context, diff-sanity-check-hunk): Obey it.
	(diff-end-of-hunk): Obey it.  New arg `donttrustheader'.
	(diff-fixup-modifs, diff-post-command-hook): Use this new arg.
	(diff-hunk-header-re-unified): New const.
	(diff-font-lock-keywords, diff-hunk-header-re, diff-split-hunk)
	(diff-fixup-modifs, diff-unified->context, diff-next-complex-hunk)
	(diff-sanity-check-hunk): Use it.

2008-02-19  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdba): Recreate as an alias for gdb.
	(gdb): (Re)set gdb-flush-pending-output to nil here...
	(gdb-init-1): ...instead of here (before gdb-prompt).

2008-02-18  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/verilog-mode.el (customize): Fix typo in error message.
	(verilog-mode, verilog-mode-indent, verilog-mode-actions)
	(verilog-mode-auto, verilog-indent-level-module)
	(verilog-minimum-comment-distance, verilog-library-flags)
	(verilog-library-directories, verilog-library-files)
	(verilog-auto-reset-widths, verilog-imenu-generic-expression)
	(verilog-xemacs-menu, verilog-set-compile-command)
	(verilog-set-compile-command, verilog-mode-syntax-table, verilog-mode)
	(verilog-get-expr, verilog-strip-comments, verilog-one-line)
	(verilog-lint-off, verilog-batch-auto, verilog-batch-delete-auto)
	(verilog-batch-inject-auto, verilog-batch-indent)
	(verilog-continued-line, verilog-type-keywords)
	(verilog-read-sub-decls-sig, verilog-read-sub-decls-line)
	(verilog-read-inst-pins, verilog-read-arg-pins)
	(verilog-read-auto-template, verilog-read-signals, verilog-getopt-file)
	(verilog-add-list-unique, verilog-symbol-detick, verilog-modi-filename)
	(verilog-auto-star, verilog-auto-inst, verilog-auto-wire)
	(verilog-enum-ascii, verilog-sk-begin, verilog-sk-fork)
	(verilog-sk-datadef, verilog-colorize-include-files-buffer)
	(verilog-mode-version, verilog-mode-release-date)
	(verilog-mode-release-emacs, verilog-linter, verilog-coverage)
	(verilog-simulator, verilog-compiler)
	(verilog-auto-sense-defines-constant, verilog-company)
	(verilog-project, verilog-mark-defun, verilog-submit-bug-report):
	Fix typos in docstrings.
	(verilog-set-auto-endcomments, verilog-calculate-indent)
	(verilog-inject-auto, verilog-auto-arg, verilog-auto-inout-module):
	Reflow docstrings.
	(verilog-tab-always-indent, verilog-highlight-p1800-keywords)
	(verilog-auto-star-save, verilog-auto-inst-vector, verilog-mode-hook)
	(electric-verilog-forward-sexp, verilog-in-case-region-p)
	(verilog-in-struct-region-p, verilog-in-generate-region-p)
	(verilog-leap-to-head, verilog-current-indent-level)
	(verilog-case-indent-level, verilog-cpp-keywords)
	(verilog-defun-keywords, verilog-block-keywords, verilog-tf-keywords)
	(verilog-case-keywords, verilog-separator-keywords, verilog-completion)
	(verilog-signals-not-in, verilog-symbol-detick-text)
	(verilog-modi-cache-preserve-tick, verilog-modi-cache-preserve-buffer)
	(verilog-forward-close-paren, verilog-backward-open-paren)
	(verilog-backward-open-bracket): Doc fixes.

	* progmodes/gud.el (gud-def, gud-last-speedbar-stackframe): Doc fixes.
	(gud-symbol, gud-expansion-speedbar-buttons, gud-speedbar-buttons)
	(gud-gdb-run-command-fetch-lines, gud-dbx-use-stopformat-p)
	(gud-jdb-classpath, gud-jdb-find-source-using-classpath, jdb)
	(gud-find-class, gdb-script-mode, gud-tooltip-event, gud-tooltip-tips):
	Fix typos in docstrings.

2008-02-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/ada-mode.el (ada-font-lock-syntactic-keywords):
	Recognize ''' just like any other char-constant.

2008-02-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-hooks.el (vc-find-root): Remove initial loop because it's not
	careful enough.  Detect the uid-change all within the main loop.

2008-02-14  Stefan Monnier  <monnier@pastel.home>

	* textmodes/sgml-mode.el (sgml-mode): Fix comment syntax.

2008-02-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* hilit-chg.el (highlight-save-buffer-state): New macro.
	(highlight-save-buffer-state, hilit-chg-set-face-on-change)
	(hilit-chg-clear): Use it to preserve the modified-p flag.
	(highlight-changes-rotate-faces): Don't mess with the undo-list.

2008-02-13  Michael Albinus  <michael.albinus@gmx.de>

	* net/ange-ftp.el (ange-ftp-cf1): Quote FILENAME.

2008-02-12  Juri Linkov  <juri@jurta.org>

	* startup.el (fancy-startup-screen, normal-splash-screen):
	Set default-directory to command-line-default-directory.

	* desktop.el (after-init-hook): Set inhibit-startup-screen to t
	after reading the desktop.

2008-02-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* font-lock.el (font-lock-set-defaults): Unset previously set variables
	when needed.

2008-02-12  Juanma Barranquero  <lekktu@gmail.com>

	* uniquify.el (uniquify-buffer-base-name): New function.
	Suggested by Stefan Monnier <monnier@iro.umontreal.ca>.

	* desktop.el (uniquify-managed): Don't defvar.
	(desktop-buffer-info): Use `uniquify-buffer-base-name', not
	`uniquify-managed'.  Return also the buffer's base name.
	(desktop-save): When saving the buffer info, filter out the base name,
	and save it as buffer name if the buffer is managed by uniquify.

2008-02-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-beginning-of-file-and-junk): If we're on the
	Index: line, don't search backward for the previous one.

2008-02-10  ,AF(Bvar Arnfj,Av(Br,Ap(B Bjarmason  <avar@cpan.org>  (tiny change)

	* net/rcirc.el (rcirc-url-regexp): Replace definition by copying
	from gnus-button-url-regexp.

2008-02-09  Eli Zaretskii  <eliz@gnu.org>

	* progmodes/compile.el (compilation-next-error): Doc fix.
	(compilation-find-file): Doc fix.

2008-02-09  Glenn Morris  <rgm@gnu.org>

	* net/net-utils.el (ipconfig-program, ipconfig-program-options):
	Add obsolete aliases to the old names.

2008-02-08  Richard Stallman  <rms@gnu.org>

	* net/net-utils.el (ifconfig): Rename from ipconfig.
	(ipconfig): Alias to ifconfig.
	(ifconfig-program): Rename from ipconfig-program.
	(ifconfig-program-options): Rename from ipconfig-program-options.

2008-02-08  Glenn Morris  <rgm@gnu.org>

	* custom.el (custom-theme-set-variables): Sort symbols that are
	dependencies before symbols that depend on them.
	(custom-enabled-themes): Set after custom-theme-directory.

2008-02-04  Juanma Barranquero  <lekktu@gmail.com>

	* w32-vars.el (w32-system-shells): Add TCC (new name for 4NT).

2008-02-04  Michael McNamara  <mac@mail.brushroad.com>

	* progmodes/verilog-mode.el (verilog-declaration-core-re):
	Add port directions by themselves, with no qualification, as base
	item of a declaration.
	(verilog-pretty-declarations): Add new flag that inhibits printing
	to the message buffer.
	(verilog-pretty-expr): Add new flag that inhibits printing to the
	message buffer.  Improve handling of the many types of expression
	line up.
	(verilog-just-one-space): Don't print an empty message.
	(verilog-get-lineup-indent): Rework to support the better handling
	of expression lineup for verilog-pretty-expr.
	(verilog-auto-wire): Pass the quiet flag to verilog-pretty-expr.
	(verilog-mode-version, verilog-mode-release-date): Update.

2008-02-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (cancel-change-group): Don't move point.

2008-02-02  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.0.57.

	* net/tramp.el (tramp-handle-make-auto-save-file-name)
	(tramp-completion-dissect-file-name, tramp-find-executable):
	Use `mapc' instead of `mapcar'.
	(tramp-open-connection-setup-interactive-shell): Send only single
	prompt setting commands, in order to avoid double-prompt.

	* net/tramp-vc.el (tramp-vc-do-command): Use `mapc' instead of
	`mapcar'.

	* net/trampver.el: Update release number.

2008-02-01  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/etags.el (next-file): Improve revert message.

2008-02-01  Juanma Barranquero  <lekktu@gmail.com>

	* term/w32-win.el (image-library-alist): Prefer libpng12 to libpng13,
	because the latter is in fact a 1.2.8 build distributed with GTK+ (as
	of today, the most recent libpng is 1.2.24).

2008-02-01  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* vc.el (vc-update): Fix bug: Specify branch tip as
	vc-checkout REVISION.  Reported by Dan Nicolaescu.

2008-02-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (reindent-then-newline-and-indent): Be careful about the
	unusual case where indent-according-to-mode moves point.

2008-02-01  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/verilog-mode.el (verilog-sk-prompt-msb)
	(verilog-sk-module, verilog-sk-function, verilog-sk-begin)
	(verilog-sk-if, verilog-sk-wire, verilog-sk-for)
	(verilog-sk-state-machine): Quote all calls to
	"auxiliary skeleton"s to prevent infloops.

2008-01-31  Jason Rumney  <jasonr@gnu.org>

	* w32-fns.el: Partially revert 2007-11-10 change.

2008-01-31  Martin Rudalics  <rudalics@gmx.at>

	* mail/rmail.el (rmail-highlight): Fix specification.
	Reported by pod <pod@herald.ox.ac.uk>.

2008-01-31  Jason Rumney  <jasonr@gnu.org>

	* term/w32-win.el (image-library-alist): Prefer libxpm.dll.

2008-01-30  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-var-set-format-regexp): New constant.
	(gdb-var-set-format-handler): New function.
	(gdb-var-set-format): Use it.

2008-01-29  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-langs.el (c-block-stmt-1-kwds, c-block-stmt-2-kwds)
	(c-simple-stmt-kwds): New Objective C keywords: @finally, @try,
	@catch, @synchronized, @throw.

	* progmodes/cc-langs.el (c-specifier-key): Exclude "template"
	from this regexp; part of same fix as next change to cc-engine.el.

	* progmodes/cc-engine.el (c-guess-basic-syntax, CASE 5A.5):
	Anchor the "{" of a template function correctly on "template", not the
	following "<".

	* progmodes/cc-defs.el (c-version): Increase to 5.31.5.

2008-01-29  Richard Stallman  <rms@gnu.org>

	* progmodes/etags.el (tags-query-replace): Delete unused optional args.
	Doc fix.

	* files.el (hack-local-variables): Don't query about fake variables.

2008-01-27  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-create-define-alist): Don't call
	gdb-cpp-define-alist-program if file is nil (currently only
	" *partial-output-...").

2008-01-27  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-awk.el, progmodes/cc-engine.el: Correct typos,
	enhance comments.

2008-01-27  Richard Stallman  <rms@gnu.org>

	* allout.el: Many doc fixes.
	(allout-encrypt-string): Fix error message.

2008-01-26  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-vars.el (c-hanging-braces-alist): New element for
	arglist-cont-nonempty.

	* progmodes/cc-cmds.el (c-brace-newlines): Determine the newlines
	for a brace with syntax arglist-cont-nonempty.

	* progmodes/cc-styles.el (c-style-alist): Add elements for
	arglist-cont-nonempty into 5 styles (gnu, ellemtel, linux, python,
	awk).

2008-01-26  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-defs.el (c-save-buffer-state):
	Bind buffer-file-name and buffer-file-truename to nil, to prevent
	primitives generating "buffer is read only" messages.

2008-01-26  Eli Zaretskii  <eliz@gnu.org>

	* progmodes/etags.el (tags-query-replace): Doc fix.

2008-01-26  Phil Sung  <psung@mit.edu>  (tiny change)

	* wdired.el (wdired-get-filename): Change `(1+ beg)' to `beg' so
	that the filename end is found even when the filename is empty.
	Fixes error and spurious newlines when marking files for deletion.

2008-01-25  Juanma Barranquero  <lekktu@gmail.com>

	* allout.el (allout-unload-function): New function.

2008-01-25  Sven Joachim  <svenjoac@gmx.de>

	* view.el (kill-buffer-if-not-modified): Don't pass t to
	buffer-modified-p.

2008-01-25  Juanma Barranquero  <lekktu@gmail.com>

	* allout.el (allout-prefix-data): Doc fix.
	(allout-show-current-subtree): Reflow docstring.
	(allout-use-mode-specific-leader, allout-use-hanging-indents)
	(produce-allout-mode-map, allout-overlay-interior-modification-handler)
	(allout-next-heading, allout-previous-heading, allout-rebullet-heading)
	(allout-rebullet-topic, allout-rebullet-topic-grunt, allout-kill-topic)
	(allout-copy-topic-as-kill, allout-listify-exposed)
	(allout-process-exposed, allout-encrypted-key-info)
	(allout-update-passphrase-mnemonic-aids)
	(allout-next-topic-pending-encryption)
	(allout-tests-globally-true): Fix typos in docstrings.

2008-01-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-version-diff): Make sure we shrink the right window.

2008-01-23  Jason Rumney  <jasonr@gnu.org>

	* lpr.el (printer-name): Do not set on MS Windows.

2008-01-20  Glenn Morris  <rgm@gnu.org>

	* progmodes/python.el: Quote all calls to "auxiliary skeleton"s to
	prevent infloops.

2008-01-20  Martin Svenson  <phromo@gmail.com>  (tiny change)

	* progmodes/python.el (python-imports): Default to "None".

2008-01-19  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/sh-script.el (sh-basic-offset):
	* progmodes/cc-vars.el (c-syntactic-indentation)
	(c-syntactic-indentation-in-macros): Mark as safe.

2008-01-18  Richard Stallman  <rms@gnu.org>

	* icomplete.el (icomplete-get-keys):
	Look up KEYS using all maps in proper buffer.

2008-01-16  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-vars.el (c-constant-symbol): Put this defun inside an
	eval-and-compile, so as to permit byte-compiling (e.g. in bootstrap).

2008-01-16  Juanma Barranquero  <lekktu@gmail.com>

	* frame.el (display-mm-height, display-mm-width):
	* whitespace.el (whitespace-check-leading-whitespace)
	(whitespace-check-trailing-whitespace)
	(whitespace-check-spacetab-whitespace)
	(whitespace-check-indent-whitespace)
	(whitespace-check-ateol-whitespace):
	* progmodes/ada-xref.el (ada-convert-file-name): Fix typo in docstring.

2008-01-16  Glenn Morris  <rgm@gnu.org>

	* comint.el (comint-regexp-arg): Fix no-input case.

2008-01-16  Ulf Jasper  <ulf.jasper@web.de>

	* calendar/icalendar.el (icalendar-export-file)
	(icalendar-import-file): Restore significant trailing whitespace
	in `interactive' prompts.

2008-01-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-arch.el (vc-arch-delete-rej-if-obsolete): Remove the
	after-save-hook so that it is not called multiple times.

	* vc-svn.el (vc-svn-resolve-when-done): Likewise.

2008-01-15  Glenn Morris  <rgm@gnu.org>

	* diff-mode.el (diff-end-of-hunk): Revert 2008-01-08 change.

2008-01-14  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-vars.el (c-constant-symbol): New function which
	supersedes c-const-symbol.  During a customize-.. call it enables
	an element of (e.g.) c-hanging-braces alist to have its name
	displayed, even when the default value of c-h-b etc. doesn't
	include the elemnt.  Replace uses of the old function by the new.

	* progmodes/cc-vars.el (c-hanging-braces-alist): Remove the
	obscure non-working fragment ":value c-".

	* progmodes/cc-engine.el (c-guess-basic-syntax): Prevent a macro
	call inside a struct being recognised as a K&R argument.

2008-01-14  Jason Rumney  <jasonr@gnu.org>

	* image.el (image-type): Use image-type-from-file-name (from trunk
	2007-05-21  Chong Yidong  <cyd@stupidchicken.com>).

2008-01-12  Glenn Morris  <rgm@gnu.org>

	* woman.el (woman-parse-numeric-arg): Change handling of `==':
	can be interned without a function definition.

2008-01-12  Eli Zaretskii  <eliz@gnu.org>

	* view.el (view-file-other-window, view-file-other-frame):
	Don't kill the buffer if it is modified.  Doc fixes.
	(kill-buffer-if-not-modified): New function.
	(view-file): Don't kill the buffer if it is modified.

	* progmodes/ebrowse.el (ebrowse-view-file-other-window): Delete.
	(ebrowse-view/find-file-and-search-pattern):
	Call view-file-other-window instead of ebrowse-view-file-other-window.
	(ebrowse-view-file-other-frame): Don't call
	current-window-configuration.  Fix second argument in the call to
	view-mode-enter.  Doc fix.

2008-01-11  Richard Stallman  <rms@gnu.org>

	* subr.el (atomic-change-group): Prevent undo list truncation.

2008-01-11  Martin Rudalics  <rudalics@gmx.at>

	* cus-start.el (all): Add missing version entries.

2008-01-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* files.el (safe-local-eval-forms):
	Mark (add-hook 'write-file-hooks 'time-stamp) as safe.

2008-01-10  Nick Roberts  <nickrob@snap.net.nz>

	* comint.el (comint-insert-input): Set point first.

	* progmodes/gdb-ui.el (gdb-dequeue-input): Make doubly sure
	session doesn't hang because gdb-pending-triggers is non-nil.
	(gdb-frame-handler): Use buffer-file-name instead of
	buffer-name in case of duplicate file names.

2008-01-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/verilog-mode.el (verilog-mode-map): Don't bind C-M-a,
	C-M-e and C-M-h for emacs, they work by default.
	(verilog-emacs-features): Remove.
	(verilog-setup-dual-comments, verilog-populate-syntax-table):
	Remove.  Move syntax table initialization ...
	(verilog-mode-syntax-table): ... here.
	(verilog-mode): Don't initialize the syntax table here.
	(verilog-mark-defun): Only do something useful for XEmacs, Emacs
	does not need it.

2008-01-10  Glenn Morris  <rgm@gnu.org>

	* shell.el (shell-dirtrack-verbose, shell-mode)
	(shell-directory-tracker, shell-dirtrack-mode): Doc fix.
	(dirtrack-toggle, dirtrack-mode): No longer alias to
	shell-dirtrack-mode.

2008-01-10  Kenichi Handa  <handa@ni.aist.go.jp>

	* international/mule-cmds.el (select-safe-coding-system):
	When a buffer is modified, cancel the writing.

2008-01-09  Wilson Snyder  <wsnyder@wsnyder.org>

	* progmodes/verilog-mode.el (verilog-booleanp): New function for
	backward compatibility.  Replace all uses of booleanp with
	verilog-booleanp.

2008-01-09  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-diff): Don't pass an empty string.

2008-01-09  Wilson Snyder  <wsnyder@wsnyder.org>

	* progmodes/verilog-mode.el (top-level): Fix spacing.
	(verilog-mode-version, verilog-mode-release-date): Update version
	number.
	(verilog-mode-release-emacs): New variable.
	(compile-command, reporter-prompt-for-summary-p): Define for byte
	compiler.
	(verilog-startup-message-lines)
	(verilog-startup-message-displayed)
	(verilog-display-startup-message): Remove.
	(verilog-highlight-p1800-keywords): Improve docstring.
	(sigs-in, sigs-out, got-sig, got-rvalue, uses-delayed)
	(vector-skip-list): Only defvar at compile time.
	(verilog-highlight-translate-off, verilog-indent-level)
	(verilog-indent-level-module, verilog-indent-level-declaration)
	(verilog-indent-declaration-macros, verilog-indent-lists)
	(verilog-indent-level-behavioral)
	(verilog-indent-level-directive, verilog-cexp-indent)
	(verilog-case-indent, verilog-auto-newline)
	(verilog-auto-indent-on-newline, verilog-tab-always-indent)
	(verilog-tab-to-comment, verilog-indent-begin-after-if)
	(verilog-align-ifelse, verilog-minimum-comment-distance)
	(verilog-auto-lineup, verilog-highlight-p1800-keywords)
	(verilog-auto-endcomments, verilog-auto-read-includes)
	(verilog-auto-star-expand, verilog-auto-star-save)
	(verilog-library-flags, verilog-library-directories)
	(verilog-library-files, verilog-library-extensions)
	(verilog-active-low-regexp, verilog-auto-sense-include-inputs)
	(verilog-auto-sense-defines-constant, verilog-auto-reset-widths)
	(verilog-assignment-delay, verilog-auto-inst-vector)
	(verilog-auto-inst-template-numbers)
	(verilog-auto-input-ignore-regexp)
	(verilog-auto-inout-ignore-regexp)
	(verilog-auto-output-ignore-regexp)
	(verilog-auto-unused-ignore-regexp, verilog-typedef-regexp):
	Add safe-local-variable properties.
	(verilog-statement-menu, verilog-company)
	(verilog-re-search-forward, verilog-re-search-backward)
	(verilog-error-regexp-add, verilog-end-block-re)
	(verilog-emacs-features, verilog-populate-syntax-table)
	(verilog-setup-dual-comments, verilog-type-font-keywords)
	(verilog-inside-comment-p, electric-verilog-backward-sexp)
	(verilog-backward-sexp, verilog-forward-sexp)
	(verilog-font-lock-init, verilog-mode)
	(electric-verilog-terminate-line, electric-verilog-semi)
	(electric-verilog-tab, verilog-insert-1, )
	(verilog-insert-indices, verilog-generate-numbers)
	(verilog-comment-region, verilog-label-be)
	(verilog-beg-of-statement, verilog-in-case-region-p)
	(verilog-in-struct-region-p, verilog-in-generate-region-p)
	(verilog-in-fork-region-p, verilog-backward-case-item)
	(verilog-set-auto-endcomments, verilog-get-expr)
	(verilog-expand-vector-internal, verilog-surelint-off)
	(verilog-batch-execute-func, verilog-calculate-indent)
	(verilog-calc-1, verilog-calculate-indent-directive)
	(verilog-leap-to-head, verilog-continued-line)
	(verilog-backward-token, verilog-backward-syntactic-ws)
	(verilog-forward-syntactic-ws, verilog-backward-ws&directives)
	(verilog-forward-ws&directives, verilog-at-constraint-p)
	(verilog-skip-backward-comments, verilog-indent-line-relative)
	(verilog-do-indent, verilog-indent-comment)
	(verilog-more-comment, verilog-pretty-declarations)
	(verilog-pretty-expr, verilog-just-one-space)
	(verilog-indent-declaration, verilog-get-completion-decl)
	(verilog-goto-defun, verilog-showscopes, verilog-header)
	(verilog-signals-combine-bus, verilog-read-decls)
	(verilog-read-always-signals-recurse, verilog-read-instants)
	(verilog-read-auto-template, verilog-set-define)
	(verilog-read-defines, verilog-read-signals, verilog-getopt)
	(verilog-is-number, verilog-expand-dirnames)
	(verilog-modi-lookup, verilog-modi-cache-results)
	(verilog-insert-one-definition, verilog-make-width-expression)
	(verilog-delete-autos-lined, verilog-auto-save-check)
	(verilog-auto-arg, verilog-auto-inst-port, verilog-auto-inst)
	(verilog-auto-inst-param, verilog-auto-reg)
	(verilog-auto-reg-input, verilog-auto-wire, )
	(verilog-auto-output, verilog-auto-output-every)
	(verilog-auto-input, verilog-auto-inout)
	(verilog-auto-inout-module, verilog-auto-sense)
	(verilog-auto-reset, verilog-auto-tieoff, verilog-auto-unused)
	(verilog-auto-ascii-enum, verilog-auto)
	(verilog-sk-define-signal, verilog-mode-mouse-map)
	(verilog-load-file-at-mouse, verilog-load-file-at-point)
	(verilog-library-files): Cleanup spacing of )'s they should not be
	on unique lines.  Fix checkdoc warnings.

2008-01-09  Glenn Morris  <rgm@gnu.org>

	* ffap.el (ffap-string-at-point-mode-alist): Add `\' to file
	entry, for Windows.

2008-01-09  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Some face attributes (like :strike-through) was not
	being recognised.  Reported by Leo <sdl.web@gmail.com>.
	(ps-face-strikout-p, ps-face-overline-p, ps-face-box-p): New funs.
	(ps-screen-to-bit-face): Fix code.

2008-01-08  Kevin Ryde  <user42@zip.com.au>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	For perl, allow "during global destruction" at end.

2008-01-08  Glenn Morris  <rgm@gnu.org>

	* diff-mode.el (diff-end-of-hunk): Don't match empty lines in
	unified format.

	* mouse.el (mouse-major-mode-menu): Suppress duplicate menus.

2008-01-08  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-var-list-children-1): Put varnum in
	quotes in case of spaces, e.g. STL containers (not pretty).

2008-01-07  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-log-view-mode): Handle the user field better.

2008-01-07  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gud-gdb-command-name):
	Explain "--annotate=3" option is necessary for the Graphical Interface.

2008-01-07  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-dir-state): Pass the dir argument to vc-hg-command.

2008-01-07  Glenn Morris  <rgm@gnu.org>

	* calc/calc-help.el (calc-full-help): Use emacs-copyright.

2008-01-06  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/hideif.el (hide-ifdef-mode-menu): Put hide-ifdef commands
	on menu bar.

2008-01-06  Michael Albinus  <michael.albinus@gmx.de>

	* ffap.el (ffap-read-file-or-url): Let-bind
	`file-name-handler-alist' due to `rfn-eshadow-update-overlay'.

2008-01-05  Sven Joachim  <svenjoac@gmx.de>

	* vc-bzr.el: Fix typo in header.

2008-01-05  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.in (custom-deps, finder-data): Depend on autoloads
	instead of loaddefs.el.

2008-01-05  Glenn Morris  <rgm@gnu.org>

	* progmodes/verilog-mode.el: Replace all instances of
	string-to-int with string-to-number, insert-string with insert,
	and read-input with read-string.
	(top-level): No need to require imenu, reporter, dinotrace, vc,
	font-lock when compiling.  Always require compile.  Relegate remaining
	compatibility cruft to XEmacs.  Don't require font-lock.
	(verilog-version): Remove superfluous concat.
	(dinotrace-unannotate-all, zmacs-activate-region, customize-apropos):
	No need to define.
	(verilog-regexp-opt): On Emacs, just make it an alias for regexp-opt.
	(verilog-font-lock-keywords, verilog-font-lock-keywords-1)
	(verilog-font-lock-keywords-2, verilog-font-lock-keywords-3)
	(verilog-startup-message-displayed): These are variables, not constants.
	(verilog-batch-execute-func, verilog-auto-inst)
	(verilog-auto-inst-param): Use mapc rather than mapcar.
	(sigs-in, sigs-inout, sigs-out): Define for compiler rather than
	actually defining.
	(verilog-modi-get-decls, verilog-modi-get-sub-decls)
	(verilog-modi-get-outputs, verilog-modi-get-inouts)
	(verilog-modi-get-inputs, verilog-modi-get-wires)
	(verilog-modi-get-regs, verilog-modi-get-assigns)
	(verilog-modi-get-consts, verilog-modi-get-gparams)
	(verilog-modi-get-sub-outputs, verilog-modi-get-sub-inouts)
	(verilog-modi-get-sub-inputs): Move inline functions earlier in
	the file.
	(sigs-in, sigs-out): Don't declare multiple times.
	(got-sig, got-rvalue, uses-delayed): Define for compiler with just
	`defvar'.
	(verilog-auto): Call dinotrace-unannotate-all only if bound.
	(verilog-module-inside-filename-p): No need to wrap fboundp test
	in condition-case.
	(reporter-submit-bug-report): Autoload it.
	(verilog-mark-defun): Call zmacs-activate-region only if bound.
	(verilog-font-customize): Call customize-apropos only if bound.
	(verilog-getopt-flags, verilog-auto-reeval-locals):
	Use make-local-variable rather than make-variable-buffer-local.
	(verilog-company, verilog-project, verilog-modi-cache-list):
	Move make-variable-buffer-local calls to top-level.
	(font-lock-defaults-alist): Don't define it.
	(verilog-need-fld): Remove.
	(verilog-font-lock-init): Don't set font-lock-defaults-alist.
	(verilog-mode): Only call make-local-hook on XEmacs.
	Set font-lock-defaults rather than using verilog-font-lock-init.

	* progmodes/verilog-mode.el (top-level): Don't require compile.
	(compilation-error-regexp-alist, compilation-last-buffer):
	Define for compiler.
	(verilog-insert-1): New function.
	(verilog-insert-indices, verilog-generate-numbers): Doc fixes.
	Use verilog-insert-1.
	(verilog-surelint-off): Use next-error-last-buffer if bound.
	Check compile buffer is live.

2008-01-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-cvs.el (vc-cvs-annotate-time): Don't move backward when text
	gets inserted out-of-order.

2008-01-04  Riccardo Murri  <riccardo.murri@gmail.com>

	* vc-bzr.el: Copyright and version headers update.
	Remove some outdated comments through the whole file.
	(vc-bzr-program-args): Remove because unused.
	(vc-bzr-log-switches): New customization option.
	(vc-bzr-command): Use LC_MESSAGES=C instead of LC_ALL=C.  No longer
	use `vc-bzr-program-args'.
	(vc-bzr-register): Fix for working with both 22.1 and CVS version of
	`vc-find-root' (patch by Andreas Hoenen).
	(vc-bzr-status): Update regex to match latest Bzr output.
	Remove redundant test.
	(vc-bzr-init-version): New function.
	(vc-bzr-unregister): Must not delete file.
	(vc-bzr-find-version): New function.
	(vc-bzr-checkout): Argument `rev' is explicit revision only if it's
	a non-empty string, otherwise take head revision.
	(vc-bzr-print-log): Pass `vc-bzr-log-switches' to "bzr log".
	(vc-bzr-diff): Simpler build of the revision spec string.
	(vc-annotate-convert-time, vc-bzr-annotate-difference):
	Remove: compatibility hacks for Emacs21, not needed in Emacs 22.
	(vc-bzr-dir-state): Add code comments.  Removed redundant statement.
	(vc-bzr-dired-state-info): Only provide custom strings for
	overloaded VC state 'edited; otherwise fallback to
	`vc-default-dired-state-info'.

2008-01-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-git.el (vc-git-dir-state):
	* vc-hg.el (vc-hg-dir-state): Set the vc-backend property.

2008-01-04  Richard Stallman  <rms@gnu.org>

	* delsel.el (delete-selection-mode): Doc fix.

2008-01-04  Glenn Morris  <rgm@gnu.org>

	* version.el (emacs-copyright): Update to 2008.

2008-01-03  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-def): Do nothing if gud-running is t.
	(gud-speedbar-menu-items): Add item for gdb-var-set-format below.

	* progmodes/gdb-ui.el (gdb-var-set-format): Set the output format
	of watch expressions (only works fully with GDB 6.7 or later).

2008-01-03  Dan Nicolaescu  <dann@ics.uci.edu>

	* time-stamp.el (time-stamp-time-zone):
	* whitespace.el (whitespace-check-buffer-leading)
	(whitespace-check-buffer-trailing)
	(whitespace-check-buffer-indent)
	(whitespace-check-buffer-spacetab)
	(whitespace-check-buffer-ateol):
	* progmodes/sh-script.el (sh-indentation):
	* textmodes/ispell.el (ispell-local-pdict):
	Add safe-local-variable properties.

2007-12-31  Richard Stallman  <rms@gnu.org>

	* cus-edit.el (custom-add-parent-links): New arg DOC-INITIAL-STRING.
	Defaults for INITIAL-STRING and DOC-INITIAL-STRING do not include
	`parent'.
	(custom-group-value-create): Pass two args to custom-add-parent-links.

2007-12-29  Richard Stallman  <rms@gnu.org>

	* font-lock.el (font-lock-prepend-text-property)
	(font-lock-append-text-property): Canonicalize the face and
	font-lock-face properties.

	* faces.el (facep): Doc fix.

	* startup.el (fancy-startup-tail, fancy-about-text)
	(fancy-startup-text): Regularize format of face property.

	* facemenu.el (list-colors-print): Use :background and :foreground
	instead of background-color and foreground-color.

2007-12-29  Drew Adams  <drew.adams@oracle.com>

	* cus-edit.el (custom-add-parent-links):
	Fill the "Parent documentation" text.

2007-12-29  Eli Zaretskii  <eliz@gnu.org>

	* textmodes/ispell.el (ispell-grep-command): Use "grep" on
	MS-Windows and MS-DOS.
	(ispell-grep-options): Use "-Ei" on MS-Windows and MS-DOS.

2007-12-28  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* progmodes/grep.el (rgrep): Fix last change.

2007-12-27  Richard Stallman  <rms@gnu.org>

	* progmodes/compile.el (compilation-start): Set initial visible
	point properly even when compilation buffer already current.

2007-12-26  Richard Stallman  <rms@gnu.org>

	* files.el (conf-mode-maybe): New function.
	(auto-mode-alist): Use conf-mode-maybe for .conf etc.

2007-12-26  Martin Rudalics  <rudalics@gmx.at>

	* textmodes/fill.el (fill-find-break-point): Fix doc-string typo.

2007-12-25  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/asm-mode.el (asm-mode-map): Add a major mode menu.

2007-12-25  Richard Stallman  <rms@gnu.org>

	* comint.el (comint-mode-map): Explicitly bind `delete' and `kp-delete'
	so they never do EOF.

2007-12-23  Richard Stallman  <rms@gnu.org>

	* dired-aux.el: Load dired.el at run time too.

	* faces.el (copy-face): Create the new face explicitly if it
	does not exist already.

2007-12-23  Andreas Schwab  <schwab@suse.de>

	* files.el (switch-to-buffer-other-frame): Return the buffer
	switched to.

2007-12-23  Juri Linkov  <juri@jurta.org>

	* term/mac-win.el (mac-apple-event-map): Bind About Emacs menu
	item to about-emacs instead of display-splash-screen.

2007-12-22  Eli Zaretskii  <eliz@gnu.org>

	* simple.el (minibuffer-history, shell-command-history)
	(set-variable-value-history):
	* replace.el (regexp-history):
	* international/mule-cmds.el (input-method-history):
	* files.el (file-name-history): Add reference to history-length in
	the doc string.

2007-12-22  Richard Stallman  <rms@gnu.org>

	* comint.el (comint-password-prompt-regexp): Match `Enter Password'.

2007-12-21  Jason Rumney  <jasonr@gnu.org>

	* find-dired.el (find-name-arg): New custom variable.
	(find-name-dired): Use it.
	(find-dired-find-program): Remove.
	(find-dired): Use find-program.
	(find-grep-dired): Use grep-program.

	* progmodes/grep.el (rgrep): Use find-name-arg.

2007-12-21  Martin Rudalics  <rudalics@gmx.at>

	* autoinsert.el (auto-insert-alist): Remove nonsensical precision
	specifier from format-string.  Reported by Ye Wenbin.

2007-12-19  Martin Rudalics  <rudalics@gmx.at>

	* cus-start.el: Use correct group name for members of mode-line group.

2007-12-17  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* progmodes/cc-vars.el (defcustom-c-stylevar):
	Revert to pre-2007-12-12 version.

2007-12-15  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/find-func.el (find-function-after-hook): Add :type.

	* info.el (Info-clone-buffer): Rename from Info-clone-buffer-hook.
	Use changed.

	* startup.el (fancy-splash-help-echo): Var deleted.
	(fancy-splash-insert): Get help-echo from (startup-echo-area-message).
	(fancy-about-screen): Don't display fancy-splash-help-echo.

	* menu-bar.el (menu-bar-describe-menu): Remove dots from menu text.

2007-12-12  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* progmodes/cc-vars.el (defcustom-c-stylevar): Rewrite.

2007-12-11  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/verilog-mode.el (set-buffer-menubar): Remove unused
	function.
	(add-submenu): Only define for XEmacs.
	(verilog-regexp-words): Revert previous change, keep the other
	definition.

2007-12-09  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/perl-mode.el (perl-continued-statement-offset)
	(perl-continued-brace-offset, perl-brace-offset)
	(perl-brace-imaginary-offset, perl-label-offset):
	* progmodes/cperl-mode.el (cperl-brace-offset)
	(cperl-continued-brace-offset, cperl-label-offset)
	(cperl-continued-statement-offset)
	(cperl-extra-newline-before-brace, cperl-merge-trailing-else):
	Add safe-local-variable properties.

2007-12-08  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/verilog-mode.el (verilog-mode-map)
	(verilog-template-map, verilog-mode-mouse-map): Fix typos.
	(verilog-colorize-include-files): Use only overlay functions so
	that it can work on both Emacs and XEmacs.
	(set-extent-keymap): Remove unused defun.
	(verilog-kill-existing-comment, verilog-insert-date)
	(verilog-insert-year): Rename in order not to pollute the global
	namespace from kill-existing-comment, insert-date and
	insert-year, respectively.
	(verilog-set-auto-endcomments, verilog-header): Update callers.

	* files.el (auto-mode-alist): Recognize verilog files.

	* progmodes/verilog-mode.el (verilog-string-replace-matches)
	(verilog-string-remove-spaces, verilog-re-search-forward)
	(verilog-re-search-backward, verilog-re-search-forward-quick)
	(verilog-re-search-backward-quick, verilog-get-beg-of-line)
	(verilog-get-end-of-line, verilog-within-string): Move definitions
	before first use.  No code changes.

2007-12-08  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/verilog-mode.el (verilog-mode-version)
	(verilog-mode-release-date): Don't use expanding keywords.
	(provide): Move to the end of file.
	(fboundp): Don't check if eval-when-compile is bound, it is used
	later in the file without checking.
	(when, unless): Copy definitions from subr.el.
	(char-before, defcustom, defface, customize-group)
	(verilog-batch-error-wrapper): Don't use old style backquotes.
	(verilog-regexp-opt): Avoid using the cl function case.
	(verilog-regexp-words): Remove duplicated definition.
	(verilog-mode-abbrev-table): Remove, duplicate.
	(verilog-mode-map, verilog-template-map, verilog-mode-mouse-map):
	Declare and initialize in one step.
	(verilog-declaration-prefix-re, verilog-declaration-re)
	(verilog-end-of-statement, verilog-indent-declaration)
	(verilog-get-lineup-indent): Remove trailing whitespace.
	(verilog-mode): Fix autoload cookie.
	Set beginning-of-defun-function and end-of-defun-function.
	Use when instead of if.
	(verilog-emacs-features, verilog-auto-ascii-enum)
	(verilog-insert-indices): Escape braces in doc strings.

2007-12-08  Michael McNamara  <mac@verilog.com>
	    Wilson Snyder  <wsnyder@wsnyder.org>

	* progmodes/verilog-mode.el: New file.

2007-12-08  Eli Zaretskii  <eliz@fencepost.gnu.org>

	* international/latexenc.el (latexenc-find-file-coding-system):
	If both coding-system-for-write and buffer-file-coding-system of
	latex-main-file are nil, use `undecided'.

2007-12-06  Jason Rumney  <jasonr@gnu.org>

	* mouse.el (mouse-buffer-menu-alist): Keep buffer names left aligned.

2007-12-04  Juanma Barranquero  <lekktu@gmail.com>

	* ido.el (ido-save-history): Use emacs-mule coding system
	instead of utf-8 to save filenames (it's safer in Emacs 22).
	Set the `coding' local variable on the first line of the file.

2007-12-04  Karl Fogel  <kfogel@red-bean.com>

	* saveplace.el (save-place-alist-to-file): Save with 'emacs-mule'
	coding system.  This ports revisions 1.40 and 1.41 over to the
	EMACS_22_BASE branch, but with the right coding system for Emacs
	22 to reliably record filenames.  Suggested by Eli Zaretskii.

2007-12-01  Richard Stallman  <rms@gnu.org>

	* wid-edit.el (widget-type): Doc fix.

2007-12-01  Dan Nicolaescu  <dann@ics.uci.edu>

	* emacs-lisp/byte-run.el (declare-function): Change to a macro.

2007-12-01  Alexandre Julliard  <julliard@winehq.org>

	* vc-git.el (vc-git-dir-state): Fix the git command arguments.

2007-11-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/perl-mode.el (perl-font-lock-syntactic-keywords):
	Don't match "sub { (...) ... }".

2007-11-29  Richard Stallman  <rms@gnu.org>

	* international/mule-cmds.el (toggle-input-method-active): New var.
	(toggle-input-method): Bind toggle-input-method-active to t.
	Error if it was already non-nil.

2007-11-29  Glenn Morris  <rgm@gnu.org>

	* calendar/time-date.el (with-decoded-time-value): Doc fix.

2007-11-29  Ari Roponen  <ari.roponen@gmail.com>  (tiny change)

	* calendar/time-date.el (encode-time-value): Doc fix.

2007-11-26  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/bytecomp.el (batch-byte-recompile-directory): Doc fix.

2007-11-24  Kenichi Handa  <handa@m17n.org>

	* international/ucs-tables.el (ucs-8859-7-alist): Update the table.

2007-11-22  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (x-gtk-map-stock): Check if FILE is a string.

2007-11-21  Juanma Barranquero  <lekktu@gmail.com>

	* textmodes/paragraphs.el (forward-sentence): Doc fix.
	Reported by Drew Adams <drew.adams@oracle.com>.

2007-11-20  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/byte-run.el (declare-function): Define as a no-op,
	for compatibility with Emacs 23.

2007-11-19  Juanma Barranquero  <lekktu@gmail.com>

	* replace.el (map-query-replace-regexp): Doc fix (revert part of
	revision 1.104, made on 2000-05-21 with no ChangeLog entry).

2007-11-19  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el: Update commentary.

2007-11-16  Eli Zaretskii  <eliz@gnu.org>

	* international/mule-cmds.el (set-locale-environment):
	Set default-file-name-coding-system _after_ keyboard and terminal
	coding systems.  This fixes last change.

	* mail/rmail.el (rmail-current-subject-regexp): Allow more than
	one space after "Subject:".

2007-11-16  Juanma Barranquero  <lekktu@gmail.com>

	* subr.el (make-variable-frame-local):
	Fix typo in obsolescence declaration.

2007-11-16  Glenn Morris  <rgm@gnu.org>

	* mail/mail-extr.el (mail-extr-all-top-level-domains): Update domains.

2007-11-16  Rob Riepel  <riepel@Stanford.EDU>

	* emulation/tpu-extras.el (tpu-next-line, tpu-previous-line)
	(tpu-forward-line, tpu-backward-line, tpu-scroll-window-down)
	(tpu-scroll-window-up): Replace next-line-internal -> line-move.

2007-11-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs-parse.el (cvs-parse-table): Ignore errors when looking up files
	in order to determine if there's a conflict.

2007-11-16  Juri Linkov  <juri@jurta.org>

	* man.el (Man-heading-regexp): Add 0-9.
	(Man-first-heading-regexp): Remove leading space [ \t]* before NAME.

2007-11-15  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/cc-engine.el (c-crosses-statement-barrier-p):
	Fix typo in docstring.

	* emulation/cua-base.el (cua-paste-pop): Fix typo in docstring.
	(cua-highlight-region-shift-only): Doc fix.

2007-11-15  Richard Stallman  <rms@gnu.org>

	* bindings.el (esc-map): Bind C-M-l here; moved from reposition.el.

	* reposition.el (reposition-window):
	Binding C-M-l moved to bindings.el.

	* bindings.el (ctl-x-4-map): Bind C-x 4 a here; moved from add-log.el.

	* add-log.el (add-change-log-entry-other-window):
	Key binding C-x 4 a moved to bindings.el.

	* bindings.el (minibuffer-local-map): Bind C-tab here; moved
	from filecache.el.

	* filecache.el: Minibuffer map bindings moved to bindings.el.

2007-11-14  Jason Rumney  <jasonr@gnu.org>

	* international/mule-cmds.el (set-locale-environment):
	Set default-file-name-coding-system from system defaults on Windows.

2007-11-14  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-parent-bptno-enabled): New variable.
	(gdb-breakpoint-regexp, gdb-mouse-toggle-breakpoint-margin)
	(gdb-mouse-toggle-breakpoint-fringe, gdb-delete-breakpoint)
	(gdb-goto-breakpoint): Generalise for breakpoints with multiple
	locations.
	(gdb-info-breakpoints-custom, gdb-assembler-custom)
	(gdb-toggle-breakpoint): Update for new gdb-breakpoint-regexp.
	(gdb-put-breakpoint-icon): Only display icon for parent breakpoint.

2007-11-11  Juanma Barranquero  <lekktu@gmail.com>

	* international/iso-cvt.el (iso-translate-conventions): Doc fix.
	(iso-aggressive-german-trans-tab, iso-conservative-german-trans-tab)
	(iso-tex2iso-trans-tab, iso-gtex2iso-trans-tab): Reflow docstring.
	(iso-spanish, iso-german, iso-iso2tex, iso-tex2iso, iso-gtex2iso)
	(iso-iso2gtex, iso-iso2duden, iso-iso2sgml, iso-sgml2iso):
	Rewrite in active voice.

2007-11-10  Juri Linkov  <juri@jurta.org>

	* startup.el: Backport startup screen related changes from the trunk.
	(initialization): Change group to `environment'.
	(inhibit-startup-screen): Rename from `inhibit-splash-screen'.
	(inhibit-splash-screen): Make alias to `inhibit-startup-screen'.
	(inhibit-startup-message): Change alias to `inhibit-startup-screen'.
	(initial-scratch-message): Fix docstring.
	(startup-screen-inhibit-startup-screen)
	(pure-space-overflow-message): New variables.
	(command-line): Rename `inhibit-startup-message' to
	`inhibit-startup-screen'.
	(initial-scratch-message): Doc fix.
	(fancy-splash-text): Remove variable.
	(fancy-startup-text, fancy-about-text, splash-screen-keymap):
	New variables.
	(fancy-splash-delay, fancy-splash-max-time)
	(fancy-current-text, fancy-splash-stop-time)
	(fancy-splash-outer-buffer, fancy-splash-last-input-event):
	Remove variables.
	(fancy-splash-insert): Use help-echo from the 3rd element of the
	link specification list, or "Follow this link" if it's nil.  Doc fix.
	Allow functions for face and link specs.
	(fancy-splash-tail): Remove function.
	(fancy-startup-tail): New function.
	(fancy-splash-default-action, fancy-splash-special-event-action)
	(fancy-splash-screens): Remove functions.
	(fancy-about-screen): New function.
	(normal-splash-screen): Rename argument `hide-on-input' to `startup'.
	Fix docstring.  Use argument `startup' to conditionally display
	different texts for Startup and About screens.  Don't display Help
	commands on the About screen.  Remove `unwind-protect' `sit-for'
	delay and `kill-buffer' after it.
	(normal-mouse-startup-screen, normal-splash-screen)
	(normal-no-mouse-startup-screen): New functions.
	(startup-echo-area-message): Change text of the echo area.
	(display-splash-screen): Remove function.
	(display-startup-screen, display-about-screen): New functions.
	(about-emacs): Make alias to `display-about-screen'.
	(display-splash-screen): Make alias to `display-startup-screen'.
	(command-line-1): Rename `inhibit-startup-message' to
	`inhibit-startup-screen'.  Inhibit startup screen when Emacs is
	started with command line options "-f", "-funcall", "-e", "-eval",
	"-execute", "-insert", "-find-file", "-file", "-visit".
	Inhibit startup screen when Emacs is started with a file name only
	on tty (i.e. don't inhibit it when started with a file name like
	"emacs FILE..." on a window system).
	Comment out unused code for coping with the old sit-for behavior.
	If file-count > 0, then display the concise version in another
	window, otherwise display full version in the same window.
	* loadup.el: Add `button'.  Move up `startup'.
	* help.el (help-map, help-for-help-internal): Add `C-h C-a'.
	* version.el (emacs-copyright): Add emacs-copyright.
	* menu-bar.el (menu-bar-help-menu):
	Move "About Emacs" and "About GNU" to the end of the Help menu.
	Move "Emacs Psychotherapist" after "Send Bug Report...".
	Move "External Packages" after "Find Emacs Packages".

2007-11-10  Jason Rumney  <jasonr@gnu.org>

	* w32-fns.el: Sync charset names with setup-default-fontset.
	Append "-1" where second part missing.

	* term/w32-win.el: Enable SJIS fonts before creating any fontsets.

2007-11-10  Juanma Barranquero  <lekktu@gmail.com>

	* ido.el (ido-save-history): Write the history file in UTF-8,
	and add `coding' file-local variable.

2007-11-09  Juanma Barranquero  <lekktu@gmail.com>

	* international/iso-cvt.el (iso-spanish, iso-german, iso-iso2tex)
	(iso-tex2iso, iso-gtex2iso, iso-iso2gtex, iso-iso2duden): Doc fixes.
	(iso-iso2duden-trans-tab): Add docstring.

2007-11-09  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* faces.el (face-normalize-spec): Remove function.
	(frame-set-background-mode): Undo last change.

2007-11-09  Juanma Barranquero  <lekktu@gmail.com>

	* files.el (enable-local-variables): Doc fix.

2007-11-08  David Hansen  <david.hansen@gmx.net>  (tiny change)

	* eshell/em-dirs.el (eshell-expand-multiple-dots): Change regexp to
	match dir like "a...b".

2007-11-07  Johan Bockg,Ae(Brd  <bojohan@gnu.org>

	* eshell/esh-mode.el (eshell-output-filter):
	* eshell/esh-proc.el (eshell-insertion-filter, eshell-sentinel):
	Use `with-current-buffer'.

2007-11-05  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-gdb): Remove vestigial gdba doc and code.

2007-11-04  Riccardo Murri  <riccardo.murri@gmail.com>

	* net/tls.el: Require rx when compiling.
	(tls-end-of-info): New variable.
	(open-tls-stream): Keep reading input until `tls-end-of-info' is
	matched.

2007-11-03  Ulrich Mueller  <ulm@gentoo.org>  (tiny change)

	* simple.el (bad-packages-alist): Anchor semantic regexp.

2007-11-02  Drake Wilson  <drake@begriffli.ch>  (tiny change)

	* files.el (hack-local-variables): Fix membership tests to avoid
	treating all variables as safe if `enable-local-variables' is
	set to :safe (CVE-2007-5795).

2007-11-02  Glenn Morris  <rgm@gnu.org>

	* progmodes/etags.el (tags-table-mode): Disable undo.

	* simple.el (bad-packages-alist): Revert previous change.

2007-11-01  Dan Nicolaescu  <dann@ics.uci.edu>

	* printing.el (printing): Fix :version, printing.el was included
	in emacs-22.1.
	(pr-path-style, pr-path-alist, pr-txt-name)
	(pr-txt-printer-alist, pr-ps-name, pr-ps-printer-alist)
	(pr-temp-dir, pr-ps-temp-file, pr-file-modes, pr-gv-command)
	(pr-gs-command, pr-gs-switches, pr-gs-device, pr-gs-resolution)
	(pr-print-using-ghostscript, pr-file-tumble, pr-auto-region)
	(pr-auto-mode, pr-mode-alist, pr-ps-utility)
	(pr-ps-utility-alist, pr-menu-char-height, pr-menu-char-width)
	(pr-setting-database, pr-visible-entry-list)
	(pr-delete-temp-file, pr-list-directory, pr-buffer-name)
	(pr-buffer-name-ignore, pr-buffer-verbose): Remove incorrect
	:version.

2007-11-01  Glenn Morris  <rgm@gnu.org>

	* simple.el (bad-packages-alist): Add an entry for standalone vc-svn.

	* mail/footnote.el (footnote-numeric-regexp)
	(footnote-english-upper-regexp, footnote-english-lower-regexp)
	(footnote-roman-lower-regexp, footnote-roman-upper-regexp):
	Match multi-character footnotes.

	* textmodes/nroff-mode.el (nroff-mode): Set indent-line-function.
	(nroff-indent-line-function): New function.
	(nroff-count-text-lines): Use nroff-forward-text-line rather than
	obsolete alias.

2007-10-31  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-open-connection-telnet)
	(tramp-open-connection-rsh, tramp-open-connection-su)
	(tramp-open-connection-multi): Set $LC_ALL to "C".

2007-10-31  Sven Joachim  <svenjoac@gmx.de>

	* dired-aux.el (dired-copy-file-recursive):
	Preserve directory permissions.

2007-10-31  Juanma Barranquero  <lekktu@gmail.com>

	* whitespace.el (whitespace-write-file-hook): Remove interactive spec.
	(whitespace-unload-function): New-style unload function.  When run,
	unintern `whitespace-unload-hook' and call `unload-feature' recursively
	to stop the old hook from messing with the unloading.

	* strokes.el (strokes-alphabetic-lessp): Doc fix.

2007-10-31  Sean O'Rourke  <sorourke@cs.ucsd.edu>

	* emacs-lisp/find-func.el (find-library): Use library at
	point as default interactive argument.

2007-10-31  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/elp.el (elp-report-limit, elp-restore-all)
	(elp-unset-master, elp-results): Fix typos.
	(elp-sort-by-function, elp-use-standard-output, elp-recycle-buffers-p):
	Doc fixes.

	* msb.el (msb--many-menus): Remove variable.
	(msb-max-menu-items, msb--add-to-menu): Doc fixes.
	(msb-menu-cond, msb-item-handling-function, msb--create-function-info)
	(msb--toggle-menu-type): Fix typos in docstrings.

	* shadowfile.el (shadow-inhibit-overload, shadow-remove-from-todo)
	(shadow-insert-var): Doc fixes.
	(shadow-file-match, shadow-define-cluster, shadow-define-regexp-group):
	Reflow docstrings.
	(shadow-parse-fullname, shadow-read-files): Fix typos in docstrings.

2007-10-30  Juanma Barranquero  <lekktu@gmail.com>

	* ediff-hook.el (ediff, ediff-files, ediff-buffers, ebuffers, ediff3)
	(ediff-files3, ediff-buffers3, ebuffers3, erevision, ediff-revision):
	Fix typos in autoload docstrings.

	* loadhist.el (unload-feature): Remove redundant check.

2007-10-30  Richard Stallman  <rms@gnu.org>

	* savehist.el (savehist-save): Obey savehist-ignored-variables.

2007-10-30  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-delete-out-of-scope): New option.
	(gdb-var-update-handler-1): Use it.

2007-10-30  Juanma Barranquero  <lekktu@gmail.com>

	* loadhist.el (unload-feature): Remove erroneous check for the
	FEATURE-unload-function variable; check the existence of the
	function (that's what the docstring says, and it makes more sense).

	* follow.el (follow-unload-function): Add docstring.
	(follow-unload-function): Remove variable.

	* server.el (server-unload-function): Remove variable.
	(server-unload-function): Unbind `server-edit' from `C-x #'.

	* uniquify.el (uniquify-unload-function): Add docstring.
	(uniquify-unload-function): Remove variable.

	* ses.el (ses-unload-function): New function.

2007-10-29  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/unsafep.el (unsafep, unsafep-function)
	(unsafep-progn, unsafep-let): Fix typos in docstrings.

	* uniquify.el (uniquify-maybe-rerationalize-w/o-cb): Define it
	before use to avoid a warning in packages that require uniquify.
	(uniquify-unload-function): New function and var.

2007-10-29  Juanma Barranquero  <lekktu@gmail.com>

	* loadhist.el (unload-feature-special-hooks):
	Add `delete-frame-functions'.

	* server.el (server-unload-function): Rename from `server-unload-hook'
	and adapt to new `unload-feature' functionality.  Remove hook from
	`kill-buffer-hook' buffer-locally.
	(server-unload-hook): Remove.
	(server-unload-function): New var; replaces `server-unload-hook'.

2007-10-27  Juanma Barranquero  <lekktu@gmail.com>

	* desktop.el (uniquify-managed): Pacify byte compiler.
	(desktop-buffer-info): If the buffer name is managed by uniquify,
	save the base name, not the uniquified one.
	(desktop-create-buffer): Allow `rename-buffer' to generate a new
	name in case of conflict.

2007-10-26  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-warnings): Autoload the
	safe-local-variable property.

2007-10-26  Gwern Branwen  <gwern0@gmail.com>  (tiny change)

	* net/browse-url.el (browse-url-browser-function): Delete grail.
	(browse-url-grail): Function and variable deleted.
	(browse-url-browser-function): Delete IXI Mosaic.
	(browse-url-default-browser): Don't try IXI Mosaic.
	(browse-url-iximosaic): Function deleted.
	(browse-url-browser-function): Delete MMM.
	(browse-url-default-browser): Don't try MMM.
	(browse-url-mmm): Function deleted.

2007-10-25  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-indented-comment-re)
	(f90-directive-comment-re, f90-break-delimiters):
	* progmodes/fortran.el (fortran-comment-line-start-skip)
	(fortran-directive-re):
	* textmodes/conf-mode.el (conf-space-keywords): Mark these regexps
	as safe if they are strings.

2007-10-25  Richard Stallman  <rms@gnu.org>

	* progmodes/ps-mode.el (ps-mode-map): Delete C-c v binding.

2007-10-24  Richard Stallman  <rms@gnu.org>

	* savehist.el (savehist-save): Omit unreadable elements.

	* loadhist.el (unload-function-defs-list): Renamed from
	unload-function-features-list.
	(unload-feature-special-hooks, unload-feature): Doc fixes.

	* indent.el (indent-to-left-margin): If point's in the indentation,
	move to the end of the indentation.

	* cus-edit.el (customize-changed-options): Make arg optional.

2007-10-24  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs-select, bs-select-other-window): Fix typos in docstrings.

2007-10-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/css-mode.el: Require CL.
	(comment-continue): Declare.

	* subr.el (make-variable-frame-localizable): Remove.
	(make-variable-frame-local): Mark obsolete.

2007-10-23  Juanma Barranquero  <lekktu@gmail.com>

	* ibuf-ext.el (ibuffer-switch-to-saved-filters)
	(ibuffer-switch-to-saved-filter-groups): Doc fixes.

2007-10-23  Chris Moore  <christopher.ian.moore@gmail.com>

	* comint.el (comint-password-prompt-regexp):
	Handle `[sudo] password'-style prompt.

2007-10-23  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-do-indent, f90-if-indent)
	(f90-type-indent, f90-program-indent)
	(f90-continuation-indent, f90-comment-region)
	(f90-beginning-ampersand, f90-smart-end)
	(f90-break-before-delimiters, f90-auto-keyword-case)
	(f90-leave-line-no, f90-mode-hook):
	Give an appropriate safe-local-variable property.
	(f90-font-lock-keywords-2): Fix `go to' regexp.

	* progmodes/fortran.el (fortran-tab-mode-default)
	(fortran-tab-mode-string, fortran-do-indent, fortran-if-indent)
	(fortran-structure-indent, fortran-continuation-indent)
	(fortran-comment-indent, fortran-comment-line-extra-indent)
	(fortran-comment-line-start)
	(fortran-minimum-statement-indent-fixed)
	(fortran-minimum-statement-indent-tab)
	(fortran-comment-indent-char, fortran-line-number-indent)
	(fortran-check-all-num-for-matching-do)
	(fortran-blink-matching-if, fortran-continuation-string)
	(fortran-comment-region, fortran-electric-line-number)
	(fortran-column-ruler-fixed, fortran-column-ruler-tab)
	(fortran-analyze-depth, fortran-break-before-delimiters):
	Give an appropriate safe-local-variable property.

2007-10-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/tex-mode.el (tex-uptodate-p): Don't signal an error if one
	of the subdirs is unreadable.

2007-10-22  Martin Rudalics  <rudalics@gmx.at>

	* progmodes/fortran.el (fortran-mode-map, fortran-window-create):
	Use window-full-width-p.

2007-10-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emulation/tpu-edt.el (tpu-edt-old-global-values): New var.
	(tpu-edt-off): Use it.
	(tpu-edt-on): Set it.  Make sure the tpu-global-map is not already on
	the global-map before adding it to global-map.

	* menu-bar.el (global-buffers-menu-map): New var.
	(global-map, menu-bar-update-buffers): Use it.
	* msb.el (msb-menu-bar-update-buffers): Use it.
	(msb-sort-by-directory, msb--choose-menu, msb--mode-menu-cond)
	(msb--most-recently-used-menu, msb--create-buffer-menu-2):
	Use with-current-buffer.

2007-10-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* hexl.el (hexl-menu): New major mode menu.

2007-10-20  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-font-lock-keywords-2)
	(f90-looking-at-type-like): Fix regexp typos.

2007-10-19  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs-mode): Add mode name (accidentally left out
	in the 2007-10-16 change).

2007-10-19  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs--track-window-changes): Don't refresh the whole list.
	(bs-mode): Set mode-class property to special.

	* follow.el (follow-unload-function): New function.

	* loadhist.el (unload-function-features-list):
	Rename from `unload-hook-features-list'.
	(unload-hook-features-list): Add as obsolete alias.
	(unload-feature): Use `unload-function-features-list'
	and new FEATURE-unload-function.

2007-10-18  Juanma Barranquero  <lekktu@gmail.com>

	* loadhist.el (unload-feature-special-hooks):
	Update list of special hooks.

	* textmodes/fill.el (fill-individual-paragraphs): Doc fix.
	(adaptive-fill-function): Doc fix.  Remove * from docstring.

2007-10-18  Glenn Morris  <rgm@gnu.org>

	* ibuf-ext.el (ibuffer-saved-filter-groups): Doc fix.

2007-10-17  Aaron Hawley  <aaronh@garden.org>

	* tutorial.el (tutorial--save-tutorial): Display message when tutorial
	position is not saved.

2007-10-17  Chong Yidong  <cyd@stupidchicken.com>

	* longlines.el (longlines-wrap-follows-window-size): Integer value
	specifies wrapping margin.
	(longlines-mode, longlines-window-change-function):
	Set window-specific wrapping margin based on the above.

2007-10-17  John Wiegley  <johnw@newartisans.com>

	* eshell/esh-cmd.el (eshell-complex-commands): Add "ls".

2007-10-17  Glenn Morris  <rgm@gnu.org>

	* progmodes/cc-menus.el (cc-imenu-c++-generic-expression):
	Tweak regexp to avoid stack overflow.

2007-10-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (reindent-then-newline-and-indent): Don't assume that
	indent-according-to-mode preserves point.

2007-10-16  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs--window-config-coming-from): Revert 2006-11-09 change.
	(bs--restore-window-config): Keep the selected frame.
	(bs--track-window-changes, bs--remove-hooks): New functions.
	(bs-mode): Use `define-derived-mode'.  Set hook to track window changes.
	(bs--show-with-configuration): Revert 2006-11-09 change.
	Don't reuse window unless it is visible on the selected frame.
	Restore window configuration (possibly in a different frame)
	before creating any window.

2007-10-16  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/advice.el (ad-get-advice-info): Change to a function.
	(ad-get-advice-info-macro): New macro, like old ad-get-advice-info.
	(ad-is-advised, ad-get-advice-info-field)
	(ad-set-advice-info-field): Use ad-get-advice-info-macro.

2007-10-16  Glenn Morris  <rgm@gnu.org>

	* simple.el (blink-matching-open): Don't report false errors with
	the `$' syntax class.

2007-10-15  Juanma Barranquero  <lekktu@gmail.com>

	* filesets.el (filesets-alist-get): Use `let' rather than `let*'.
	(filesets-ormap, filesets-sort-case-sensitive-flag)
	(filesets-remake-shortcut, filesets-ingroup-collect-files):
	Fix typos in docstrings.
	(filesets-data-get-name, filesets-data-get-data)
	(filesets-data-set, filesets-cmd-query-replace-getargs)
	(filesets-ingroup-collect, filesets-find-or-display-file): Doc fixes.

2007-10-15  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el: Don't require url when compiling, as url-type is
	no longer a macro.

2007-10-14  Glenn Morris  <rgm@gnu.org>

	* progmodes/etags.el (select-tags-table): Disable undo in the
	`*Tags Table List*' buffer.

2007-10-13  Eli Zaretskii  <eliz@gnu.org>

	* dired.el (dired-warn-writable): New face.
	(dired-warn-writable-face): New variable.
	(dired-font-lock-keywords): Use dired-warn-writable-face, instead
	of dired-warning-face, for group- and world-writable files.

2007-10-13  Glenn Morris  <rgm@gnu.org>

	* progmodes/octave-mod.el (octave-looking-at-kw): Add doc string.
	(octave-re-search-forward-kw, octave-re-search-backward-kw):
	Add doc string, and an explicit COUNT argument.
	(octave-scan-blocks, octave-beginning-of-defun): Explicitly pass
	`inc' to search functions.

2007-10-13  John W. Eaton  <jwe@octave.org>

	* progmodes/octave-mod.el (octave-looking-at-kw)
	(octave-re-search-forward-kw, octave-re-search-backward-kw):
	New functions.
	(octave-in-defun-p, calculate-octave-indent)
	(octave-blink-matching-block-open, octave-beginning-of-defun)
	(octave-auto-fill): Use octave-looking-at-kw instead of looking-at,
	to search for regexps that contain case-sensitive keywords.
	(octave-beginning-of-defun): Likewise, for octave-re-search-backward-kw.
	(octave-scan-blocks): Likewise, for octave-re-search-forward-kw.

2007-10-13  Richard Stallman  <rms@gnu.org>

	* files.el (directory-abbrev-alist): Doc fix.

2007-10-13  Jari Aalto  <jari.aalto@cante.net>

	* comint.el (comint-password-prompt-regexp): Add 'LDAP'.

2007-10-12  Martin Rudalics  <rudalics@gmx.at>

	* frame.el (set-frame-configuration): Assign name parameter only
	if it has been set explicitly before.

	* window.el (handle-select-window): Revert part of 2007-10-06
	change setting the input focus.

2007-10-12  Glenn Morris  <rgm@gnu.org>

	* cus-edit.el (custom-variable-menu, custom-face-menu)
	(custom-group-menu): Check init-file-user rather than
	user-init-file, in case cus-edit is loaded by site-run-file.

2007-10-11  Juanma Barranquero  <lekktu@gmail.com>

	* follow.el (follow-stop-intercept-process-output):
	Use `follow-call-process-filter' rather than `process-filter'.

2007-10-11  Tom Tromey  <tromey@redhat.com>

	* progmodes/gdb-ui.el (gdb-info-stack-custom): Ensure current
	frame is visible.

2007-10-10  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/debug.el (debugger-setup-buffer): Disable undo
	in *Backtrace*.

	* faces.el (face-font-selection-order): Doc fix.

	* loadhist.el (unload-feature): Doc fix.

2007-10-10  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Fix the usage of :foreground and :background face
	attributes.  Reported by Nikolaj Schumacher <n_schumacher@web.de>.
	(ps-print-version): New version 6.7.6.
	(ps-face-attributes, ps-face-attribute-list, ps-face-background):
	Fix code.
	(ps-face-foreground-color-p, ps-face-background-color-p)
	(ps-face-color-p): New inline funs.

2007-10-10  Juanma Barranquero  <lekktu@gmail.com>

	* follow.el: Change all instances of "Follow Mode" to "Follow
	mode" in docstrings and messages.

2007-10-09  Juanma Barranquero  <lekktu@gmail.com>

	* faces.el (face-font-selection-order): Doc fix.

	* follow.el (follow-mode-hook, follow-mode): Doc fixes.
	(follow-mode-off-hook): Mark as obsolete.

2007-10-08  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/edebug.el (edebug-install-custom-print-funcs)
	(edebug-install-custom-print, edebug-reset-print-funcs)
	(edebug-uninstall-custom-print, edebug-uninstall-custom-print-funcs):
	Functions deleted.
	(edebug-prin1, edebug-print, edebug-prin1-to-string)
	(edebug-format, edebug-message): Define directly as aliases.

2007-10-08  Juanma Barranquero  <lekktu@gmail.com>

	* follow.el (follow-mode): Don't run hooks twice.  Use `when'.

2007-10-07  Glenn Morris  <rgm@gnu.org>

	* simple.el (bad-packages-alist): Clarify Semantic and CEDET
	version numbers.

2007-10-06  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-completion-mode): Extend doc-string.
	(tramp-completion-mode-p): Revert change from 2007-09-24.
	Checking for `return' etc as last character is not sufficient, for
	example in dired-mode when entering <g> (revert-buffer) or
	<s> (dired-sort).

2007-10-06  Martin Rudalics  <rudalics@gmx.at>

	* window.el (mouse-autoselect-window-cancel): Don't cancel for
	select-window or select-frame events.
	(handle-select-window): When autoselecting window set input
	focus.  Restructure.

	* frame.el (focus-follows-mouse): Moved to frame.c.
	* cus-start.el (all): Add focus-follows-mouse.

2007-10-05  Chris Moore  <dooglus@gmail.com>

	* server.el (server-kill-new-buffers): Doc fix.

2007-10-05  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs-mode): Make sure global-font-lock-mode doesn't
	activate font-locking in the *buffer-selection* buffer.
	(bs-show-sorted): Doc fix.

	* bs.el (bs--get-marked-string, bs--get-modified-string)
	(bs--get-readonly-string, bs--get-size-string, bs--get-name)
	(bs--get-mode-name, bs-mode): Fix typos in docstrings.
	(bs--format-aux): Doc fix.

2007-10-04  Juanma Barranquero  <lekktu@gmail.com>

	* image-dired.el (image-dired-image-at-point-p): Fix typo in docstring.

2007-10-04  Micha,Ak(Bl Cadilhac  <michael@cadilhac.name>

	* progmodes/gud.el (gud-gud-gdb-command-name): Fix typo in docstring.

2007-10-04  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-gud-gdb-command-name): New option.
	(gud-gdb): New function for old M-x gdb (text command mode).
	(gud-gdb-command-name, gdb): Move to...

	* progmodes/gdb-ui.el: ...here and adapt doc string.
	(gud-gdba-command-name, gdba): Delete.

2007-10-03  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el: Don't defvar `font-lock-verbose'.
	(bs-config-clear, bs-kill, bs-string-show-normally, bs-sort-functions)
	(bs--get-file-name): Fix typos in docstrings.
	(bs--show-header): Use `dolist' instead of `mapcar'.
	(bs-mode): Set `show-trailing-whitespace' to nil.
	(bs-buffer-sort-function, bs-mouse-select-other-frame)
	(bs-visits-non-file, bs-sort-buffer-interns-are-last, bs-show):
	Doc fixes.

2007-10-02  Adam Hupp  <adam@hupp.org>  (tiny change)

	* progmodes/gdb-ui.el (pdb): Specify file for gud-break.

2007-10-02  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gdb): Make graphical mode the default and
	switch to text command mode if appropriate, i.e., reverse previous
	arrangement.
	(gud-gdb-marker-filter): Adapt for above change.

	* progmodes/gdb-ui.el (gdb-init-1): Don't set the values
	gud-minor-mode and gud-marker-filter.
	(gdb-fullname-regexp): New variable.
	(gud-gdba-marker-filter): Use it to switch to text command
	mode if appropriate.

2007-10-02  Richard Stallman  <rms@gnu.org>

	* frame.el (cursor-in-non-selected-windows): Doc fix.

2007-10-01  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-display-line): Find source buffer even when
	GUD buffer has its own frame.

2007-10-01  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (icon-map-list): Set to nil for 22.1 compatibility.

2007-09-29  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (x-gtk-stock-map): Version is 22.2.

2007-09-29  Martin Rudalics  <rudalics@gmx.at>

	* allout.el (allout-before-change-handler): Replace got-char by
	goto-char.

2007-09-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-svn.el (vc-svn-resolve-when-done, vc-svn-find-file-hook): New funs.
	Used to try and automatically enabled smerge-mode in the presence of
	conflicts and to call `svn resolved' when the conflicts are gone.
	(vc-svn-parse-status): Remember the svn-specific status.

	* newcomment.el (comment-choose-indent): New function extracted
	from comment-indent.  Improve the alignment algorithm.
	(comment-indent): Use it.

2007-09-27  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/eldoc.el (eldoc-message-commands-table-size)
	(eldoc-message-commands, eldoc-current-idle-delay):
	Fix typos in docstrings.

	* progmodes/python.el (python-eldoc-function): Doc fix.

2007-09-26  Eli Zaretskii  <eliz@gnu.org>

	* menu-bar.el (menu-bar-search-documentation-menu): Rename from
	menu-bar-apropos-menu.  All users changed.
	(menu-bar-help-menu): Change menu symbols to better match the text
	displayed by the menu.

2007-09-25  Glenn Morris  <rgm@gnu.org>

	* view.el (view-search-no-match-lines): Add a doc string.
	Rewrite to simplify and work better.

2007-09-24  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-completion-mode-p): Rename from
	`tramp-completion-mode'.  Revert logic, check `return', `newline'
	and such alike.  Packages like Icicles tend to use other completion
	characters but `tab' and `space' only.
	(top): Require cl.el, when `copy-tree' is not available otherwise.

	* net/tramp-vc.el (tramp-vc-user-login-name): Get argument by
	`ad-get-arg'.

2007-09-24  Ville Skytt,Ad(B  <scop@xemacs.org>  (tiny change)

	* net/tramp-vc.el (tramp-vc-user-login-name):
	Use `vc-find-version' instead of `process-file' to check whether we
	have a new enough vc that doesn't need the defadvice.

2007-09-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* files.el (file-name-sans-versions): Use [:alnum:] and also allow
	#, @, : and ^.

2007-09-23  Glenn Morris  <rgm@gnu.org>

	* ses.el (ses-calculate-cell): Don't evaluate unsafe formulae.

2007-09-22  Dan Nicolaescu  <dann@ics.uci.edu>

	* pcvs-defs.el (cvs-mode-map): Bind TAB and backtab.

	* log-view.el (log-view-mode-map): Likewise.

	* diff-mode.el (diff-mode-shared-map): Likewise.

2007-09-21  Francesco Potort,Al(B  <pot@gnu.org>

	* progmodes/octave-inf.el (inferior-octave-mode): Use add-hook to
	add inferior-octave-directory-tracker to the buffer-local value
	of comint-input-filter-functions.

2007-09-22  Dan Nicolaescu  <dann@ics.uci.edu>

	* files.el (file-name-sans-versions): Also allow `A-Z'.

	* vc.el: Mention all supported VC backends.

2007-09-22  Richard Stallman  <rms@gnu.org>

	* wid-edit.el (widget-specify-button): Don't merge mouse-face with
	neighbouring buttons.

2007-09-22  Andreas Schwab  <schwab@suse.de>

	* files.el (file-name-sans-versions): Also allow `_'.

2007-09-22  Glenn Morris  <rgm@gnu.org>

	* eshell/esh-mode.el (eshell-output-filter-functions):
	Add eshell-postoutput-scroll-to-bottom.

2007-09-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* files.el (file-name-sans-versions): Allow - and a-z in version names.

	* log-view.el (log-view-mode-map, log-view-mode-menu):
	Bind log-view-annotate-version.
	(log-view-beginning-of-defun, log-view-end-of-defun)
	(log-view-annotate-version): New functions.
	(log-view-mode): Use log-view-beginning-of-defun and
	log-view-end-of-defun.

2007-09-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/easy-mmode.el (define-minor-mode): Fix staging.

2007-09-21  Kevin Ryde  <user42@zip.com.au>

	* international/mule.el (sgml-html-meta-auto-coding-function):
	Bind `case-fold-search' to t.

2007-09-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* wid-edit.el (widget-image-insert): Don't merge mouse-face with
	neighbouring buttons.

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Recognize gcc's use of "note" for informational messages.

2007-09-20  Glenn Morris  <rgm@gnu.org>

	* textmodes/tex-mode.el (tex-validate-buffer): Use paragraph
	motion functions, rather than hard-coding "\n\n".
	(tex-validate-region): Check for eobp, to speed up.
	(tex-next-unmatched-end): Doc fix.

2007-09-19  Glenn Morris  <rgm@gnu.org>

	* textmodes/tex-mode.el (tex-terminate-paragraph):
	Use backward-paragraph.

2007-09-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/css-mode.el (css-electric-keys): electrick->electric.
	(css-mode): Update correspondingly.

2007-09-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-arch.el (vc-arch-extra-menu-map): New var and fun.

	* vc-hooks.el (vc-menu-entry): New var.
	(vc-mode-line-map): Use it so that this menu also uses the extra-menu.
	(menu-bar-tools-menu): Add the VC menu here rather than in menu-bar.el.
	(vc-menu-map): Declare and initialize in one step.

	* menu-bar.el (vc-menu-map): Don't setup any more.
	Instead, just create the proper spot in the menu.

2007-09-18  Dan Nicolaescu  <dann@ics.uci.edu>
	    Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el: Document new VC operation `extra-menu'.

	* vc-hooks.el (vc-default-extra-menu, vc-menu-map-filter): New fun.

2007-09-17  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-git.el (vc-git-log-view-mode): Add font-lock patterns for
	Signed-off-by, Acked-by and Merge.

2007-09-17  Glenn Morris  <rgm@gnu.org>

	* textmodes/tex-mode.el (tex-compilation-parse-errors): Prefer the
	filename from `--file-line-error', if it is available.

2007-09-17  Joe Wells  <jbw@macs.hw.ac.uk>  (tiny change)

	* textmodes/tex-mode.el (tex-compilation-parse-errors): Also match
	TeX `--file-line-error' format.

2007-09-17  Glenn Morris  <rgm@gnu.org>

	* textmodes/tex-mode.el (tex-region): Simplify previous change,
	handling the case where the region is not in `tex-main-file'.
	(tex-region-1): Delete.
	(tex-region-header): New function, doing the header part of the
	old tex-region-1.

2007-09-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ediff-init.el (ediff-verbose-p): This var is not a constant.

2007-09-16  Drew Adams  <drew.adams@oracle.com>

	* cus-edit.el (custom-face-edit-activate): Doc fix.

2007-09-16  Glenn Morris  <rgm@gnu.org>

	* textmodes/tex-mode.el (tex-region): Handle the case where the
	region is not in `tex-main-file'.  Move the old code that applies
	to both cases...
	(tex-region-1): ...to this new function.

2007-09-15  Martin Rudalics  <rudalics@gmx.at>

	* simple.el (blink-matching-open): Don't display message when no
	paren is found within blink-matching-paren-distance characters.
	Don't search prompt in blink-matching-paren-distance nil case.

2007-09-14  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (terminal-init-xterm): Add C-M- bindings.

2007-09-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-mtn.el: New file.

	* vc-hooks.el (vc-handled-backends): Add Mtn.

2007-09-13  Eli Zaretskii  <eliz@gnu.org>

	* files.el (find-file, find-file-other-window)
	(find-file-other-frame, find-file-existing, find-file-read-only)
	(find-file-read-only-other-window)
	(find-file-read-only-other-frame)
	(find-alternate-file-other-window, find-alternate-file): Doc fixes.

2007-09-13  Jari Aalto  <jari.aalto@cante.net>

	* man.el (Man-default-man-entry): At end of line, continue looking
	to the next line for possible end of hyphenated command.

2007-09-13  Chris Moore  <dooglus@gmail.com>

	* shell.el (shell-resync-dirs): Don't move the cursor relative to
	the command being edited.

2007-09-13  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gdb-ready): New variable.
	(gdb): Set it to nil.  Set gud-running to nil here...
	(gud-common-init): ...instead of here.

	* progmodes/gdb-ui.el (gdba, gdb-send, gdb-source-info):
	Use gdb-ready.  Discard input until GDB is ready to accept it.

2007-09-12  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (terminal-init-xterm): Add bindings for M-S- and
	C-M-S- keys.

2007-09-12  Martin Rudalics  <rudalics@gmx.at>

	* dired.el (dired-warning): Inherit from font-lock-warning-face to
	make it show up with eight colors.

2007-09-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-sanity-check-hunk): Fix up the case when unified
	diffs are concatenated with no intervening line.

2007-09-10  Dave Love  <fx@gnu.org>

	* progmodes/python.el: Merge changes from Dave Love's v2007-Sep-10.
	(python-font-lock-keywords): Update to the 2.5 version of the language.
	(python-quote-syntax): Let-bind font-lock-syntactic-keywords to nil.
	(python-backspace): Only behave funny in code.
	(python-compilation-regexp-alist): Add PDB stack trace regexp.
	(inferior-python-mode): Add PDB prompt regexp.
	(python-fill-paragraph): Refine the fenced-string regexp.
	(python-find-imports): Handle imports spanning several lines.
	(python-mode): Add `class' to hideshow support.

2007-09-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs.el (cvs-mode-add-change-log-entry-other-window): Use
	add-log-buffer-file-name-function rather than bind buffer-file-name,
	so we dont end up calling change-log-mode in *cvs* when `fi' is the
	ChangeLog file itself.

	* outline.el (outline-flag-region): Use front-advance.

2007-09-07  Ilya Zakharevich  <ilyaz@cpan.org>

	* progmodes/cperl-mode.el: Merge upstream 5.23.
	(cperl-where-am-i): Remove function.
	(cperl-backward-to-noncomment): Don't go too far when skipping POD/HEREs
	(cperl-sniff-for-indent): De-invert [string] and [comment].
	When looking for label, skip s:m:y:tr.
	(cperl-indent-line): Likewise.
	(cperl-mode): Don't assume `font-lock-multiline' is auto-local.
	(cperl-windowed-init): Wrong `ps-print' handling.
	Both thanks to Chong Yidong.
	(cperl-look-at-leading-count): Could fail with unfinished RExen.
	(cperl-find-pods-heres): If the second part of s()[] is missing,
	don't try to highlight delimiters...

2007-09-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/compile.el (compilation-get-file-structure): Complete last
	change by also using spec-directory in the puthash.

2007-09-07  Riccardo Murri  <riccardo.murri@gmail.com>

	* vc-bzr.el (vc-bzr-admin-lastrev): New constant.
	(vc-bzr-file-name-relative): Use 'when' instead of 'and'.
	(vc-bzr-status): Fix shadowing of variable 'status'.
	(vc-bzr-workfile-version): Use correct path to 'last-revision' file.
	Use `expand-file-name' instead of `concat'.
	(vc-bzr-annotate-command): Use option name '--long' instead of '-l'.
	Update annotation line regexp.  Fixes launchpad.net [Bug 137435].

2007-09-05  Jason Rumney  <jasonr@gnu.org>

	* frame.el (focus-follows-mouse): Doc-fix.  Change default on w32.

2007-09-02  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/lisp-mode.el (lisp-indent-offset): Make defcustom.
	Add `safe-local-variable' property.
	(lisp-body-indent): Likewise.

2007-09-02  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* info.el (info-tool-bar-map): Add :rtl keyword to right/left-arrow and
	prev/next-node.

	* term/x-win.el (x-gtk-stock-map, icon-map-list): New variables.
	(x-gtk-map-stock): New function.

2007-09-02  Glenn Morris  <rgm@gnu.org>

	* comint.el (comint-mode): Don't set scroll-conservatively.

	* eshell/em-unix.el (eshell/time): Stringify and flatten the
	non-command arguments.

2007-09-01  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* emacs-lisp/bytecomp.el (byte-recompile-directory):
	Fix bug: Don't expand top-level file name more than once.
	Reported by Dmitry Antipov <dmantipov@yandex.ru>.

2007-09-01  Richard Stallman  <rms@gnu.org>

	* files.el (hack-local-variables-confirm): Rename arg VARS to ALL-VARS.
	Add doc string.

2007-08-30  Richard Stallman  <rms@gnu.org>

	* speedbar.el (speedbar-frame-reposition-smartly)
	(speedbar-set-mode-line-format, speedbar-reconfigure-keymaps)
	(speedbar-check-vc): Don't use dframe-xemacsp.

2007-08-30  Martin Rudalics  <rudalics@gmx.at>

	* files.el (backup-buffer-copy): Try to overwrite old backup first.

2007-08-29  Martin Rudalics  <rudalics@gmx.at>

	* repeat.el (repeat): Use last-repeatable-command instead of
	real-last-command.  Run pre- and post-command hooks for
	self-insertion.  Update doc-string.

2007-08-28  Glenn Morris  <rgm@gnu.org>

	* progmodes/cc-langs.el (c-constant-kwds): Add java: true, false, null.

2007-08-27  Alexandre Julliard  <julliard@winehq.org>

	* vc-git.el (vc-git-state): Call git-add --refresh to update the
	state of the file.
	(vc-git-workfile-unchanged-p): Delegate implementation to vc-git-state.
	(vc-git-create-repo): Fix invalid command.

2007-08-27  Richard Stallman  <rms@gnu.org>

	* textmodes/flyspell.el (flyspell-mode):
	Catch errors in flyspell-mode-on.

2007-08-27  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* progmodes/modula2.el (m2-definition, m2-module):
	Don't use previous-line.  Reported by T. V. Raman.

2007-08-27  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-handle-toolbar-switch-mode): Add explicit
	argument to tool-bar-mode call.

2007-08-27  Glenn Morris  <rgm@gnu.org>

	* diff-mode.el (diff-find-file-name): Only accept regular files,
	to rule out /dev/null, directories, etc.

2007-08-25  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/cperl-mode.el (cperl-indent-level): Autoload the
	safe-local-variable setting.
	* progmodes/perl-mode.el (perl-indent-level): Likewise.

2007-08-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* uniquify.el (uniquify-rationalize-file-buffer-names): Check liveness
	of buffers in uniquify-managed.

	* simple.el (invisible-p): Rename from text-invisible-p.
	Update callers.

2007-08-25  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-langs.el (c-other-decl-block-key-in-symbols-alist):
	new language variable.

	* progmodes/cc-engine.el (c-brace-anchor-point): New function.
	(c-add-stmt-syntax): Give accurate anchor points for "namespace",
	"extern" etc., rather than BOI.  Fix addition of spurious
	syntactic-symbol 'defun-block-intro, replacing it with
	'innamespace, etc.

2007-08-25  Reiner Steib  <Reiner.Steib@gmx.de>

	* pcvs.el (cvs-query-directory): Only prompt when prefix is given.
	Don't behave differently when executed via M-x.  Add doc string.

2007-08-24  Ulrich Mueller  <ulm@gentoo.org>  (tiny change)

	* files.el (backup-buffer-copy): Don't wrap delete in
	condition-case, only try to delete if file exists.

2007-08-24  Glenn Morris  <rgm@gnu.org>

	* files.el (backup-buffer-copy): Revert 2007-08-22 change.

2007-08-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/cperl-mode.el (defcustom, x-color-defined-p, cperl-is-face)
	(cperl-is-face, cperl-force-face, cperl-etags-snarf-tag, cperl-mode)
	(cperl-etags-snarf-tag, cperl-etags-goto-tag-location, cperl-init-faces)
	(cperl-etags-goto-tag-location): Use new style backquotes.

	* subr.el (complete-with-action): Backport from trunk (for vc-arch.el).
	(dynamic-completion-table): Use it it.

	* net/browse-url.el: Remove spurious * in custom docstrings.
	(browse-url-filename-alist): Use new-style backquote.

	* emacs-lisp/backquote.el (backquote-unquote-symbol)
	(backquote-splice-symbol): Clarify they're not new-style unquotes.

	* emacs-lisp/edebug.el (edebug-list-form, edebug-match-symbol, \,)
	(\,@): Backslash the , and ,@ which are not new-style unquotes.

	* textmodes/texinfmt.el (\,): Clarify it's not a new-style unquote.

	* net/socks.el (socks-username/password-auth-filter):
	Remove unused vars `state' and `desired-len'.
	(socks-parse-services, socks-nslookup-host): Use with-current-buffer.
	(socks-wait-for-state-change): Use new-style backquotes.

	* pcvs.el (cvs-mode-status): Fix long-standing typo.

	* emacs-lisp/bytecomp.el (byte-compile-from-buffer): Check old-style
	backquotes after each `read' rather than once per buffer.

	* dframe.el: Remove spurious * in custom docstrings.
	(dframe-xemacsp): Remove, use (featurep 'xemacs) instead.
	(dframe-xemacs20p): Remove, inline at the sole use point.
	(defface): Don't defvar the face, don't use old-style backquote.
	(defcustom): Don't use old-style backquote.
	(dframe-frame-parameter, dframe-mouse-event-p):
	Make it obvious that it's always defined.
	(dframe-popup-kludge): New function to replace
	dframe-xemacs-popup-kludge and dframe-xemacs-popup-kludge.
	(dframe-frame-mode, dframe-set-timer-internal)
	(dframe-mouse-set-point): Remove use of with-no-warnings from
	XEmacs-specific code.
	(dframe-set-timer-internal): Fix very old bug with
	post-command-idle-hook.

	* emacs-lisp/byte-opt.el (byte-optimize-featurep): Handle `sxemacs'.

2007-08-22  Chong Yidong  <cyd@stupidchicken.com>

	* image-mode.el (image-minor-mode): Use image-mode-text-map.

2007-08-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* sort.el (sort-fold-case, sort-numeric-base): Mark as
	safe-local-variable.

2007-08-22  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* net/browse-url.el (browse-url-emacs): New function.

2007-08-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/bytecomp.el (byte-compile-from-buffer): Display a big fat
	warning if the file uses old style backquotes.

	* emacs-lisp/bytecomp.el (byte-compile-log-file)
	(byte-recompile-directory, byte-compile-file)
	(byte-compile-from-buffer): Use with-current-buffer.

	* simple.el (text-invisible-p): Rename from line-move-invisible-p.
	(line-move-invisible-p): Keep as an obsolete alias, just to be safe.
	(line-move-1, line-move-finish, line-move-to-column)
	(move-end-of-line, move-beginning-of-line): Use new name.

2007-08-22  Glenn Morris  <rgm@gnu.org>

	* files.el (backup-buffer-copy): Check backup directory is
	writable, to avoid infloop deleting old backup.

	* mail/rmail.el (rmail-movemail-variant-p): Call on load to set
	movemail related variables.
	(rmail-insert-inbox-text): Use only rmail-movemail-program, which
	will now be set before this is called.

2007-08-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/backquote.el (backquote-delay-process): Fix last change.

	* progmodes/ada-mode.el: Fix up comment style in header.
	(ada-check-emacs-version): Remove.
	(ada-mode): Set parse-sexp-* even if they don't exist: can't hurt.
	(ada-region-selected): Use (featurep 'xemacs) rather than contortions
	to try and quieten the byte-compiler.
	(ada-create-keymap): Use [(..)] keys, which work on both (X)Emacs.

	* vc.el (vc-annotate-warp-version): Don't use previous-line.

2007-08-20  Johannes Weiner  <hannes@saeurebad.de>  (tiny change)

	* emacs-lisp/lisp-mode.el (preceding-sexp): New fun, the code was
	extracted from `eval-last-sexp-1'.
	(eval-last-sexp-1): Call `preceding-sexp'.

2007-08-19  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (custom-deps, finder-data, autoloads, recompile)
	(progmodes/cc-mode.elc, mh-e/mh-loaddefs.el): Use $(emacs) rather
	than $(EMACS), so that EMACSLOADPATH is set.  Prevents any system
	shadow files messing up the compilation.

2007-08-18  Glenn Morris  <rgm@gnu.org>

	* progmodes/scheme.el (scheme-mode-variables):
	Set font-lock-comment-start-skip.

2007-08-18  Martin Rudalics  <rudalics@gmx.at>

	* progmodes/ada-mode.el (ada-create-syntax-table):
	Move set-syntax-table from here to ...
	(ada-mode): ... here.  Don't change global value of comment-multi-line.
	Call new function ada-initialize-syntax-table-properties.
	Add ada-handle-syntax-table-properties to font-lock-mode-hook.
	(ada-deactivate-properties, ada-initialize-properties):
	Replace by new functions ...
	(ada-handle-syntax-table-properties, ada-set-syntax-table-properties)
	(ada-initialize-syntax-table-properties): ... to set up syntax-table
	properties uniformly, independently from whether font-lock-mode
	is enabled or not.  Handle read-only buffers and do not change
	undo-list when setting syntax-table properties.
	(ada-after-change-function): Use ada-set-syntax-table-properties.

2007-08-17  Bob Rogers  <rogers-emacs@rgrjr.dyndns.org>  (tiny change)

	* progmodes/cperl-mode.el (cperl-look-at-leading-count)
	(cperl-find-pods-heres): Fix an error when typing expressions like
	`s{a}{b}'.

2007-08-17  Glenn Morris  <rgm@gnu.org>

	* progmodes/compile.el (compilation-get-file-structure): Make use
	of the directory part when checking for an existing entry, to
	handle files with same basename in different directories.

2007-08-16  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el (ps-header-font-size, ps-header-title-font-size)
	(ps-footer-font-size, ps-line-number-font-size, ps-line-spacing)
	(ps-paragraph-spacing): Docstring fix.

2007-08-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* smerge-mode.el (smerge-resolve): New arg `safe'.
	(smerge-resolve-all, smerge-batch-resolve): New function.
	(smerge-refine): Make sure `diff' returns the expected result.
	(smerge-parsep-re): New const.
	(smerge-mode): Use it to adjust paragraph-separate.

	* progmodes/perl-mode.el (perl-font-lock-syntactic-keywords):
	Correctly match / regexp matchers as first char on a line when
	fontifying only that line.

	* emacs-lisp/cl-macs.el (cl-transform-lambda): Preserve the match-data.

2007-08-16  Glenn Morris  <rgm@gnu.org>

	* ps-print.el (ps-font-size): Doc fix.

2007-08-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-bzr.el: Don't fiddle with vc-handled-backend.
	(vc-bzr-registered): Don't redundantly protect against
	file-error.  Actually use the format-specific code.
	(vc-bzr-buffer-nonblank-p): Remove.
	(vc-bzr-status): Change `kindchange' -> `kindchanged'.

2007-08-15  Glenn Morris  <rgm@gnu.org>

	* mail/undigest.el (rmail-digest-parse-rfc1153sloppy): Be even
	sloppier, for the sake of GNU Mailman.
	(rmail-digest-rfc1153): Initialize `result' correctly.

2007-08-14  Glenn Morris  <rgm@gnu.org>

	* simple.el (bad-packages-alist): New constant.
	(bad-package-check): New function.  Together, these two add
	elements to `after-load-alist' to check for problematic external
	packages.
	* emulation/cua-base.el: Move CUA-mode check to `bad-packages-alist'.

2007-08-13  Stephen Leake  <stephen_leake@stephe-leake.org>

	* pcvs-parse.el (cvs-parse-table): Handle additional instance of
	optional quotes around files in NEED-UPDATE . REMOVED case.

	* progmodes/ada-xref.el (ada-gnatls-args): Fix docstring.
	(ada-treat-cmd-string): Improve error message.
	(ada-do-file-completion): Call `ada-require-project-file', so
	project variables are set properly.
	(ada-prj-find-prj-file): Delete Emacs 20.2 support.
	(ada-gnatfind-buffer-name): New constant.
	(ada-find-any-references): Use new constant.  Set buffer name
	properly in compilation-start.  Toggle read-only properly.
	(ada-find-in-src-path): Fix spelling error in docstring.

	* progmodes/vhdl-mode.el (vhdl-update-progress-info): Avoid divide
	by zero error.

2007-08-13  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-send): Handle CTRL-D more carefully.

2007-08-12  Richard Stallman  <rms@gnu.org>

	* pcvs.el (cvs-reread-cvsrc, cvs-checkout, cvs-mode-checkout)
	(cvs-execute-single-file): Use new name split-string-and-unquote.
	(cvs-header-msg): Use new name combine-and-quote-strings.

	* emulation/vi.el (vi-next-line): Ignore return value of line-move.

	* progmodes/gud.el (gud-common-init): Use new name
	split-string-and-unquote.

	* progmodes/flymake.el (flymake-err-line-patterns): Fix infloop
	in javac regexp.

	* pcvs-util.el (cvs-qtypedesc-strings): Use new names
	combine-and-quote-strings and split-string-and-unquote.

	* subr.el (combine-and-quote-strings): Rename from strings->string.
	(split-string-and-unquote): Rename from string->strings.

2007-08-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* log-view.el (log-view-font-lock-keywords): Use `eval' so as to adapt
	to buffer-local settings.

	* emacs-lisp/backquote.el (backquote-delay-process): New function.
	(backquote-process): Add internal arg `level'.  Use the two to
	correctly handle nested backquotes.

2007-08-09  Riccardo Murri  <riccardo.murri@gmail.com>

	* vc-bzr.el (vc-bzr-registered): Use \0 instead of literal NULs.
	(vc-bzr-state-words): Add "kind changed" state word.
	(vc-bzr-status): New function.  Return Bzr idea of file status,
	which is different from VC's.
	(vc-bzr-state): Use vc-bzr-status.
	(vc-workfile-unchanged-p): Use vc-bzr-status.
	(vc-bzr-revert): Use synchronous process; expect exitcode 0.
	(vc-dired-state): Process "kind changed" state word.

2007-08-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-hooks.el (vc-default-find-file-not-found-hook): Do nothing.

	* vc-rcs.el (vc-rcs-find-file-not-found-hook):
	Move from vc-default-find-file-not-found-hook.

2007-08-09  Edward O'Connor  <hober0@gmail.com>  (tiny change)

	* url/url-auth.el (url-basic-auth): When prompting for username
	and password, default to the username and password in the URL.

2007-08-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* man.el: Remove spurious * in docstrings.
	Merge defvars and toplevel setq-defaults.
	(Man-highlight-references0): Limit=nil rather than point-max.
	(Man-mode-map): Move initialization into the declaration.
	(Man-strip-page-headers, Man-unindent): Use dolist & inhibit-read-only.
	(Man-view-header-file): Use expand-file-name rather than concat.
	(Man-notify-when-ready, Man-bgproc-sentinel): Use with-current-buffer.

	* man.el (Man-next-section): Make sure we do not move backward.

2007-08-08  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el (ps-default-fg, ps-default-bg): Docstring fix.
	(ps-begin-job): Use ps-default-fg and ps-default-bg only when
	ps-print-color-p is neither nil nor black-white.  Reported by Christian
	Schlauer <cs-muelleimer-rubbish.bin@arcor.de>.

2007-08-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (auto-mode-alist): Use the purecopied text (duh!).

2007-08-08  Andreas Schwab  <schwab@suse.de>

	* mail/mailabbrev.el (sendmail-pre-abbrev-expand-hook): Check for
	self-insert-command, not self-insert.

2007-08-08  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/checkdoc.el (checkdoc-ispell-lisp-words): Remove `iff'.

	* Replace `iff' in doc-strings and comments.

	* help-mode.el (help-make-xrefs): Search for symbol constituents,
	rather than just `-'.

2007-08-08  Martin Rudalics  <rudalics@gmx.at>

	* dired.el (dired-pop-to-buffer):
	* mouse-drag.el (mouse-drag-should-do-col-scrolling):
	* calendar/calendar.el (generate-calendar-window):
	* progmodes/compile.el (compilation-set-window-height):
	* textmodes/two-column.el (2C-two-columns, 2C-merge):
	Use window-full-width-p instead of comparing frame-width and
	window-width.

	* progmodes/compile.el (compilation-find-buffer): Remove extra
	argument in call to compilation-buffer-internal-p.

2007-08-07  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-file-remote-p): Handle optional
	parameters IDENTIFICATION and CONNECTED.
	(tramp-handle-insert-file-contents): VISIT must be handled after
	insertion of the local copy.  Reported by Peter Gordon
	<peter@pg-consultants.com>.
	(tramp-file-name-handler): No special handling for
	`expand-file-name'.  But for `file-name-as-directory'.
	(tramp-find-shell, tramp-open-connection-telnet)
	(tramp-open-connection-rsh, tramp-open-connection-su)
	(tramp-open-connection-multi)
	(tramp-open-connection-setup-interactive-shell): Guard against
	$PROMPT_COMMAND shell var.  Reported by Steve Youngs
	<steve@sxemacs.org>.
	(tramp-append-tramp-buffers): Replace "sensible" by "sensitive" in
	the hint.

	* net/trampver.el: Update release number.

2007-08-07  Tom Tromey  <tromey@redhat.com>

	* progmodes/tcl.el (tcl-indent-level, tcl-continued-indent-level):
	Add safe-local-variable property.

2007-08-07  Chong Yidong  <cyd@stupidchicken.com>

	* image-mode.el (image-toggle-display): Use image-refresh.

	* longlines.el (longlines-decoded): New variable.
	(longlines-mode): Avoid encoding or decoding the buffer twice.

2007-08-07  Riccardo Murri  <riccardo.murri@gmail.com>

	* vc-bzr.el: Remove comments about vc-bzr.el being a modified
	unofficial version.
	(vc-bzr-command): Remove redundant setting of process-connection-type.
	(vc-bzr-admin-checkout-format-file): Add autoload.
	(vc-bzr-root-dir): Remove in favor of vc-bzr-root.
	(vc-bzr-root): Switch to implementation of vc-bzr-root-dir.
	(vc-bzr-registered): Compare dirstate format tag with known good
	value, abort parsing if match fails.  Warn user in docstring.
	(vc-bzr-workfile-version): Case for different Bzr branch formats.
	See bzrlib/branch.py in Bzr sources.
	(vc-bzr-diff): First argument FILES may be a string rather than a list.
	(vc-bzr-shell-command): Remove in favor of
	vc-bzr-command-discarding-stderr.
	(vc-bzr-command-discarding-stderr): New function.

2007-08-06  Riccardo Murri  <riccardo.murri@gmail.com>

	* vc-bzr.el (vc-bzr-registered): Gracefully handle missing "bzr"
	program, and return nil
	(vc-bzr-state): Gracefully handle missing "bzr" program, and return nil.
	(vc-bzr-state): Look for path names relative to the repository
	root after status keyword.
	(vc-bzr-file-name-relative): New function.
	(vc-bzr-admin-dirname): Reinstate, as other vc-bzr-admin-... paths
	depend on it.
	(vc-bzr-admin-dirname, ...-checkout-format-file)
	(...-branch-format-file, ...-revhistory): Paths to some Bzr internal
	files that we now parse directly for speed.
	(vc-bzr-root-dir): Use `vc-bzr-admin-checkout-format-file' as witness.
	(vc-bzr-registered): Only parse vc-bzr-admin-dirstate file if it exists.
	(vc-bzr-state): "bzr status" successful only if exitcode is 0
	(vc-bzr-root): Use `vc-bzr-shell-command'.  Stderr may contain
	Bzr warnings, so we must discard it.
	(vc-bzr-workfile-version): Speedup counting lines from
	`vc-bzr-admin-revhistory' file, but fallback to spawning "bzr revno"
	if that file doesn't exist.
	(vc-bzr-responsible-p): Use `vc-bzr-root' instead of
	`vc-bzr-root-dir' for speed.  Add `vc-bzr-admin-dirname'
	(not ".bzr"!) to `vc-directory-exclusion-list'
	(vc-bzr-shell-command): New function.

2007-08-06  Tom Tromey  <tromey@redhat.com>

	* diff-mode.el (diff-unified->context, diff-reverse-direction)
	(diff-fixup-modifs): Typo in docstring.

2007-08-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emulation/tpu-edt.el (tpu-current-line): Use posn-at-point and
	count-screen-lines.
	(tpu-edt-off): Disable relevant pieces of advice.

	* emulation/tpu-extras.el (tpu-before-save-hook): Rename from
	tpu-write-file-hook.  Activate it with add-hook on buffer-save-hook.
	(newline, newline-and-indent, do-auto-fill): Use advice instead of
	redefining the function.
	(tpu-set-scroll-margins): Activate the pieces of advice.

2007-08-06  Michael Albinus  <michael.albinus@gmx.de>

	* net/ange-ftp.el (ange-ftp-hook-function): Catch also errors in
	process-filter.

2007-08-06  Martin Rudalics  <rudalics@gmx.at>

	* help.el (resize-temp-buffer-window): Use window-full-width-p
	instead of comparing frame-width and window-width.

2007-08-05  Peter Povinec  <ppovinec <at> yahoo.com>  (tiny change)

	* term.el: Honor term-default-fg-color and term-default-bg-color
	settings when modifying term-current-face.
	(term-default-fg-color, term-default-bg-color): Initialize from
	default term-current-face.
	(term-mode, term-reset-terminal): Set term-current-face with
	term-default-fg-color and term-default-bg-color.
	(term-handle-colors-array): term-current-face has term-default-fg-color
	and term-default-bg-color after reset escape sequence.
	(term-handle-colors-array): Set term-current-color with
	term-default-fg/bg-color instead of ansi-term-color-vector when the
	index (term-ansi-current-color or term-ansi-current-bg-color) is zero.

2007-08-05  Michael Albinus  <michael.albinus@gmx.de>

	* files.el (set-auto-mode): Handle also remote files wrt
	`auto-mode-alist'.

	* net/tramp.el (tramp-handle-file-remote-p): Return a string as
	remote identification.

2007-08-04  Glenn Morris  <rgm@gnu.org>

	* autorevert.el (auto-revert-tail-mode): auto-revert-tail-pos is
	zero, not nil, when the library is first loaded.  Check for a file
	that has been modified on disk.

	* progmodes/cperl-mode.el (cperl-compilation-error-regexp-alist):
	Remove duplicate defvar preventing initialization.
	(cperl-mode): Fix compilation-error-regexp-alist-alist setting.

2007-08-03  Miles Bader  <miles@gnu.org>

	* vc-hooks.el (vc-handled-backends): Change capitalization of VC
	backend names for new backends to `Git', `Hg', and `Bzr'.
	* vc-hg.el (vc-hg-dired-state-info): Use `Hg' as VC backend name,
	not `HG'.
	* vc-git.el (vc-git-dired-state-info): Use `Git' as VC backend
	name, not `GIT'.
	* vc-bzr.el (vc-bzr-dir-state, vc-bzr-dired-state-info)
	(vc-bzr-unload-hook): Use `Bzr' as VC backend name, not `BZR'.

2007-08-03  Glenn Morris  <rgm@gnu.org>

	* net/telnet.el (telnet-mode): Set comint-use-prompt-regexp to t.

2007-08-02  Richard Stallman  <rms@gnu.org>

	* mail/rmailsum.el (rmail-make-summary-line): Find end of msg number
	to update deleted flag.

	* cus-edit.el (customize-apropos, customize-apropos-options)
	(customize-apropos-faces, customize-apropos-groups): Improve prompt.

	* menu-bar.el (menu-bar-help-menu): Add "About GNU" menu item.

	* startup.el (fancy-splash-head, startup-echo-area-message):
	Change message text.

	* emulation/tpu-edt.el (next-line-internal): Setting deleted.
	All callers use line-move.

	* progmodes/compile.el (compilation-find-buffer): Return current
	buffer immediately if suitable.
	(compile, compilation-buffer-name, compilation-start): Doc fixes.

2007-08-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-bzr.el (vc-bzr-admin-dirstate): Rename from `...-dirname'.
	Make it more discriminating and more useful.
	(vc-bzr-root-dir): Use new name.
	(vc-bzr-registered): Use new name and look at the dirstate file to
	determine if it's registered or not without running `bzr'.

2007-08-01  Eric Hanchrow  <offby1@blarg.net>  (tiny change)

	* ibuf-ext.el (ibuffer-mark-old-buffers): Docstring fix.

2007-07-31  Drew Adams  <drew.adams@oracle.com>

	* cus-edit.el (custom-group-value-create, custom-goto-parent):
	Fix parent groups link.

2007-07-31  Daiki Ueno  <ueno@unixuser.org>

	* faces.el (face-normalize-spec): New function.
	(frame-set-background-mode): Normalize face-spec before calling
	face-spec-match-p.

2007-07-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-bzr.el: New file (copied from the trunk).

	* vc-hooks.el (vc-handled-backends): Add BZR.
	(vc-find-file-hook): Failsafe if the backend's `registered'
	function burps.

	* server.el (server-window): Add switch-to-buffer-other-frame option.

2007-07-30  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-git.el (vc-directory-exclusion-list, vc-handled-backends): Remove.
	(vc-git-revision-completion-table): Enable.

	* vc-hooks.el (vc-handled-backends): Add GIT and HG.

	* vc.el (vc-directory-exclusion-list): Add .git and .hg.

	* vc-hg.el (vc-hg-revision-completion-table): Re-enable.
	(vc-hg-registered): Set the vc-state property.

	* diff-mode.el (diff-mode-menu): New entries.

2007-06-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-beginning-of-file-and-junk): New function.
	(diff-file-kill): Use it.
	(diff-beginning-of-hunk): Add arg `try-harder' using it.
	(diff-restrict-view, diff-find-source-location, diff-refine-hunk):
	Use it so they find the hunk even when we're in the file header.

	* vc.el: Add new VC operation `revision-completion-table'.
	(vc-default-revision-completion-table): New function.
	(vc-version-diff, vc-version-other-window): Use it to provide
	completion of revision names if the backend provides it.

	* vc-arch.el (vc-arch--version-completion-table)
	(vc-arch-revision-completion-table): New functions to provide
	completion of revision names.

	* vc-cvs.el: Require CL.
	(vc-cvs-revision-table, vc-cvs-revision-completion-table):
	New functions to provide completion of revision names.

2007-07-29  Kimit Yada  <kimitto@gmail.com>  (tiny change)

	* emacs-lisp/copyright.el (copyright-update-year, copyright-update)
	(copyright-fix-years, copyright): Correctly handle the case where
	copyright-limit is nil.

2007-07-28  Konstantin Novitsky  <knovitsk@Bear.com>  (tiny change)

	* progmodes/python.el (run-python): Fix path separator under w32.

2007-07-28  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-git.el: New File.

2007-07-28  Alan Mackenzie  <acm@muc.de>

	Fix problem with modes derived from CC Mode:
	* progmodes/cc-mode.el (c-make-emacs-variables-local): Move this
	macro to cc-langs.
	(c-init-language-vars-for): Remove call to above macro.
	* progmodes/cc-langs.el (c-make-emacs-variables-local): Macro has
	been moved to here.
	(c-make-init-lang-vars-fun): Call c-make-emacs-variables-local.

2007-07-28  Eli Zaretskii  <eliz@gnu.org>

	* net/trampver.el: Fix the `coding' cookie.

2007-07-25  Nick Roberts  <nickrob@snap.net.nz>

	* add-log.el (change-log-redate): Remove (not needed anymore and
	doesn't appear to work).

2007-07-25  Glenn Morris  <rgm@gnu.org>

	* Relicense all FSF files to GPLv3 or later.

	* COPYING: Switch to GPLv3.

2007-07-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs.el (cvs-temp-buffer): Undo last ill-conceived change.
	Replace it with another one which disables undo before calling
	erase-buffer and then turns it back on if needed.

2007-07-24  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Problem with foreground and background color when
	printing a buffer with and without faces.  Reported by Christian
	Schlauer <cs-muelleimer-rubbish.bin@arcor.de>.
	(ps-print-version): New version 6.7.5.
	(ps-default-fg): Change default value to nil, so black color is used
	when a face does not specify a foreground color.
	(ps-default-bg): Change default value to nil, so white color is used
	for background color.
	(ps-begin-job): Fix code.

2007-07-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-revision-completion-table): Temporarily comment out.

2007-07-24  Alan Mackenzie  <acm@muc.de>

	* emacs-lisp/bytecomp.el (byte-compile-from-buffer):
	Initialise byte-compile-unresolved-functions before rather than
	after a compilation.
	(byte-compile-unresolved-functions): Amplify doc string.

2007-07-24  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-tex.el (cal-tex-holidays, cal-tex-diary)
	(cal-tex-rules, cal-tex-buffer, cal-tex-24)
	(cal-tex-cursor-month-landscape, cal-tex-cursor-month)
	(cal-tex-cursor-week, cal-tex-cursor-week2)
	(cal-tex-cursor-week-iso, cal-tex-week-hours)
	(cal-tex-cursor-week-monday, cal-tex-weekly4-box)
	(cal-tex-cursor-filofax-2week, cal-tex-cursor-filofax-week)
	(cal-tex-cursor-filofax-daily, cal-tex-daily-page): Doc fix.

2007-07-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs.el (cvs-temp-buffer): Disable undo in temp buffers.

2007-07-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ses.el (ses-cleanup): Prevent Emacs from spuriously checking if the
	underlying file is uptodate.

2007-07-23  Richard Stallman  <rms@gnu.org>

	* progmodes/octave-inf.el (inferior-octave-prompt): Accept .exe.

2007-07-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-font-lock-backslash-quote)
	(sh-font-lock-flush-syntax-ppss-cache): New funs.
	(sh-font-lock-syntactic-keywords): Use them to distinguish the
	different possible cases for \'.
	(sh-font-lock-paren): Mark the relevant text with font-lock-multiline.

	* vc-hooks.el (vc-find-root): Walk up the tree to find an existing
	`file' from which to start the search and fix case where `file' is the
	current directory and the root as well.

	* pcvs.el (cvs-mode-add-change-log-entry-other-window): Use a directory
	name for buffer-file-name if it refers to a directory.

2007-07-22  Jason Rumney  <jasonr@gnu.org>

	* w32-fns.el (set-default-process-coding-system): Use dos line ends
	for input to cmdproxy on all versions of Windows.
	Use dos line ends for input to plink.

	* comint.el (comint-simple-send): Concat newline before sending.
	(comint-password-prompt-regexp): Recognize plink's passphrase prompt.

2007-07-22  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-edit-string): Save old point and
	isearch-other-end to old-point and old-other-end before reading
	the search string from minibuffer.  After exiting minibuffer set
	point to old-other-end if point and the search direction is the
	same as before reading the search string.
	(isearch-del-char): Don't set isearch-yank-flag to t.  Put point
	to isearch-other-end.  Instead of isearch-search-and-update call
	three functions isearch-search, isearch-push-state and isearch-update.

2007-07-22  Ralf Angeli  <angeli@caeruleus.net>

	* textmodes/reftex.el (reftex-access-parse-file): Do not risk
	destroying an existing buffer.

2007-07-22  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* startup.el (command-line-x-option-alist): Use x-handle-no-bitmap-icon.

	* term/x-win.el (x-handle-no-bitmap-icon): New function.

2007-07-22  Ralf Angeli  <angeli@caeruleus.net>

	* textmodes/reftex.el (reftex-access-parse-file): Create parse
	file in a way that does not interfere with recentf.

2007-07-21  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* image-dired.el (image-dired-sane-db-file): New func.
	(image-dired-write-tags, image-dired-remove-tag)
	(image-dired-list-tags, image-dired-write-comments)
	(image-dired-get-comment, image-dired-mark-tagged-files)
	(image-dired-create-gallery-lists): Call new func.
	Reported by Dieter Wilhelm <dieter@duenenhof-wilhelm.de>.

2007-07-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-diff): Use vc-hg-command.
	(vc-hg-dir-state): Fix loop.
	(vc-hg-print-log): Fix expected return value for vc-hg-command.
	(vc-hg-next-version, vc-hg-delete-file, vc-hg-rename-file)
	(vc-hg-register, vc-hg-create-repo, vc-hg-checkin)
	(vc-hg-revert): Likewise.
	(vc-hg-revision-table, vc-hg-revision-completion-table): New functions.

2007-07-21  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* emacs-lisp/lisp-mode.el (calculate-lisp-indent): In the
	case of alignment under a constant symbol, find and consider
	the sexp actually at indentation to be the "last sexp".

2007-07-20  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (install-lisp-SH, install-lisp-CMD): New targets.
	(install): Use them to copy all *.el files before *.elc.
	(clean): Don't delete *~.

2007-07-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-workfile-unchanged-p): New function.

2007-07-19  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-registered): Replace if with when.
	(vc-hg-state): Deal with nonexistent files.

2007-07-18  Juanma Barranquero  <lekktu@gmail.com>

	* follow.el (follow-mode-hook, follow-mode-off-hook, follow-mode)
	(follow-delete-other-windows-and-split, follow-recenter)
	(follow-windows-aligned-p, follow-point-visible-all-windows-p)
	(follow-redisplay, follow-estimate-first-window-start)
	(follow-xemacs-scrollbar-support, follow-intercept-process-output):
	Fix typos in docstrings.

2007-07-17  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* bookmark.el (bookmark-show-all-annotations):
	Make sure each inserted annotation ends with newline.

	(bookmark-maybe-sort-alist): Don't modify
	bookmark-alist.  Instead, if not sorting, simply return it.
	(bookmark-bmenu-list): Call bookmark-maybe-sort-alist
	for its return value, not for its side effect.

2007-07-17  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el: Add more info about the vc-registered function.

2007-07-16  David Kastrup  <dak@gnu.org>

	* emacs-lisp/advice.el (defadvice): Doc fix.

2007-07-16  Juanma Barranquero  <lekktu@gmail.com>

	* subr.el (when, unless): Doc fix.

2007-07-16  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-state): Handle removed files.
	(vc-hg-dir-state, vc-hg-dired-state-info): New functions.
	(vc-hg-checkout): Re-enable.

2007-07-15  Richard Stallman  <rms@gnu.org>

	* kmacro.el (kmacro-bind-to-key): Avoid comparisons on function keys.

	* tutorial.el (tutorial--find-changed-keys):
	Handle C-x specially like ESC.

2007-07-15  Roland McGrath  <roland@frob.com>

	* add-log.el (add-change-log-entry): Check add-log-full-name
	and add-log-mailing-address later, after change-log-mode-hook.

2007-07-15  Richard Stallman  <rms@gnu.org>

	* isearch.el (isearch-mode, isearch-done):
	Delete unintended code in previous change.

	* ps-print.el (ps-default-bg): Change to White.

2007-07-15  Aaron Hawley  <aaronh@garden.org>

	* tar-mode.el (tar-get-descriptor): No error for zero-length file.

2007-07-15  Martin Rudalics  <rudalics@gmx.at>

	* mouse.el (mouse-drag-track): Reset transient-mark-mode to nil
	when handling the terminating event.

2007-07-15  Jeff Miller  <jmiller@cablespeed.com>  (tiny change)

	* calendar/calendar.el (calendar-goto-bahai-date): Autoload it.

2007-07-13  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (install-lisp-SH, install-lisp-CMD): New targets.
	(install): Use them to copy all *.el files before *.elc.

2007-07-13  Dan Nicolaescu  <dann@ics.uci.edu>

	* replace.el (match): Use yellow1 instead of yellow.

	* progmodes/gdb-ui.el (breakpoint-enabled): Use red1 instead of red.

	* pcvs-info.el (cvs-unknown): Likewise.

2007-07-12  Davis Herring  <herring@lanl.gov>

	* desktop.el (desktop-buffer-info, desktop-save):
	Use `desktop-dirname' instead of `dirname'.

2007-07-10  Jim Meyering  <jim@meyering.net>  (tiny change)

	* emacs-lisp/copyright.el (copyright-current-gpl-version): Set to 3.

	* autoinsert.el (auto-insert-alist): s/2/3/ in the generated comment.

2007-07-10  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/lisp-mode.el (eval-defun):
	Explain special handling of `defface'.

2007-07-09  Richard Stallman  <rms@gnu.org>

	* isearch.el (isearch-edit-string): Call to isearch-push-state
	after the search.

2007-07-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* cus-start.el (file-coding-system-alist): Fix custom type.

2007-07-08  Chong Yidong  <cyd@stupidchicken.com>

	* longlines.el (longlines-wrap-region): Avoid marking buffer as
	modified.
	(longlines-auto-wrap, longlines-window-change-function):
	Remove unnecessary calls to set-buffer-modified-p.

2007-06-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-default-log-view-mode): New function.
	(vc-print-log): Add new `log-view-mode' VC operation.

2007-07-08  Nick Roberts  <nickrob@snap.net.nz>

	* pcvs-util.el (cvs-strings->string, cvs-string->strings):
	Rename and move to...

	* subr.el (strings->string, string->strings): ...here.

	* pcvs.el (cvs-reread-cvsrc, cvs-header-msg, cvs-checkout)
	(cvs-mode-checkout, cvs-execute-single-file): Use new function names.

	* progmodes/gud.el (gud-common-init): Call string->strings instead
	of split-string.

2007-07-07  Eli Zaretskii  <eliz@gnu.org>

	* term/w32-win.el (menu-bar-open): New function.
	Bind <f10> to it.

2007-07-07  Dan Nicolaescu  <dann@ics.uci.edu>

	* log-view.el (log-view-mode-menu): New menu.

2007-07-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el: New file.

2007-07-06  Andreas Schwab  <schwab@suse.de>

	* emacs-lisp/lisp-mode.el (eval-last-sexp): Avoid introducing any
	dynamic bindings around the evaluation of the expression.
	Reported by Jay Belanger <jay.p.belanger@gmail.com>.

2007-07-03  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/gud.el (auto-mode-alist): Match more valid gdb init
	file names.

2007-07-02  Martin Rudalics  <rudalics@gmx.at>

	* help-mode.el (help-make-xrefs): Skip spaces too when skipping tabs.

	* mouse.el (mouse-drag-mode-line-1): Quit mouse tracking when
	event is not a cons cell.  Do not unread drag-mouse-1 events.
	Select right window in check whether space was stolen from
	window above.

2007-07-01  Richard Stallman  <rms@gnu.org>

	* files.el (find-file-visit-truename): Fix safe-local-variable value.

2007-06-29  Juanma Barranquero  <lekktu@gmail.com>

	* generic-x.el (generic-define-mswindows-modes)
	(generic-define-unix-modes, apache-log-generic-mode)
	(bat-generic-mode-keymap, java-manifest-generic-mode)
	(show-tabs-generic-mode): Fix typos in docstrings.

2007-06-28  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* dnd.el (dnd-get-local-file-name): Set fixcase to t in call to
	replace-regexp-in-string.

2007-06-28  Andreas Schwab  <schwab@suse.de>

	* Makefile.in ($(lisp)/mh-e/mh-loaddefs.el): Depend on
	$(lisp)/subdirs.el.

2007-06-28  Juanma Barranquero  <lekktu@gmail.com>

	* speedbar.el (speedbar-handle-delete-frame): Don't try to delete
	the speedbar frame if nil; that deletes the current frame or
	causes an error if it is the only frame.
	Reported by Angelo Graziosi <Angelo.Graziosi@roma1.infn.it>.

2007-06-24  Juanma Barranquero  <lekktu@gmail.com>

	* desktop.el (desktop-read): Run `desktop-not-loaded-hook' in the
	directory where the desktop file was found, as the docstring says.
	(desktop-kill): Use `read-directory-name'.

	* desktop.el (desktop-load-locked-desktop): New option.
	(desktop-read): Use it.
	(desktop-truncate, desktop-outvar, desktop-restore-file-buffer):
	Use `when'.

2007-06-24  Davis Herring  <herring@lanl.gov>

	* desktop.el (desktop-save-mode-off): New function.
	(desktop-base-lock-name, desktop-not-loaded-hook): New variables.
	(desktop-full-lock-name, desktop-file-modtime, desktop-owner)
	(desktop-claim-lock, desktop-release-lock): New functions.
	(desktop-kill): Tell `desktop-save' that this is the last save.
	Release the lock afterwards.
	(desktop-buffer-info): New function.
	(desktop-save): Use it.  Run `desktop-save-hook' where the doc
	says to.  Detect conflicts, and manage the lock.
	(desktop-read): Detect conflicts.  Manage the lock.

2007-06-23  Eli Zaretskii  <eliz@gnu.org>

	* ls-lisp.el (insert-directory): If an invalid regexp error is
	thrown, try using FILE as a literal file name, not a wildcard.
	Check for FILE as an existing file, not just a directory.

2007-06-23  Juanma Barranquero  <lekktu@gmail.com>

	* ruler-mode.el (ruler-mode): Prevent clobbering the original
	`header-line-format' when reentering ruler mode.

2007-06-23  Eli Zaretskii  <eliz@gnu.org>

	* ls-lisp.el (insert-directory): Don't treat FILE as a wildcard if
	FILE exists as a directory.

2007-06-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/vera-mode.el (vera-mode): Fix `commend-end-skip' setting.
	(vera-font-lock-match-item): Fix doc string.
	(vera-in-comment-p): Remove unused function.
	(vera-skip-forward-literal, vera-skip-backward-literal): Improve code,
	use `syntax-ppss'.
	(vera-forward-syntactic-ws): Fix argument order.
	(vera-prepare-search): Use `with-syntax-table'.
	(vera-indent-line): Fix doc string.
	(vera-electric-tab): Fix doc string.
	(vera-expand-abbrev): Define alias instead of using `fset'.
	(vera-comment-uncomment-region): Use `comment-start-skip'.

2007-06-20  Reto Zimmermann  <reto@gnu.org>

	* progmodes/vera-mode.el: New file.

2007-06-20  Juanma Barranquero  <lekktu@gmail.com>

	* ido.el (ido-find-file-in-dir): Don't signal an error for
	empty directories.

2007-06-18  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-mode.el (c-remove-any-local-eval-or-mode-variables):
	When removing lines, also remove the \n.  Correction of patch of
	2007-04-21.

2007-06-17  Glenn Morris  <rgm@gnu.org>

	* lpr.el (lpr-page-header-switches): Move %s to separate element
	for correct quoting.  Doc fix.

2007-06-13  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* term/xterm.el (terminal-init-xterm): Escape parens in character
	constants.

2007-06-12  Ralf Angeli  <angeli@caeruleus.net>

	* scroll-lock.el (scroll-lock-mode): Doc fix.

2007-06-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* font-lock.el (font-lock-add-keywords): In case font-lock was only
	half-activated, forcefully activate it completely.

2007-06-11  Richard Stallman  <rms@gnu.org>

	* cus-edit.el (custom-variable-type): Doc fix.

2007-06-09  Alfred M. Szmidt  <ams@gnu.org>  (tiny change)

	* mail/rmail.el (rmail-movemail-variant-in-use): Fix doc typo.

2007-06-09  Davis Herring  <herring@lanl.gov>

	* desktop.el (desktop-minor-mode-table): Doc fix.

2007-06-08  Chong Yidong  <cyd@stupidchicken.com>

	* image-mode.el (image-forward-hscroll, image-backward-hscroll)
	(image-next-line, image-previous-line, image-scroll-up)
	(image-scroll-down, image-bol, image-eol, image-bob, image-eob):
	New functions.
	(image-mode-map): Remap motion commands.
	(image-mode-text-map): New keymap for viewing images as text.
	(image-mode): Use image-mode-map.
	(image-toggle-display): Toggle auto-hscroll-mode and mode keymaps.

2007-06-07  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.0.56.

	* net/tramp.el:
	* net/tramp-ftp.el:
	* net/tramp-smb.el:
	* net/tramp-util.el:
	* net/tramp-vc.el:
	Don't load cl.el, because that pollutes the namespace.  Replace cl
	macros by their implementations where necessary.  Requested by
	Richard Stallman <rms@gnu.org>.

	* net/tramp.el (top): Make `set-buffer-multibyte' an alias if it
	doesn't exist.
	(with-parsed-tramp-file-name): Protect debug spec during compilation.
	(tramp-handle-insert-directory): Check (featurep 'ls-lisp).
	(tramp-file-name-p, tramp-file-name-multi-method)
	(tramp-file-name-method, tramp-file-name-user)
	(tramp-file-name-host, tramp-file-name-localname): New defuns,
	replacing defstruct `tramp-file-name'.
	(tramp-handle-file-remote-p, tramp-completion-dissect-file-name1)
	(tramp-dissect-file-name, tramp-dissect-multi-file-name):
	Apply `vector' instead of `make-tramp-file-name'.
	(tramp-handle-make-auto-save-file-name):
	Apply `tramp-temporary-file-directory' for compatibility reasons.
	(tramp-completion-mode): Use `natnump' instead of `wholenump'
	because of XEmacs.
	(tramp-completion-mode): `last-input-event' is nil when XEmacs is
	started.

2007-06-07  David Kastrup  <dak@gnu.org>

	* dired.el (dired-recursive-deletes, dired-recursive-copies):
	Change default to `top'.

2007-06-07  Chong Yidong  <cyd@stupidchicken.com>

	* dired.el (dired-mode-map): Remove spurious separator.

2007-06-07  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/ebrowse.el (ebrowse-draw-file-member-info): Doc fix.

	* progmodes/mixal-mode.el (mixal-operation-codes-alist):
	* progmodes/idlwave.el (idlwave-one-key-select): Fix typo in docstring.

2007-06-07  Alfred M. Szmidt  <ams@gnu.org>  (tiny change)

	* mail/rmailsum.el (rmail-summary-save-buffer): New command.
	(rmail-summary-mode-map): Add rmail-summary-save-buffer.

2007-06-07  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/ebrowse.el (ebrowse-member-table):
	* textmodes/org.el (org-export-ascii-bullets): Fix typos in docstrings.

2007-06-06  Juanma Barranquero  <lekktu@gmail.com>

	* pgg.el (pgg-sign-region, pgg-sign):
	* ses.el (ses-call-printer):
	* calendar/icalendar.el (icalendar--diarytime-to-isotime):
	* textmodes/org.el (org-cycle): Fix typos in docstrings.

2007-06-06  Eli Zaretskii  <eliz@gnu.org>

	* tar-mode.el (tar-header-block-summarize, tar-summarize-buffer)
	(tar-get-descriptor): Handle type 55, an extended pax header.

2007-06-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/css-mode.el: New file.

2007-06-06  Michael Albinus  <michael.albinus@gmx.de>

	* net/socks.el: New file, taken from w3 repository.
	(top): Update Copyright.  Don't load cl.el.
	(all): Replace `case' by `cond', `string-to-int' by
	`string-to-number', and `process-kill-without-query' by
	`set-process-query-on-exit-flag'.
	(socks-char-int): Remove defalias and all occurrences.

2007-06-06  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule-cmds.el (toggle-enable-multibyte-characters)
	(sort-coding-systems, search-unencodable-char): Doc fixes.
	(coding-system-change-eol-conversion, set-default-coding-systems)
	(prefer-coding-system, find-multibyte-characters, princ-list)
	(leim-list-entry-regexp, set-input-method, locale-language-names)
	(input-method-exit-on-first-char, exit-language-environment-hook)
	(locale-charset-language-names): Fix typos in docstrings.

2007-06-05  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs-cycle-previous): Don't modify the cycle list until
	`switch-to-buffer' has returned succesfully.
	(bs-cycle-next): Ditto.  Also, don't bury the buffer when the
	window is dedicated (it could iconify the frame).

2007-06-05  Glenn Morris  <rgm@gnu.org>

	* files.el (auto-mode-alist): Open `.asd' files in lisp-mode.

2007-06-05  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (auto-mode-alist): Add lower-priority match for names
	like ChangeLog.old.

2007-06-04  Andreas Schwab  <schwab@suse.de>

	* emacs-lisp/sregex.el (sregexq): Fix doc string quoting.

2007-06-04  Davis Herring  <herring@lanl.gov>

	* calendar/timeclock.el: Update version number.
	(timeclock-modeline-display): Mention timeclock-use-display-time
	in explanatory message.
	(timeclock-log): Suppress warnings when finding the log.
	Don't check for a nil project twice.  Run hooks after killing the
	buffer (if applicable).
	(timeclock-geometric-mean): Rename to `timeclock-mean' (it never
	was geometric).  All uses changed.
	(timeclock-generate-report): Support prefix argument.

2007-06-04  Micha,Ak(Bl Cadilhac  <michael@cadilhac.name>

	* man.el (Man-next-section): Don't consider the last line of the
	page as being part of any section.

2007-06-04  Martin Rudalics  <rudalics@gmx.at>

	* hilit-chg.el (highlight-changes-rotate-faces): Don't set
	modified flag of buffer.  Use `inhibit-modification-hooks'.

2007-06-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mail/mail-extr.el (mail-extract-address-components):
	Recognize non-ASCII characters except for NBSP as words.

2007-06-04  Ryan Yeske  <rcyeske@gmail.com>

	* net/webjump.el (webjump-sample-sites): Add Wikipedia query.

2007-06-04  Michael Olson  <mwolson@gnu.org>

	* emacs-lisp/tq.el (tq-queue-pop): Stifle error when a process has
	died and we are trying to send a signal to it.

2007-06-04  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/easy-mmode.el (define-minor-mode)
	(easy-mmode-define-navigation): Fix typos in docstrings.

	* progmodes/compile.el (compilation-find-file, compilation-handle-exit):
	Fix typos in docstrings.
	(compilation-search-path, compilation-buffer-name-function): Doc fixes.
	(compilation-finish-function): Fix typo in obsolescence declaration.

	* progmodes/idlwave.el (idlwave-routines): Fix typo in docstring.

2007-06-04  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (magic-mode-alist): Remove image-type-auto-detected-p.
	(magic-fallback-mode-alist): Add image-type-auto-detected-p.

	* image.el (image-type-auto-detected-p): Don't scan auto-mode-alist.

	* longlines.el (longlines-mode): Make longlines-auto-wrap
	buffer-local.  Add hooks unconditionally.
	(longlines-auto-wrap): Toggle wrapping.
	(longlines-after-change-function)
	(longlines-post-command-function): Check longlines-auto-wrap.

2007-06-02  Chong Yidong  <cyd@stupidchicken.com>

	* Version 22.1 released.

2007-06-01  Chong Yidong  <cyd@stupidchicken.com>

	* paren.el (show-paren-function): Undo 2007-04-19 and 2007-04-20
	changes.

2007-05-31  Richard Stallman  <rms@gnu.org>

	* dired.el (dired-do-delete, dired-do-flagged-delete): Doc fixes.

2007-05-29  Martin Rudalics  <rudalics@gmx.at>

	* textmodes/table.el (table--point-entered-cell-function)
	(table--point-left-cell-function):
	Bind `inhibit-point-motion-hooks' to t.

2007-05-29  Nikolaj Schumacher  <n_schumacher@web.de>  (tiny change)

	* emacs-lisp/rx.el (rx): Doc fix.

2007-05-28  Chong Yidong  <cyd@stupidchicken.com>

	* textmodes/sgml-mode.el (sgml-point-entered): Use condition-case.

2007-05-27  Tetsurou Okazaki  <okazaki@be.to>  (tiny change)

	* log-edit.el (log-edit-changelog-paragraph): Return point-max
	as the end of the ChangeLog paragraph when it ends without a line
	termination.

2007-05-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/fill.el (canonically-space-region): Make the second arg
	a marker if it's not already the case.

	* xt-mouse.el (xterm-mouse-truncate-wrap): New function.
	(xterm-mouse-event): Use it.

2007-05-25  Miles Bader  <miles@fencepost.gnu.org>

	* vc-hooks.el (vc-find-root): Fix file attribute test.

2007-05-24  Richard Stallman  <rms@gnu.org>

	* textmodes/flyspell.el (flyspell-correct-word-before-point):
	Don't let opoint be nil.
	(flyspell-emacs-popup): Explicit error if no dialogs.

2007-05-23  Eli Zaretskii  <eliz@gnu.org>

	* tar-mode.el (tar-file-name-handler): New function.
	(tar-extract): Bind file-name-handler-alist to it to force
	find-buffer-file-type-coding-system behave as if the file being
	extracted existed.  Use last-coding-system-used to force
	buffer-file-coding-system to what decode-coding-region actually
	used to decode the file.

2007-05-23  Nikolaj Schumacher  <n_schumacher@web.de>  (tiny change)

	* progmodes/compile.el (compilation-handle-exit):
	`compilation-finish-function' may change the current buffer.

2007-05-22  Richard Stallman  <rms@gnu.org>

	* files.el (set-auto-mode): Doc fix.

2007-05-22  Eli Zaretskii  <eliz@gnu.org>

	* dos-w32.el (find-buffer-file-type-coding-system): Doc fix.

2007-05-21  Trent Buck  <trentbuck@gmail.com>  (tiny change)

	* net/rcirc.el (rcirc-fill-column): Allow `window-width'.
	(rcirc-print): Handle `window-width'.
	(rcirc-buffer-maximum-lines): Doc fix.

2007-05-19  Kevin Ryde  <user42@zip.com.au>

	* info.el (Info-fontify-node): Match https also.

2007-05-18  Richard Stallman  <rms@gnu.org>

	* simple.el (push-mark): Doc fix.

2007-05-18  Rob Riepel  <riepel@Stanford.EDU>

	* emulation/tpu-edt.el (CSI-map, SS3-map): Move from global-map to
	tpu-global-map.
	(tpu-original-global-map): Delete variable.
	(tpu-control-keys-map): New keymap variable.
	(tpu-set-control-keys): Use tpu-reset-control-keys rather than
	setting keymapping directly.
	(tpu-reset-control-keys): Use tpu-control-keys-map instead of
	tpu-global-map.
	(tpu-edt-on): Activate the tpu-global-map.
	(tpu-edt-off): Deactivate the tpu-global-map.

2007-05-18  Ryan Yeske  <rcyeske@gmail.com>

	* textmodes/ispell.el (ispell-get-word): Return markers
	for start and end positions.
	(ispell-word): Assume END is a marker.

2007-05-17  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Use default color when foreground or background color
	are unspecified.  Reported by Leo <sdl.web@gmail.com>.
	(ps-print-version): New version 6.7.4.
	(ps-rgb-color): New argument.  Use default color when color is
	unspecified.
	(ps-begin-job): Fix code.

2007-05-17  Martin Rudalics  <rudalics@gmx.at>

	* textmodes/ispell.el (ispell-start-process): Defend against bad
	default-directory.

2007-05-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-hooks.el (vc-find-root): Stop searching when the user changes.

2007-05-16  Richard Stallman  <rms@gnu.org>

	* buff-menu.el (Buffer-menu-sort-column): Doc fix.

2007-05-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (magic-mode-alist, magic-fallback-mode-alist):
	Move the *ml, Postscript, and XmCD entries to the fallback part.

	* files.el (magic-fallback-mode-alist):
	Rename from file-start-mode-alist.

2007-05-16  Nikolaj Schumacher  <n_schumacher@web.de>  (tiny change)

	* progmodes/compile.el (compilation-handle-exit): Quote first
	argument of `run-hook-with-args'.

2007-05-16  Juanma Barranquero  <lekktu@gmail.com>

	* buff-menu.el (Buffer-menu-sort-column):
	* dabbrev.el (dabbrev-upcase-means-case-search):
	* dired.el (dired-recursive-deletes, dired-recursive-copies):
	* info.el (Info-current-subfile):
	* ls-lisp.el (ls-lisp-verbosity):
	* msb.el (msb-menu-cond):
	* pcvs.el (cvs-dired-use-hook):
	* simple.el (set-mark-command-repeat-pop):
	* time.el (display-time-24hr-format, display-time-mail-file):
	Doc fixes.

	* tutorial.el (get-lang-string, tutorial--find-changed-keys):
	* printing.el (pr-ps-fast-fire): Fix typos in docstrings.

	* view.el (view-inhibit-help-message): Fix typo in docstring.
	(view-scroll-auto-exit, view-try-extend-at-buffer-end): Doc fixes.

2007-05-14  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmail.el (rmail-convert-to-babyl-format):
	Check content-transfer-encoding _last_, because we need its position
	in base64-header-field-end.

2007-05-14  Juanma Barranquero  <lekktu@gmail.com>

	* files.el (mode-require-final-newline, require-final-newline)
	(enable-local-variables, enable-local-eval): Doc fixes.

2007-05-10  Edward O'Connor  <hober0@gmail.com>  (tiny change)

	* progmodes/python.el (python-font-lock-keywords)
	(python-open-block-statement-p, python-mode): Add support for the new
	"with" keyword.

2007-05-10  Richard Stallman  <rms@gnu.org>

	* international/iso-cvt.el (iso-cvt-read-only): Ignore arguments.
	(iso-cvt-write-only): Likewise.

	* emacs-lisp/easy-mmode.el (define-minor-mode):
	Fix generated doc string.

	* startup.el (fancy-splash-text): Add URL of guided tour.
	Adjust horizontal and vertical whitespace.

	* progmodes/compile.el (compilation-handle-exit):
	Use run-hook-with-args to run compilation-finish-functions.

	* files.el (file-start-mode-alist): New variable.
	(magic-mode-regexp-match-limit): Doc fix.
	(set-auto-mode): Handle file-start-mode-alist.
	A little cleanup of structure.

2007-05-10  Davis Herring  <herring@lanl.gov>

	* calendar/timeclock.el (timeclock-in): Fix non-interactive
	workday specifications.
	(timeclock-log): Don't kill the log buffer if it already existed.

2007-05-08  Richard Stallman  <rms@gnu.org>

	* mail/mailabbrev.el (sendmail-pre-abbrev-expand-hook):
	Don't include non-self-insert commands in the exception for `-'.

2007-05-08  David Reitter  <david.reitter@gmail.com>

	* progmodes/python.el (python-guess-indent): Check non-nullness
	before comparing indent against the 2..8 interval.

2007-05-07  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-ts-unicode-for-key-event): Check if text is
	available.

2007-05-06  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/eldoc.el (turn-on-eldoc-mode): Doc fix.

2007-05-03  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el (rcirc-timeout-seconds): Increase to prevent unwanted
	disconnections.

2007-05-01  Romain Francoise  <romain@orebokech.com>

	* dired-x.el: Revert 2007-04-06 change.

2007-04-30  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-menu-map): Pdb can't handle SIGINT so
	don't put stop on toolbar.

2007-04-29  Stephen Berman  <Stephen.Berman@gmx.net>

	* find-dired.el (find-dired-filter): Propertize all text down to eob.

2007-04-29  Richard Stallman  <rms@gnu.org>

	* international/mule.el (auto-coding-alist): Add pdf => no-conversion.

2007-04-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/cc-mode.el (c-before-change): Use point-min rather
	than 1.

2007-04-28  Richard Stallman  <rms@gnu.org>

	* progmodes/sh-script.el (sh-mode): Recognize .profile as sh style.

2007-04-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-hooks.el (vc-ignore-dir-regexp): Add /.../ for the DFS filesystem.

2007-04-28  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in ($(lisp)/mh-e/mh-loaddefs.el): Use ./mh-e
	instead of $(lisp)/mh-e.

	* textmodes/fill.el (fill-paragraph): Doc fix.

2007-04-28  Glenn Morris  <rgm@gnu.org>

	* image-dired.el (image-dired-cmd-create-thumbnail-options)
	(image-dired-cmd-create-temp-image-options): Replace option
	+profile "*" with -strip.

2007-04-27  Chong Yidong  <cyd@stupidchicken.com>

	* textmodes/flyspell.el (flyspell-auto-correct-previous-word):
	Use window-start and window-end.

2007-04-26  Glenn Morris  <rgm@gnu.org>

	* progmodes/python.el: Restore file pending consideration of legal
	status.

2007-04-26  Luc Teirlinck  <teirllm@dms.auburn.edu>

	* locate.el (locate-in-alternate-database): Doc fix.

2007-04-26  Glenn Morris  <rgm@gnu.org>

	* button.el (button): Use underline if supported, else fall back
	to color.

2007-04-25  Richard Stallman  <rms@gnu.org>

	* hi-lock.el (hi-lock-file-patterns-policy): Default to `ask'.

2007-04-25  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/idlwave.el (idlwave-beginning-of-subprogram)
	(idlwave-end-of-subprogram): Take optional NOMARK arg to prevent
	pushing mark.
	(idlwave-current-routine): Don't push mark.

2007-04-25  Mathias Dahl  <mathias.dahl@gmail.com>

	* image-dired.el (image-dired-display-image): Derive image-type from
	filename rather than assuming jpeg, in case no resizing was needed.

2007-04-25  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* custom.el (defface): Doc fix.

2007-04-24  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/python.el: Remove due to unclear legal issues.

2007-04-24  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/idlw-shell.el (idlwave-shell-clear-all-bp):
	Don't re-query for each cleared BP.
	(idlwave-shell-clear-bp): Optionally skip BP query.
	(idlwave-shell-update-bp-overlays): Use set-window-margins instead
	of set-window-buffer, which incorrectly moves displayed region.

2007-04-23  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-bug-address): Update maintainer's address.
	* calc/*: Update maintainer's address.

2007-04-23  Richard Stallman  <rms@gnu.org>

	* simple.el (set-mark-command-repeat-pop): Doc fix.
	Put in `editing-basics' group.

2007-04-23  Chong Yidong  <cyd@stupidchicken.com>

	* info.el (Info-mouse-scroll-up, Info-mouse-scroll-down):
	New functions.
	(Info-mode-line-node-keymap): Bind mouse commands to
	Info-mouse-scroll-up/down instead of Info-scroll-up/down.

2007-04-23  Luc Teirlinck  <teirllm@auburn.edu>

	* locate.el (locate-local-prompt): New var.
	(locate-prompt-for-command): Doc fix.
	(locate-prompt-for-search-string): New function.
	(locate): New optional arg.  Make locate-local-prompt
	buffer-local.  Use locate-prompt-for-search-string.
	(locate-with-filter): New optional arg.
	Use locate-prompt-for-search-string.
	(locate-update): Bind locate-prompt-for-command.

2007-04-23  Glenn Morris  <rgm@gnu.org>

	* files.el (magic-mode-alist): `<!DOCTYPE HTML' in html-mode.

2007-04-23  Nick Roberts  <nickrob@snap.net.nz>

	* button.el (button): Inherit from link face on a tty.

2007-04-23  Glenn Morris  <rgm@gnu.org>

	* button.el (button): Use color for this face on a tty.

	* files.el (magic-mode-alist): Allow for carriage-returns in
	html-mode and sgml-mode entries.

2007-04-22  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/easy-mmode.el (define-globalized-minor-mode):
	Improve doc string of generated command.

	* subr.el (read-number): Catch errors.

	* hi-lock.el (hi-lock-file-patterns-policy): Doc fix.

2007-04-22  Chong Yidong  <cyd@stupidchicken.com>

	* image-dired.el: Rename from thumbnails.el.  All instances of
	"thumbnails" replaced with "image-dired".

	* dired.el (dired-mode-map): Rename "thumbnails" again, to
	"image-dired".

2007-04-22  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-kill-buffer-at-head, ido-delete-file-at-head):
	Don't use kill-line.

2007-04-22  Nick Roberts  <nickrob@snap.net.nz>

	* t-mouse.el (t-mouse-make-event): Pass on mev's more informative
	error message.

2007-04-22  Chong Yidong  <cyd@stupidchicken.com>

	* dired.el: Rename "tumme" to "thumbnails".

	* thumbnails.el: Rename from tumme.el.  All instances of "tumme"
	replaced with "thumbnails".

2007-04-22  Glenn Morris  <rgm@gnu.org>

	* hi-lock.el (hi-lock-file-patterns-policy): Make it a defcustom,
	and give it the risky-local-variable property.

	* textmodes/flyspell.el (flyspell-define-abbrev): Downcase abbrev
	before defining it.

2007-04-21  Martin Rudalics  <rudalics@gmx.at>

	* progmodes/cc-mode.el (c-remove-any-local-eval-or-mode-variables):
	Use delete-region instead of kill-line.

2007-04-21  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-electric-slash): Replace wrong use of
	`kill-region' by `delete-region'.

2007-04-21  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/perl-mode.el (perl-indent-command): Use delete-region
	instead of kill-region.

	* progmodes/mantemp.el (mantemp-make-mantemps-region)
	(mantemp-insert-cxx-syntax, mantemp-sort-and-unique-lines)
	(mantemp-remove-memfuncs): Use delete-region instead of kill-word
	and kill-line.

	* progmodes/vhdl-mode.el (vhdl-template-type)
	(vhdl-template-record, vhdl-template-nature)
	(vhdl-template-configuration-spec, vhdl-template-component-inst)
	(vhdl-template-break, vhdl-regress-line, vhdl-electric-tab):
	Use delete-region instead of kill-word and kill-line.

2007-04-21  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* dired-x.el (dired-virtual-mode): Doc fix.

2007-04-21  Richard Stallman  <rms@gnu.org>

	* font-lock.el (font-lock-keywords-alist): Mark as risky.

	* subr.el (read-number): Doc fix.

	* simple.el (pop-to-mark-command): Display message "mark popped"
	if point does not move.
	(set-mark-command): Doc fix.

2007-04-21  Luc Teirlinck  <teirllm@auburn.edu>

	* locate.el: Revert 2006-09-09 and 2007-04-20 changes.
	(locate-local-filter, locate-local-search): New vars.
	(locate): Make variables local.
	(locate-update): Bind locate-buffer-name.  Call locate using
	locate-local-filter and locate-local-search.

2007-04-20  David Koppelman  <koppel@ece.lsu.edu>

	* hi-lock.el (hi-lock-file-patterns-policy): New var.
	(hi-lock-find-patterns): Use hi-lock-file-patterns-policy.
	(hi-lock-mode): Update docstring.

2007-04-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/fill.el (fill-move-to-break-point): Don't inhibit
	fill-nobreak-predicate when the break is past fill-column.

2007-04-20  Francesco Potort,Al(B  <pot@gnu.org>

	* locate.el (locate): Output from shell-command should go in the
	current buffer rather than *Shell Command Output*.

2007-04-20  Chong Yidong  <cyd@stupidchicken.com>

	* paren.el (show-paren-function): Fix last fix.

2007-04-19  Kevin Ryde  <user42@zip.com.au>

	* arc-mode.el (archive-find-type): lzh-exe for lzh self-extracting exe.
	(archive-lzh-summarize): Add optional start arg for where to start
	looking at the archive.
	(archive-lzh-exe-summarize, archive-lzh-exe-extract): New functions.

	* international/mule.el (auto-coding-alist): no-conversion for .exe
	and .EXE.

2007-04-19  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-in-function-trailer-p): Fix this: when a
	function return type contains "struct", "union", etc.
	c-end-of-defun goes too far forward.

2007-04-19  Chong Yidong  <cyd@stupidchicken.com>

	* paren.el (show-paren-function): Reset window-start to avoid
	recentering.

2007-04-19  Glenn Morris  <rgm@gnu.org>

	* calendar/todo-mode.el: Fix typo: "threshhold" -> "threshold".

2007-04-18  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-header-line-format): Add a custom
	:set function.
	(diary-list-entries): Only switch to diary-mode from
	default-major-mode (reverts 2007-03-21 change).  Otherwise, if in
	diary-mode set header-line-format, in case of any customization.

2007-04-18  Levin Du  <zslevin@gmail.com>  (tiny change)

	* calendar/parse-time.el (parse-time-string-chars): Check if CHAR
	is less than the length of parse-time-syntax.

2007-04-17  David Kastrup  <dak@gnu.org>

	* replace.el (query-replace-regexp-eval): Deprecate.

2007-04-17  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-beginning-of-defun): With -ve arg and
	point too close to EOB, leave point at EOB rather than last `}'.

2007-04-17  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-include-OPTkey)
	(bibtex-user-optional-fields, bibtex-entry-field-alist):
	Fix defcustom.

2007-04-17  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-dst.el (calendar-dst-find-startend): If YEAR cannot
	be encoded, fall back to current year.

2007-04-14  Kevin Ryde  <user42@zip.com.au>

	* arc-mode.el (archive-lzh-summarize): Only apply the "downcase if
	all upcase" rule to OS-ID 0 "generic".  Always downcase for OS-ID
	M "MSDOS".

2007-04-16  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/python.el (python-end-of-block): Avoid looping forever
	if python-next-statement fails.

2007-04-16  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-entry-field-alist): Use defcustom.

2007-04-16  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/perl-mode.el (perl-indent-level): Mark as safe local var.
	* progmodes/cperl-mode.el (cperl-indent-level): Likewise.

2007-04-15  Jay Belanger  <belanger@truman.edu>

	* calc/calc.el (calc-version): New function.
	(calc-trail-mode): Shorten the title.

2007-04-15  Chong Yidong  <cyd@stupidchicken.com>

	* mail/footnote.el (footnote-style): Clarify docstring to state
	that customizing this only applies to future footnotes.

2007-04-15  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-field-list): Use functionp.
	(bibtex-make-field): Check that INIT is a string.  Use functionp.

2007-04-14  Glenn Morris  <rgm@gnu.org>

	* complete.el (PC-goto-end): New buffer-local variable.
	(PC-do-completion-end): Make buffer-local.
	(partial-completion-mode) <choose-completion-string-functions>:
	Do not go to the end of the minibuffer if PC-goto-end is non-nil.
	(PC-do-completion): New optional fourth argument GOTO-END.  Add a
	doc string.  Set PC-goto-end for choose-completion.
	(PC-lisp-complete-symbol): Pass non-nil GOTO-END arg to
	PC-do-completion.

	* textmodes/bibtex.el (bibtex-insert-kill): Pass non-nil NODELIM
	arg to bibtex-make-field.
	(bibtex-make-field): Add optional fourth arg NODELIM.
	Insert delimiters around INIT unless this arg is non-nil.

2007-04-14  Nick Roberts  <nickrob@snap.net.nz>

	* tmm.el (tmm-get-keybind): Use copy-sequence to ensure that the
	global map isn't modified.

2007-04-14  Glenn Morris  <rgm@gnu.org>

	* calendar/appt.el (appt-disp-window): Do not split small windows.
	Suggested by Jeff Miller <jmiller@cablespeed.com>.

2007-04-13  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/compile.el (compilation-start): Revert 2007-03-25 change.

	* files.el: Ditto.

2007-04-13  Juanma Barranquero  <lekktu@gmail.com>

	* cus-edit.el (minibuffer, auto-save): Fix typos in docstrings.

	* term.el (term-buffer-maximum-size, term-exec, term-escape-char)
	(term-set-escape-char, term-termcap-format, term-get-old-input-default)
	(term-skip-prompt, term-send-string, term-send-region, term-pager-page)
	(term-pager-help): Fix typos in docstrings.

	* wid-edit.el (widget-documentation): Fix typo in docstring.

	* progmodes/ebnf2ps.el (ebnf-insert-style, ebnf-merge-style):
	Fix typos in error messages.

2007-04-13  Martin Rudalics  <rudalics@gmx.at>

	* emacs-lisp/edebug.el (edebug-pop-to-buffer): Don't select
	window marked as dedicated.

	* mail/footnote.el (footnote-latin-string): New variable.
	(footnote-latin-regexp): Redefine as regexp alternative.
	(Footnote-latin): Use footnote-latin-string instead of
	footnote-latin-regexp.

2007-04-13  Glenn Morris  <rgm@gnu.org>

	* tmm.el (tmm-get-keybind): Use car-safe to avoid errors with
	inherited keymaps.

2007-04-12  Chong Yidong  <cyd@stupidchicken.com>

	* outline.el (outline-get-next-sibling): Clarify docstring.
	(outline-get-last-sibling): Handle case where we are at the first
	heading.  Clarify docstring.

2007-04-12  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-minor-mode-map): Make go button same
	length as stop button to lessen flicker.
	(jdb): Add gud-print.
	(gud-find-expr): Jdb prints the expression with the value, so
	don't insert it in the output.

2007-04-11  Jason Rumney  <jasonr@gnu.org>

	* dnd.el (dnd-get-local-file-name): Decode both upper and lower
	case hex.  Do not try to decode non-hex letters.

2007-04-11  Markus Triska  <markus.triska@gmx.at>

	* emacs-lisp/byte-opt.el (byte-optimize-backward-char)
	(byte-optimize-backward-word): Remove (move to bytecomp.el).
	(byte-optimize-form-code-walker): Evaluate pure function calls if
	possible.
	(byte-optimize-all-constp): New function.

	* emacs-lisp/bytecomp.el (byte-compile-char-before):
	Improve numeric argument case.
	(byte-compile-backward-char, byte-compile-backward-word):
	New functions, performing rewriting previously done in byte-opt.el.
	Fix their "Fixme" item (restriction to numeric arguments).

2007-04-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* desktop.el (desktop-save, desktop-create-buffer): Replace mapcar
	with dolist.
	(after-init-hook): Don't quote lambda.
	(desktop-first-buffer): Don't wrap it in eval-when-compile.
	(desktop-internal-v2s): Remove unused var `el'.
	(desktop-buffer-major-mode, desktop-buffer-locals): Move out of
	desktop-restore-file-buffer.
	(desktop-buffer-ok-count, desktop-buffer-fail-count): Move out of
	desktop-create-buffer.

2007-04-10  Chong Yidong  <cyd@stupidchicken.com>

	* woman.el (woman-decode-buffer): Postpone macro-set check...
	(woman-decode-region): ...to here.

2007-04-10  Thien-Thi Nguyen  <ttn@gnu.org>

	* startup.el (tty-handle-args): Use %S to log ARGS.

2007-04-10  Glenn Morris  <rgm@gnu.org>

	* dframe.el (dframe-frame-mode): Do not set auto-show-mode, since
	it is obsolete and has no effect.

	* dos-w32.el (default-buffer-file-type): Add defvar to quieten
	byte-compiler.

	* progmodes/cperl-mode.el (cperl-mode): Remove unnecessary call to
	obsolete function make-local-hook.

	* progmodes/dcl-mode.el (top-level): Move (require 'tempo) to
	start to quieten byte-compiler.

2007-04-10  Markus Triska  <markus.triska@gmx.at>

	* emacs-lisp/byte-opt.el (byte-optimize-char-before): Remove (move
	to bytecomp.el as byte-compile-char-before).
	* emacs-lisp/bytecomp.el (byte-compile-char-before):
	New function (modified replacement for byte-optimize-char-before in
	byte-opt.el).

2007-04-09  Alan Mackenzie  <acm@muc.de>

	* startup.el (inhibit-splash-screen): Emphatically state that it
	can't be set in site-start.el.

2007-04-09  Masatake YAMATO  <jet@gyve.org>

	* progmodes/cc-subword.el (c-capitalize-subword): More closely
	mimic the behavior of `capitalize-word'.  Do not move point with a
	negative argument.  Based on tiny change by Paul Curry.

2007-04-09  Paul Curry  <dashteacup@gmail.com>  (tiny change)

	* progmodes/cc-subword.el (c-downcase-subword, c-upcase-subword):
	Don't move point if ARG is negative.

2007-04-09  Alan Mackenzie  <acm@muc.de>

	Changes to make `narrow-to-defun' and `mark-defun' work properly
	in CC Mode:

	* progmodes/cc-defs.el (c-beginning-of-defun-1):
	* progmodes/cc-cmds.el (c-beginning-of-defun, c-end-of-defun):
	Bind beginning/end-of-defun-function to nil around calls to
	beginning/end-of-defun.

	* progmodes/cc-langs.el (beginning-of-defun-function)
	(end-of-defun-function): New c-lang-setvar's.

	* progmodes/cc-awk.el (c-awk-beginning-of-defun): Add "(or arg
	(setq arg 1))" to enable non-interactive call.

2007-04-09  Eli Zaretskii  <eliz@gnu.org>

	* simple.el (set-mark-command): Doc fix.

2007-04-09  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gdb): Restore existing session if user
	tries to start a second one in graphical mode.

2007-04-08  Martin Rudalics  <rudalics@gmx.at>

	* cus-start.el <scroll-preserve-screen-position>: Add choices.

2007-04-08  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* term/xterm.el (terminal-init-xterm): Fix key definitions.
	Add binding for C-M-SPC.

2007-04-08  Richard Stallman  <rms@gnu.org>

	* pcomplete.el (pcomplete-read-event): One single definition,
	and not a defsubst.

2007-04-08  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/cc-cmds.el (c-end-of-defun): Tidy up, to eliminate
	byte-compiler warning "value unused".

2007-04-08  Andreas Schwab  <schwab@suse.de>

	* term/xterm.el (terminal-init-xterm): Add bindings for keypad keys.

2007-04-07  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (diary-font-lock-keywords, diary-live-p):
	Autoload these functions.
	(diary-date-forms): Add a custom :set form.

	* calendar/diary-lib.el (diary-set-maybe-redraw): Move definition
	before first use.
	(diary-font-lock-keywords): New function with old code for
	initialization of variable of same name.

2007-04-07  David Hansen  <david.hansen@gmx.net>  (tiny change)

	* progmodes/cc-cmds.el (c-electric-paren): Fix space-before-funcall
	clean-up: only insert space when on identifier, etc.

2007-04-07  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/grep.el (grep-find-use-xargs): Rewrite docstring.

	* net/tls.el (open-tls-stream): Properly handle case where there
	is no associated buffer.

2007-04-07  Glenn Morris  <rgm@gnu.org>

	* ffap.el (ffap-file-at-point): Lower the priority of the
	ffap-ftp-sans-slash-regexp check.

2007-04-06  Alan Mackenzie  <acm@muc.de>

	Fix fontification of labels, and other things with ":".

	* progmodes/cc-engine.el (c-forward-label): The function now
	returns 'goto-target, 'qt-2kwds-colon, 'qt-1kwd-colon, as well as
	the former t.

	* progmodes/cc-fonts.el (c-font-lock-declarations): Interpret the
	new return code from c-forward-label, fontifying tokens properly.
	Add some general comments throughout the file.

2007-04-06  Chong Yidong  <cyd@stupidchicken.com>

	* textmodes/flyspell.el (flyspell-duplicate, flyspell-incorrect):
	Revert 2006-01-27 change.

	* diff-mode.el (diff-mode): Revert 2007-03-04 change.

	* menu-bar.el (menu-bar-tools-menu): Revert 2003-07-25 change.

	* desktop.el (desktop-create-buffer, desktop-save):
	Revert 2004-11-12 change for lack of copyright papers.

	* dired-x.el (dired-guess-shell-case-fold-search): Delete var.
	(dired-guess-default): Respect case.

	* isearch.el (isearch-forward): Revert 1998-08-26 doc change.

	* emacs-lisp/byte-opt.el (byte-optimize-pure-func): Remove function;
	was originally checked in as byte-optimize-concat on 1997-11-02.

	* mail/sendmail.el (mail-text, mail-mode): Revert extant pieces of
	1995-05-19 doc changes.

2007-04-06  Kim F. Storm  <storm@cua.dk>

	* loadhist.el (read-feature): Reimplement.  New optional arg LOADED-P.
	(unload-feature): Update interactive spec accordingly.

	* progmodes/grep.el (grep-program): Remove commentary about zgrep.

2007-04-06  John Paul Wallington  <jpw@pobox.com>

	* subr.el (with-case-table): Use `make-symbol' to avoid variable
	capture.  Restore the table in the same buffer.

	* font-lock.el (lisp-font-lock-keywords-2): Add `with-case-table'.

2007-04-05  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/byte-opt.el (byte-optimize-form-code-walker):
	Print entire form.

2007-04-05  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (breakpoint-disabled): Tweak face (again)
	for low-color displays.

2007-04-05  Glenn Morris  <rgm@gnu.org>

	* play/5x5.el, play/animate.el, play/dissociate.el, play/doctor.el,
	* play/gomoku.el, play/landmark.el, play/tetris.el, play/zone.el:
	Seed random number generator on loading.

	* emacs-lisp/authors.el (top-level): Provide self.

	* play/animate.el (top-level): Provide self.

2007-04-04  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-vars.el (c-special-indent-hook): Amend doc-string
	to mention c-syntactic-indentation.

2007-04-04  Chong Yidong  <cyd@stupidchicken.com>

	* subr.el (with-case-table): New macro.

	* international/mule.el (ascii-case-table): New var.

	* mail/smtpmail.el (smtpmail-via-smtp): Use ascii-case-table when
	downcasing.

2007-04-03  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-minor-mode-map): Simplify.

	* t-mouse.el (t-mouse-make-event-element): Don't use the left edge
	of the window if we're outside it e.g menu-bar.

	* xt-mouse.el (xterm-mouse-event): Don't use the left edge of the
	window if we're outside it e.g menu-bar.

2007-04-03  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmail.el (rmail-convert-to-babyl-format): Don't try to
	decode base-64 encoded body if its content-type is something other
	than text/* or message/*.

2007-04-03  Juanma Barranquero  <lekktu@gmail.com>

	* simple.el (activate-mark-hook): Fix typo in docstring.

2007-04-03  Nick Roberts  <nickrob@snap.net.nz>

	* tmm.el (tmm-c-prompt): Initialize.
	(tmm-menubar): Deal with extended menu-items at top level.
	(tmm-get-keybind): Handle bindings redefined/undefined locally.
	(tmm-prompt): Handle visibility of top level menu-items.

	* progmodes/gud.el (gud-menu-map): Simplify.
	(gud-minor-mode-map): Add tool-bar like bindings to the text mode
	menubar.

2007-04-02  Chong Yidong  <cyd@stupidchicken.com>

	* mail/smtpmail.el (smtpmail-via-smtp): Revert last change.

	* comint.el (comint-send-input): Widen the buffer first.

	* info.el (Info-fontify-maximum-menu-size): Revert to 100000.

2007-04-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/lisp-mode.el (lisp-fill-paragraph): Only obey
	emacs-lisp-docstring-fill-column in emacs-lisp-mode.

	* newcomment.el (comment-search-forward): Discard comment starters
	before point.

2007-04-01  Guanpeng Xu  <herberteuler@hotmail.com>

	* mouse.el (mouse-set-secondary): Update mouse-secondary-overlay.

2007-04-01  Chong Yidong  <cyd@stupidchicken.com>

	* mail/smtpmail.el (smtpmail-via-smtp): Use standard case table
	when downcasing.

	* button.el (previous-button): Rewrite to account for adjacent buttons.

2007-04-01  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/idlwave.el (idlwave-auto-fill):
	Revert paragraph-separate change.

	* progmodes/idlw-shell.el (idlwave-shell-break-in):
	Simplify module calc.
	(idlwave-shell-set-bp-in-module): Compute module.

2007-03-31  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/timer.el (run-at-time): Doc fix.

	* emacs-lisp/warnings.el (display-warning): If we create the
	buffer displaying the warning, disable undo there.

2007-03-31  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-register-file-name-handler)
	(tramp-register-completion-file-name-handler): New defsubst,
	derived from `tramp-register-file-name-handlers'.  The split is
	necessary because Tramp's file name handlers must be registered at
	different startup places.

2007-03-31  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/hideshow.el (turn-off-hideshow): New function.
	(hs-minor-mode): Use it instead of a lambda expression in
	change-major-mode-hook.

2007-03-31  David Kastrup  <dak@gnu.org>

	* woman.el (woman-Cyg-to-Win): Don't convert cons cells
	corresponding to MANPATH_MAP entries.
	(woman-man.conf-path, woman-parse-man.conf): Doc fix.
	(woman-parse-man.conf): Use more discriminating man.conf name.
	(woman-parse-man.conf): Parse MANPATH_MAP entries.
	(woman-manpath): Doc fix and type fix.
	(woman-cached-data): Check for MANPATH_MAP entries.
	(woman-expand-directory-path): Treat MANPATH_MAP entries.

2007-03-31  Stuart Herring  <herring@lanl.gov>

	* emacs-lisp/sregex.el (sregexq): Doc fix.

2007-03-31  Markus Triska  <markus.triska@gmx.at>

	* progmodes/flymake.el (flymake-err-line-patterns): Doc fix.

2007-03-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* info.el (info-tool-bar-map): Use "exit" for Info-exit.
	Move to the right.

2007-03-30  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-forward-to-nth-EOF-}): Fix EOB bug.

2007-03-30  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc--insert-new-node): Take additional arg DLL.
	Use it, passed in explicitly, instead of from the dynamic binding.
	(ewoc-create, ewoc-enter-before): Update to use new call sequence.

2007-03-30  Juanma Barranquero  <lekktu@gmail.com>

	* simple.el (blink-matching-open): When in minibuffer, don't
	search for a match inside the prompt.

2007-03-30  Nick Roberts  <nickrob@snap.net.nz>

	* tmm.el (tmm-menubar): Select the right menu item with the mouse.
	(tmm-prompt): Don't make the mouse user select the first menu
	item twice.

2007-03-30  Chong Yidong  <cyd@stupidchicken.com>

	* eshell/esh-proc.el (eshell/kill): Tweak regexp to recognize
	SIGUSR1 and SIGUSR2.

2007-03-29  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-read-internal): When reading file or dir, only override
	minibuffer-local-filename-completion-map, otherwise only override
	minibuffer-local-completion-map.

2007-03-29  Glenn Morris  <rgm@gnu.org>

	* complete.el (partial-completion-mode): Set PC-do-completion-end
	to nil after use.
	(PC-lisp-complete-symbol): Create and use a marker at `end',
	rather than using point-marker.

2007-03-28  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (next-error-highlight): Doc fix.
	(compose-mail): Revert 2007-03-19 change.

2007-03-28  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/edebug.el (edebug-display): Don't go to
	edebug-outside-buffer if it is dead.

2007-03-28  Juanma Barranquero  <lekktu@gmail.com>

	* view.el (view-mode): Fix typos in docstring.

2007-03-28  Stephen Berman  <Stephen.Berman@gmx.net>

	* recentf.el (recentf-save-file): Add a custom :set function.

2007-03-28  Glenn Morris  <rgm@gnu.org>

	* complete.el (PC-do-completion-end): New variable.
	(partial-completion-mode) <choose-completion-string-functions>:
	Use PC-do-completion-end in the non-minibuffer case to replace the
	correct amount of text.
	(PC-do-completion): Set PC-do-completion-end for c-c-s-f.
	(PC-lisp-complete-symbol): Give marker the after-insertion type,
	to deal with improvements inserted after point.

2007-03-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* button.el (make-text-button): Add explicit `button' property.
	(default-button): Don't put a `button' property on it.

	* progmodes/python.el (python-mode): Skip comments when parsing.

	* vc-arch.el (vc-with-current-file-buffer): New macro.
	(vc-arch-file-source-p): Use it to avoid infloop.

2007-03-28  David Hansen  <david.hansen@gmx.net>  (tiny change)

	* emacs-lisp/lisp.el (lisp-complete-symbol):
	Fix call to get-buffer-window to find windows in other frames.

2007-03-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* comint.el (comint-proc-query, comint-dynamic-list-completions):
	Fix calls to get-buffer-window to find windows in other frames.
	Reported by David Hansen <david.hansen@gmx.net>.

2007-03-27   Kevin Ryde  <user42@zip.com.au>

	* info.el (Info-display-images-node): On a text-only terminal,
	show the "text" or "alt" parts of the image blobs.

2007-03-27  Glenn Morris  <rgm@gnu.org>

	* complete.el (PC-do-completion): Compute completion-base-size in
	the non-filename case, rather than setting to nil.
	(PC-lisp-complete-end): New variable.
	(PC-lisp-complete-symbol): Use PC-lisp-complete-end to store the
	original end in a series of consecutive invocations.

	* calendar/calendar.el (calendar-mode-hook): Declare it.

	* calendar/diary-lib.el (diary-live-p): Do not check for
	diary-selective-display.

2007-03-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* replace.el (occur-next-error): *Occur* might not be displayed in the
	selected frame.  Reported by David Hansen <david.hansen@gmx.net>.

2007-03-26  Richard Stallman  <rms@gnu.org>

	* textmodes/flyspell.el (flyspell-large-region):
	Use ispell-call-process-region.

2007-03-26  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* emacs-lisp/bytecomp.el (byte-compile-file-form-defmumble):
	Use prin1 instead of princ.

2007-03-25  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (face-set-after-frame-default): Revert 2007-03-10 change.
	Merge in X resources before global face.

	* progmodes/compile.el (compilation-start): Save compilation-directory
	rather than default-directory as local var.
	(compilation-directory): Mark as safe local var.

	* files.el: Don't mark default-directory as a safe local var.

2007-03-25  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-mode.el (c-before-change): Fix BOB bug.
	* progmodes/cc-engine.el: Fix typo.

2007-03-25  Juri Linkov  <juri@jurta.org>

	* compare-w.el (compare-windows): Rename customization group
	`compare-w' to `compare-windows'.
	(compare-windows-whitespace, compare-ignore-whitespace)
	(compare-ignore-case, compare-windows-sync)
	(compare-windows-sync-string-size, compare-windows-recenter)
	(compare-windows-highlight, compare-windows): Change group name in
	the `group' tag from `compare-w' to `compare-windows'.
	(compare-windows-sync): Add option `nil' for no sync.  Doc fix.

2007-03-24  Markus Triska  <markus.triska@gmx.at>

	* expand.el: Change example to always enable abbrev-mode,
	and remove redundant `function'.
	(expand-abbrev-hook): Add autoload cookie.

2007-03-24  Ryan Yeske  <rcyeske@gmail.com>

	* emacs-lisp/testcover.el (testcover-start, testcover-end)
	(testcover-mark-all, testcover-unmark-all): Add prompts to
	interactive specs.

2007-03-24  Jason Rumney  <jasonr@gnu.org>

	* autorevert.el (find-file-hook, auto-revert-tail-mode):
	Use file size in bytes for auto-revert-tail-pos not characters.

2007-03-24  Thien-Thi Nguyen  <ttn@gnu.org>

	* vc-rcs.el (vc-rcs-annotate-command):
	Set text property :vc-annotate-prefix on the annotation text.
	(vc-rcs-annotate-time): Instead of searching for ": ",
	search for end of text propertized with :vc-annotate-prefix.

2007-03-24  Martin Rudalics  <rudalics@gmx.at>

	* whitespace.el (top level): Remove calls putting
	permanent-local nil property since these are no-ops.

	* man.el (Man-support-local-filenames): Assure that
	default-directory exists when doing call-process.

2007-03-23  David Vazquez  <xeos00@gmail.com>  (tiny change)

	* progmodes/m4-mode.el (m4-m4-buffer, m4-m4-region):
	Fix omission bug: Use m4-program-options to construct shell command.

2007-03-23  David Kastrup  <dak@gnu.org>

	* progmodes/cc-mode.el (c-make-emacs-variables-local):
	Use `mapcar' rather than `mapcan' to silence compiler warning.

2007-03-22  Ralf Angeli  <angeli@caeruleus.net>

	* textmodes/reftex.el, textmodes/reftex-vars.el,
	* textmodes/reftex-toc.el, textmodes/reftex-sel.el,
	* textmodes/reftex-ref.el, textmodes/reftex-parse.el,
	* textmodes/reftex-index.el, textmodes/reftex-global.el,
	* textmodes/reftex-dcr.el, textmodes/reftex-cite.el,
	* textmodes/reftex-auc.el: Add maintainer address.

2007-03-22  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-agenda-mode, org-table-edit-formulas):
	Make sure that `global-font-lock-mode' does not turn on font-lock
	in these buffers.

2007-03-21  Kim F. Storm  <storm@cua.dk>

	* xt-mouse.el (xt-mouse-epoch): New variable.
	(xterm-mouse-event): Use float-time.

2007-03-21  Nick Roberts  <nickrob@snap.net.nz>

	* xt-mouse.el (xterm-mouse-event): Compute a timestamp using
	current-time.

2007-03-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* complete.el (read-file-name-internal): Don't add the final > if the
	completion is not finished (re-application of this patch, which was
	accidentally undone by Eli).

2007-03-21  Chong Yidong  <cyd@stupidchicken.com>

	* emulation/viper.el (viper-non-hook-settings): Handle mouse
	clicks in describe-key and describe-key-briefly advice a little better.

2007-03-21  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-process-filter): Cancel any pending isearch.

2007-03-21  Ulf Jasper  <ulf.jasper@web.de>

	* calendar/icalendar.el (icalendar-version): Increase to 0.15.
	(icalendar--get-unfolded-buffer): Define actual arguments rather
	than just using &rest.  Check replace-in-string is fbound.
	(icalendar-import-buffer): Doc fix.
	(icalendar--convert-ical-to-diary): Set diary-file.
	Check diary-file before inserting final newline.
	(icalendar--add-diary-entry): Return diary-file.

2007-03-21  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (diary-set-maybe-redraw): Autoload it.
	(diary-display-hook): Add custom :set function.

	* calendar/diary-lib.el (diary-header-line-flag): Doc fix.
	Add custom :set function.
	(diary-header-line-format): Doc fix.
	(diary-set-maybe-redraw): New function.
	(number-of-diary-entries): Change :set to use diary-set-maybe-redraw.
	(diary-list-entries): Always run diary-mode.

2007-03-20  Kenichi Handa  <handa@m17n.org>

	* international/quail.el (quail-setup-completion-buf): Make the
	completion buffer read-only.
	(quail-completion): Adjusted for the above change.  Leave the
	modified flag nil.

2007-03-20  David Kastrup  <dak@gnu.org>

	* files.el (magic-mode-alist): Require literal "%!PS" string for
	magic postscript file detection.

2007-03-20  Richard Stallman  <rms@gnu.org>

	* textmodes/ispell.el (ispell-call-process): New function.
	Defends against bad `default-directory.'
	(ispell-check-version, ispell-find-aspell-dictionaries)
	(ispell-get-aspell-config-value, lookup-words): Call it.
	(ispell-call-process-region): New function.
	(ispell-send-string): Call it.

2007-03-20  Andreas Schwab  <schwab@suse.de>

	* Makefile.in (custom-deps): Depend on $(lisp)/subdirs.el.
	(finder-data): Likewise.
	(autoloads): Likewise.

2007-03-20  Martin Rudalics  <rudalics@gmx.at>

	* files.el (basic-save-buffer): Do not set visited filename when
	the corresponding directory does not exist or the specified
	filename is that of an existing directory.

2007-03-20  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-live-p): New function.
	(number-of-diary-entries): Add a :set function to redisplay diary
	when necessary.

2007-03-19  Nick Roberts  <nickrob@snap.net.nz>

	* t-mouse.el (t-mouse-make-event-element): Use timestamp output
	from client program, mev, to compute mouse event.

2007-03-19  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (momentary): Face removed; unused due to reversion of
	2007-01-04 changes by Kevin Rodgers.

	* mouse.el (mouse-drag-track): Remove spurious input-pending-p test.
	Suggested by Johan Bockg,Ae(Brd.

2007-03-19  Martin Rudalics  <rudalics@gmx.at>

	* font-lock.el (lisp-font-lock-keywords-1):
	Highlight define-globalized-minor-mode as a keyword.

2007-03-19  Kim F. Storm  <storm@cua.dk>

	* calc/calc-forms.el (math-std-daylight-savings)
	(math-std-daylight-savings-old): Doc fix.

2007-03-19  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/python.el (python-default-template): Doc fix.
	(python-buffer): Fix typo in docstring.

	* isearchb.el (isearchb-follow-char):
	* subr.el (def-edebug-spec): Fix typo in docstring.

2007-03-19  Richard Stallman  <rms@gnu.org>

	* files.el (default-directory): Mark safe.
	(basic-save-buffer-2): Put proper dir name in error message.

	* simple.el (compose-mail): Run switch-function after
	setting up the mail buffer.

	* startup.el (inhibit-splash-screen, initial-major-mode): Doc fixes.

2007-03-18  Jay Belanger  <belanger@truman.edu>

	* calc/calc-forms.el (math-parse-date): Fix a regular expression.
	(math-std-daylight-savings-new): Rename from
	`math-std-daylight-savings'.
	(math-std-daylight-savings-old): Rename from old value of
	`math-std-daylight-savings'.
	(math-std-daylight-savings): Use `math-std-daylight-savings-new' or
	`math-std-daylight-savings-old' depending on the year.

2007-03-18  Detlev Zundel  <dzu@gnu.org>

	* emacs-lisp/re-builder.el (reb-update-overlays): Do not mark
	zero-width regexps as invalid but rather at least count them correctly.

2007-03-18  Thien-Thi Nguyen  <ttn@gnu.org>

	* net/tls.el (open-tls-stream): In handshake-waiting loop,
	don't wait more if there is output available to process.

2007-03-18  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/compile.el (compilation-find-file): Revert change
	from 2006-07-18 to allow completion of directory names.
	Reported by John Carter <john.carter@tait.co.nz>.

2007-03-18  Kim F. Storm  <storm@cua.dk>

	* subr.el (when, unless): Doc fix.

2007-03-17  Thien-Thi Nguyen  <ttn@gnu.org>

	* net/tls.el (tls-program): Doc fix.

2007-03-17  Denis Bueno  <dbueno@gmail.com>  (tiny change)

	* autorevert.el (auto-revert-tail-handler):
	Call after-revert-hook.

2007-03-17  Ryan Yeske  <rcyeske@gmail.com>

	* simple.el (switch-to-completions): No error if search for \n\n fails.

2007-03-17  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-1):
	Respect `inhibit-line-move-field-capture' property.

2007-03-13  Chong Yidong  <cyd@stupidchicken.com>

	* comint.el (comint-arguments): Mark backslash-escaped chars.
	(comint-delim-arg): Don't treat them as delimiters.

2007-03-12  Kim F. Storm  <storm@cua.dk>
	* ido.el (ido-init-completion-maps): Remap delete-backward-char.

2007-03-12  Lawrence Mitchell  <wence@gmx.li>  (tiny change)

	* tempo.el (tempo-insert): Deal with 'r> if it appears
	specified with a prompt argument.

2007-03-12  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-set-font-lock-defaults):
	Handle narrow table columns correctly.

2007-03-12  Mark A. Hershberger  <mah@everybody.org>

	* xml.el (xml-parse-tag, xml-parse-string, xml-parse-attlist)
	(xml-parse-dtd, xml-parse-elem-type, xml-substitute-special):
	Return to use of the -no-properties variants.  There was
	consensus on emacs-devel that the speed of these variants was
	prefered since we are usually parsing files (from the internet
	or on disk) instead of XML created in Emacs.

	* eshell/esh-mode.el (eshell-handle-ansi-color): New function.
	Add customize option.

2007-03-12  Glenn Morris  <rgm@gnu.org>

	* calc/calc-forms.el (math-std-daylight-savings): Switch to new
	North American rule.  Replace "daylight savings" with "daylight
	saving" in doc.

	* calendar/cal-china.el, cal-dst.el, calendar.el, diary-lib.el:
	* calendar/lunar.el, solar.el: Replace "daylight savings" with
	"daylight saving" in text.

	* woman.el (woman-change-fonts): Tweak previous change by using
	woman-request-regexp rather than "^\\.".

	* startup.el (command-line-1): Make insertion of
	initial-scratch-message not depend on scratch being selected.

2007-03-11  Juri Linkov  <juri@jurta.org>

	* replace.el (match): Use yellow background on light-bg terminals.

2007-03-11  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-warning-prefix):
	Correctly compute line number.

2007-03-11  Guanpeng Xu  <herberteuler@hotmail.com>

	* type-break.el (type-break-get-previous-count):
	Repeat previous change here.

2007-03-11  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/grep.el (grep-find-ignored-directories):
	Add .git and .bzr to list.

2007-03-11  Andreas Schwab  <schwab@suse.de>

	* diff-mode.el (diff-apply-hunk): Use proper format string for error.

2007-03-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mail/emacsbug.el (report-emacs-bug): Don't hard code the "X" name.

2007-03-10  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (face-set-after-frame-default): Recalculate face
	customizations after applying X resources.

2007-03-10  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el (rcirc-timeout-seconds): New variable.
	(rcirc-keepalive-seconds): Remove variable.
	(rcirc-server-name, rcirc-timeout-timer, rcirc-connecting)
	(rcirc-process, rcirc-user-disconnect): New variables.
	(rcirc-connect): Initalize new variables.
	(rcirc-keepalive): Don't send keepalive pings before connection
	is completed.
	(rcirc-sentinel): Do mark all channels with activity when
	connection is dropped.  Run hook with process buffer local.
	(rcirc-reschedule-timeout, rcirc-delete-process): New functions.
	(rcirc-buffer-process): Return value of rcirc-process if
	rcirc-server-buffer is nil.
	(rcirc-server-name): Return the reported server name.
	(rcirc-update-prompt): Simplify computation of the server name.
	(rcirc-format-response-string): Likewise.
	(rcirc-handler-001): Mark server as connected, record the reported
	server name, and schedule a timeout.
	(rcirc-track-nick): Add a spec for the tty class.
	(rcirc-user-non-nick): Remove function.
	(rcirc-nick-prefix-chars): Add variable.
	(rcirc-user-nick): Use above variable.

2007-03-10  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* icomplete.el (icomplete-tidy, icomplete-exhibit):
	Bind deactivate-mark to nil.

2007-03-10  Martin Rudalics  <rudalics@gmx.at>

	* complete.el (PC-do-completion): Bind dirlength to nil to avoid
	that buffer contents get erased during completion.

2007-03-10  Glenn Morris  <rgm@gnu.org>

	* woman.el (woman-change-fonts): Add a hack to deal with
	font-escape followed by "." at start of a line.
	(woman2-IP): Add a hack to deal with consecutive requests.
	(woman2-tagged-paragraph): Extend existing hack to handle "sp".

2007-03-10  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-mode.el (c-before-change): Wrap in save-match-data.

2007-03-09  Richard Stallman  <rms@gnu.org>

	* abbrev.el (abbrev): Add `provide'.

2007-03-09  Thien-Thi Nguyen  <ttn@gnu.org>

	* net/ange-ftp.el (ange-ftp-try-passive-mode): Doc fix.

2007-03-09  Martin Rudalics  <rudalics@gmx.at>

	* complete.el (PC-try-completion): New function.
	(PC-do-completion, read-file-name-internal): Use it instead of
	try-completion.

2007-03-08  Alan Mackenzie  <acm@muc.de>

	Remove stale tokens from `c-found-types' cache.

	* progmodes/cc-mode.el (c-unfind-enclosing-token)
	(c-unfind-coalesced-tokens, c-before-change): New functions.
	(c-maybe-stale-found-type): New variable.

	* progmodes/cc-engine.el (c-partial-ws-p, c-unfind-type)
	(c-trim-found-types): New functions.

2007-03-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* smerge-mode.el (smerge-remove-props): Don't mark the buffer modified.
	(debug-ignored-errors): Add entry from smerge-match-conflict.

2007-03-08  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/idlw-help.el (idlwave-do-context-help1): Don't visit
	special help topics for keywords.
	(idlwave-help-assistant-command): Include ".exe" for ms-dos
	etc.  Assistant command.

2007-03-08  Chong Yidong  <cyd@stupidchicken.com>

	* replace.el (occur-engine): Move buffer-undo-list binding...
	(occur-1): ...to here.

	* complete.el (PC-bindings): Rebind M-TAB in read-expression-map.

	* simple.el (minibuffer-completing-symbol): New var.
	(eval-expression): Use it.
	(completion-setup-function): Don't bind completion-base-size when
	completing a symbol in the minibuffer.

2007-03-08  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gdb): Pop up current GUD buffer if user
	tries to start a second session in graphical mode.

2007-03-07  Miles Bader  <miles@gnu.org>

	* international/isearch-x.el
	(isearch-process-search-multibyte-characters):
	Strip text-properties from PROMPT to avoid an error from read-string.

2007-03-07  Kim F. Storm  <storm@cua.dk>

	* complete.el (PC-bindings): Remap lisp-complete-symbol to
	PC-lisp-complete-symbol instead of binding M-TAB in global-map.

2007-03-07  Micha,Ak(Bl Cadilhac  <michael@cadilhac.name>

	* complete.el (PC-do-completion): Delete duplicates in the list of
	possible completions.

2007-03-07  Glenn Morris  <rgm@gnu.org>

	* ses.el (ses-mode): Doc fix.

2007-03-06  Kim F. Storm  <storm@cua.dk>

	* isearch.el (isearch-message-prefix): Undo 2007-03-01 change.

2007-03-06  Kenichi Handa  <handa@m17n.org>

	* term/x-win.el (x-select-utf8-or-ctext): Improve the strategy.

2007-03-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (completion-setup-function): Improve last fix so it doesn't
	set it to a relative directory name either.

2007-03-05  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Replace some (defvar VAR) by (defvar VAR nil).

2007-03-05  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/re-builder.el (reb-re-syntax): Fix custom type.

	* files.el (find-file-noselect): No error if file no longer exists.
	Display a message and avoid other questions.

2007-03-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcomplete.el (pcomplete-show-completions): Improve last change, so
	as not to use an invisible window and to create a window if none exist.

	* progmodes/python.el (python-send-command): Restart proc if necessary.
	(python-proc): Simplify.

2007-03-05  David Hansen  <david.hansen@gmx.net>  (tiny change)

	* pcomplete.el (pcomplete-show-completions): Search all frames for
	completions buffer.

2007-03-05  Chong Yidong  <cyd@stupidchicken.com>

	* cus-edit.el (customize-save-variable): Clear customized-value
	property (saved values are now put in theme-value property).
	(customize-set-variable): Doc fix.

	* complete.el (PC-do-completion): If completion-ignore-case is
	non-nil, replace field with completion string before exiting.

2007-03-05  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-make-temp-file): New parameter FILENAME.
	Append its extension to the resulting temporary file name.
	(tramp-handle-file-local-copy, tramp-handle-write-region): Apply it.

	* net/tramp-smb.el (tramp-smb-handle-file-local-copy)
	(tramp-smb-handle-write-region): Apply it.

2007-03-05  Alin C. Soare  <alinsoar@voila.fr>  (tiny change)

	* emacs-lisp/lisp-mode.el (calculate-lisp-indent):
	Redo previous change.

2007-03-04  Kevin Rodgers  <kevin.d.rodgers@gmail.com>  (tiny change)

	* diff-mode.el (diff-mode): Doc fix.

2007-03-05  Kenichi Handa  <handa@m17n.org>

	* international/characters.el: Set category `l' (latin)
	for more characters.

2007-03-04  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/authors.el (authors-aliases): Add alias.

2007-03-04  Glenn Morris  <rgm@gnu.org>

	* progmodes/hideshow.el (hs-minor-mode): Turn mode off and show
	all when switching major mode.
	(hs-minor-mode, hs-c-start-regexp, hs-block-start-regexp)
	(hs-block-start-mdata-select, hs-block-end-regexp)
	(hs-forward-sexp-func, hs-adjust-block-beginning):
	Do not make these variables permanent-local.

2007-03-04  Richard Stallman  <rms@gnu.org>

	* progmodes/cperl-mode.el (cperl-mode):
	Modify cperl-compilation-error-regexp-alist by appending.

	* emacs-lisp/edebug.el (edebug-kill-buffer): New function.
	(edebug-mode): Add the hook.
	(edebug-recursive-edit): Remove the hook on exiting.

	* type-break.el (type-break-get-previous-time):
	Handle end-of-file errors specially
	so they don't get reported wrong in .emacs.

	* startup.el (fancy-splash-text): Clarify text.

	* simple.el (beginning-of-buffer, end-of-buffer):
	Avoid treating plain C-u like numeric arg.

	* simple.el (completion-setup-function): Don't set
	default-directory to nil.

	* shell.el (shell-dirstack-query): Doc fix.

	* mouse.el (mouse-drag-mode-line-1, mouse-drag-vertical-line):
	Don't select the window -- pass it to primitives instead.

	* faces.el (minibuffer-prompt): Use medium blue by default.

2007-03-04  David Kastrup  <dak@gnu.org>

	* jit-lock.el (jit-lock-stealth-time): Change default to nil.
	Preserve 16 as default value for "seconds" when customizing.

2007-03-04  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-self-insert-command)
	(orgtbl-self-insert-command, org-delete-char)
	(org-delete-backward-char): Set the `flyspell-delayed' property.

2007-03-03  Chong Yidong  <cyd@stupidchicken.com>

	* international/mule.el (find-auto-coding): Don't search for
	line-ending characters past the end of the tail.

2007-03-03  Christopher Allan Webber  <cwebber@dustycloud.org>  (tiny change)

	* play/gamegrid.el (gamegrid-add-score-with-update-game-score-1):
	Jump to the line where new score has been uploaded.

	* play/tetris.el (tetris-move-bottom, tetris-move-left)
	(tetris-move-right, tetris-rotate-prev, tetris-rotate-next):
	Do nothing when the game is paused.

2007-03-03  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-set-tags): Prevent slipping of point
	during completion.

2007-03-01  Lennart Borgman  <lennart.borgman.073@student.lu.se>

	* isearch.el (isearch-message-prefix):
	Use minibuffer-prompt-properties.

2007-03-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Replace (defvar VAR nil) by (defvar VAR).
	(ps-setup): Print which Emacsen is running ps-print package.

2007-03-01  Stuart Herring  <herring@lanl.gov>

	* files.el (set-auto-mode-0): Use `indirect-function'.
	(hack-one-local-variable): Don't reapply current major mode.

2007-03-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (python-quote-syntax): Don't bother with
	syntax-ppss-context.
	(python-fill-paragraph): Make sure that fenced-string delimiters that
	stand on their own line stay there.

2007-03-01  Lennart Borgman  <lennart.borgman.073@student.lu.se>

	* replace.el (perform-replace): Propertize message.

2007-03-01  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-prepare-agenda-buffers): Also check for
	invisible heading.

2007-02-28  Chong Yidong  <cyd@stupidchicken.com>

	* net/tramp.el (tramp-file-name-handler): Revert last change.

2007-02-28  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-mouse-until, gdb-mouse-jump):
	Correct doc strings.

2007-02-28  Chong Yidong  <cyd@stupidchicken.com>

	* replace.el (perform-replace): Undo forward-char immediately if
	non-adjacent search fails.

2007-02-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* version.el (emacs-major-version, emacs-minor-version):
	string-to-int -> string-to-number.

2007-02-28  Juanma Barranquero  <lekktu@gmail.com>

	* help.el (where-is): Fail gracefully when not passed a command.

2007-02-28  Stuart Herring  <herring@lanl.gov>

	* find-lisp.el (find-lisp-default-directory-predicate):
	Fix bug: Do symlink check on expanded filename.

2007-02-28  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-set-tags, org-table-get-field): Avoid case
	changes during replacement.
	(org-agenda-mode-map): Add default binding for `org-agenda-archive'.

2007-02-28  Lars Hansen  <larsh@soem.dk>

	* desktop.el: Delete header line listing me as maintainer.

2007-02-28  Glenn Morris  <rgm@gnu.org>

	* tutorial.el (tutorial--describe-nonstandard-key): Tweak text in
	the menus case.

2007-02-28  Chong Yidong  <cyd@stupidchicken.com>

	* net/tramp.el (tramp-file-name-handler): Inhibit modification
	hooks to avoid confusion when combining after-change calls.

2007-02-27  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-encrypt-string): Remove inhibition of gpg-agent,
	now that pgg-gpg-process-region correctly honors passed-in passphrase.
	(allout-distinctive-bullets-string): Add info about bullet conventions.
	(allout-mode): Add info about distinctive vs plain bullets.

2007-02-27  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-archive-subtree): Quote variable name.
	(org-agenda-get-todos): Make sure skip properties are checked correctly.

2007-02-26  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-bashdb-history, gud-bashdb-marker-filter)
	(gud-bashdb-command-name, bashdb): Remove.
	(gud, gud-menu-map): Remove references to bash/bashdb.

2007-02-26  Andrey Zhdanov  <susuman@hotmail.com>  (tiny change)

	* progmodes/gud.el (gud-pdb-marker-regexp): Add optional <module>
	keyword for Python 2.5.

2007-02-26  Romain Francoise  <romain@orebokech.com>

	* net/net-utils.el (whois-server-tld): Update server for .org.
	(whois-server-list): Add whois.publicinterestregistry.net.
	(whois-guess-server): Fix formatting in docstring.

2007-02-26  Kim F. Storm  <storm@cua.dk>

	* mouse.el (mouse-show-mark): Run hooks and perform command
	remapping for mouse-region-delete-keys.

2007-02-26  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* font-core.el (font-lock-mode): Doc fix.

2007-02-25  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-buffer-internal): Set this-command to fallback command.
	Add selected buffer to buffer-name-history.
	(ido-file-internal): Set this-command to fallback command.
	Add file names to file-name-history.

	* emacs-lisp/map-ynp.el (map-y-or-n-p):
	Apply minibuffer-prompt-properties.

2007-02-25  Andreas Schwab  <schwab@suse.de>

	* files.el (hack-one-local-variable-eval-safep): Correct handling
	of edebug-form-spec property value.  Reported by Johan Bockg,Ae(Brd.

2007-02-25  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-table-overlay-coordinates)
	(org-table-toggle-coordinate-overlays): New functions.
	(org-table-overlay-coordinates, org-table-coordinate-overlays):
	New variables.
	(org-startup-with-deadline-check): Remove option.
	(org-mode): Remove deadline check on startup.
	(org-table-limit-column-width): Remove option.
	(org-table-formula-numbers-only): Remove option.
	(org-link-style, org-link-format): Remove options.
	(org-select-agenda-window, org-fit-agenda-window): Remove options.
	(org-export-ascii-show-new-buffer)
	(org-export-html-show-new-buffer): Remove options.
	(org-activate-links): Remove camel option.
	(org-file-link-context-use-camel-case): Remove option.
	(org-camel-regexp): Remove variable.
	(org-activate-camels): Remove function.
	(org-store-link): Remove Camel stuff.
	(org-make-org-heading-camel): Remove function.
	(org-open-at-point): Remove camel stuff.
	(org-link-search): Remove camel stuff.
	(org-camel-to-words): Function removed.
	(org-get-agenda-file-buffer): Make sure we prepare the base
	buffers, not any indirect buffers.
	(org-sort-entries): Sort top-level when not on a headline, and no
	active region.
	(org-in-regexp): New function.
	(org-search-not-self): Rename from `org-search-not-link'.
	(org-open-link-marker): New variable.
	(org-open-at-point): Set `org-open-link-marker'.
	(org-print-icalendar-entries): Fixe bug with excluding DONE
	entries from the exported list.
	(org-edit-formula-lisp-indent): New command.
	(orgtbl-to-texinfo, orgtbl-to-html): New functions.
	(orgtbl-to-latex, orgtbl-insert-radio-table)
	(orgtbl-toggle-comment, orgtbl-send-table): New functions.
	(orgtbl-radio-table-templates): New option.
	(org-store-link-props):
	(org-remember-templates): More possibilities to insert info
	into templates.
	(org-remember-apply-template): Make use of the extended
	template capabilities.
	(org-remember-redo-template): New command.
	(org-upgrade-old-links)
	(org-table-modify-formulas, org-table-replace-in-formulas)
	(org-table-find-dataline)
	(org-table-get-vertical-vector): Remove functions.
	(org-table-remove-rectangle-highlight)
	(org-time-stamp-format, org-toggle-log-option)
	(org-table-highlight-rectangle)
	(org-table-iterate, org-table-make-reference):
	(org-translate-time, org-tree-to-indirect-buffer)
	(org-table-field-info, org-table-fix-formulas)
	(org-table-force-dataline, org-table-get-descriptor-line)
	(org-table-get-range)
	(org-skip-comments, org-sort)
	(org-sort-entries, org-sublist, org-table-add-rectangle-overlay)
	(org-table-current-dline, org-table-current-field-formula)
	(org-table-edit-backward-field)
	(org-table-edit-formulas-post-command)
	(org-table-edit-line-down, org-table-edit-line-up)
	(org-agenda-archive)
	(org-agenda-clock-cancel)
	(org-agenda-clock-out, org-agenda-list-stuck-projects)
	(org-agenda-open-link, org-agenda-show-new-time)
	(org-agenda-skip-subtree-when-regexp-matches)
	(org-agenda-tree-to-indirect-buffer, org-agenda-undo)
	(org-at-regexp-p, org-auto-repeat-maybe, org-check-log-option)
	(org-do-sort, org-file-image-p, org-find-overlays)
	(org-find-row-type, org-get-indirect-buffer, org-get-repeat)
	(org-highlight-until-next-command, org-isearch-end)
	(org-match-any-p, org-next-link, org-previous-link):
	(org-remove-subtree-entries-from-agenda, org-replace-escapes)
	(org-rewrite-old-row-references)
	(org-isearch-post-command)
	(org-table-edit-move, org-table-edit-next-field)
	(org-table-edit-scroll, org-table-edit-scroll-down)
	(org-set-frame-title, org-show-reference)
	(org-unhighlight-once, org-verify-change-for-undo): New functions.
	(org-show-variable): Remove command.
	(org-add-log-maybe): New arguments STATE, FINDPOS
	(org-table-sort-lines): Rewrite from scratch.
	(org-link-search): New argument AVOID-POS.
	(org-print-icalendar-entries): Remove argument CATEGORY.
	(org-run-agenda-series): Remove argument WONDOW.
	(org-next-link, org-previous-link): New commands.
	(org-agenda-date-format): New option.
	(org-table-iterate): New command.
	(org-table-modify-formulas)
	(org-table-replace-in-formulas): Remove functions.
	(org-table-fix-formulas): New function.
	(org-table-insert-column, org-table-delete-column)
	(org-table-move-column): Use `org-table-fix-formulas'.
	(org-follow-gnus-link): Patch from Bastien/Leo.
	(org-table-current-field-formula): New function.
	(org-file-image-p): New function.
	(org-agenda-show-new-time): New function.
	(org-agenda-date-later): Call `org-agenda-show-new-time'.
	(org-with-remote-undo): New macro.
	(org-agenda-undo): New command.
	(org-verify-change-for-undo): New function.
	(org-time-stamp-format): New function.
	(org-agenda-get-timestamps): Skip scheduled if DONE and requested
	by user.
	(org-match-any-p): New function.
	(org-make-tags-matcher): Handle regular expressions for tag and
	todo matches.
	(org-read-date): Accept "+N" as input for a date relative to the
	current date.
	(org-remove-subtree-entries-from-agenda): New function.
	(org-agenda-archive, org-agenda-kill):
	Use `org-remove-subtree-entries-from-agenda'.
	(org-do-sort, org-sort-entries): New functions.
	(org-sort): New command.
	(org-table-sort-lines): Use `org-do-sort'.
	(org-fix-decoded-time): New function.
	(org-table-number-regexp): Require 0x... to identify as number
	in tables.
	(org-startup-options): New keywords for note taking.
	(org-upgrade-old-links): Remove function.
	(org-get-repeat): New function.
	(org-show-context): Also show siblings on current level.
	(org-show-siblings): New function.
	(org-isearch-end, org-isearch-post-command): New functions.
	(org-show-siblings): New option.
	(org-show-context): Use `org-show-siblings'.
	(org-table-maybe-recalculate-line): No longer require `calc-eval'
	to be bound, because user may just use elisp.

2007-02-24  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-base.el (cua-paste): Handle x-clipboard-yank.
	(cua--init-keymaps): Remap x-clipboard-yank to cua-paste.

2007-02-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* startup.el (command-line): Also check if the abbrev file is readable.

2007-02-24  John Paul Wallington  <jpw@pobox.com>

	* net/tls.el (tls-certtool-program): Fix custom type.

	* mail/feedmail.el (feedmail-message-id-generator)
	(feedmail-date-generator): Fix custom types.

	* mail/rmail.el (rmail-message-filter): Fix custom type.

2007-02-24  Eli Zaretskii  <eliz@gnu.org>

	* startup.el (command-line): If simple.el cannot be found, proceed
	with a warning message.

2007-02-24  Kenichi Handa  <handa@m17n.org>

	* international/utf-8.el (utf-8-pre-write-conversion): Handle the
	case that BEG is a string.

2007-02-24  Chris Moore  <dooglus@gmail.com>

	* pgg-pgp5.el (pgg-pgp5-encrypt-region):
	* pgg-pgp.el (pgg-pgp-encrypt-region):
	* pgg-gpg.el (pgg-gpg-encrypt-region):
	Check pgg-encrypt-for-me if no other recipients.

2007-02-23  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmailedit.el (rmail-cease-edit): Restore the Rmail toolbar.

	* textmodes/sgml-mode.el (sgml-validate): Quote the file name with
	shell-quote-argument.

2007-02-23  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* comint.el (comint-read-input-ring): Use comint-input-ring-size
	from the comint buffer instead of the temporary one.

2007-02-23  David Reitter  <david.reitter@gmail.com>

	* cus-edit.el (custom-save-all): Canonicalize custom-file before
	storing it in recentf-exclude.

2007-02-23  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (fancy-splash-screens): Make cursor-type buffer-local
	in splash screen.

2007-02-22  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/idlw-shell.el (idlwave-shell-mode): Clean up pending
	commands, for restart.
	(idlwave-shell-current-module): Fix handling of module name by type.
	(idlwave-shell-break-in): Update type handling.
	(idlwave-shell-bp-get): Encode type in BP structure.
	(idlwave-shell-set-bp): Fix setting condition/count on disabled BPs.
	(idlwave-shell-module-source-query): Query routine info based on type.
	Fix path parsing for non-compiled files.
	(idlwave-shell-module-source-filter): Don't signal error in filter
	if no source found.
	(idlwave-shell-set-bp-in-module): Use fallback source to prevent
	filter race.

2007-02-22  Kim F. Storm  <storm@cua.dk>

	* wid-edit.el (widget-default-create): Undo 2007-02-04 change.
	(editable-field): Document need to put some text before the %v
	escape in :format string.

2007-02-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-svn.el: Remove the code inherited from CVSREAD and `cvs edit'.
	(vc-svn-use-edit): Remove unused config var.
	(vc-svn-update, vc-svn-revert): Checkout is always implicit.

	* outline.el (hide-sublevels): Keep empty last line, if available.

	* buff-menu.el (list-buffers-noselect): Use explicit unicode code
	rather than the corresponding unicode char, to make the code
	more readable.

2007-02-19  Juanma Barranquero  <lekktu@gmail.com>

	* speedbar.el (speedbar-frame-mode, speedbar-frame-width)
	(speedbar-show-unknown-files, speedbar-item-info-file-helper)
	(speedbar-item-info-tag-helper): Doc fixes.

2007-02-19  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (locale-language-names):
	Map "eo" to "Esperanto".

	* language/european.el ("Esperanto"): New language environment.

2007-02-17  Sven Joachim  <svenjoac@gmx.de>  (tiny change)

	* simple.el (kill-line): Doc fix.

2007-02-17  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/bindat.el (bindat--unpack-u*): Optimize.
	(bindat--unpack-item, bindat--length-group, bindat--pack-item)
	(bindat--unpack-group, bindat--pack-group):
	Handle vectors with optional element type.

2007-02-17  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el (pgg-gpg-process-region): Make USE-AGENT nil
	if PASSPHRASE is given.

2007-02-17  Chris Moore  <dooglus@gmail.com>

	* jka-cmpr-hook.el (jka-compr-compression-info-list):
	Recognize backups of bz2 compressed files.

2007-02-17  Eli Zaretskii  <eliz@gnu.org>

	* info-look.el (info-lookup): Bind Info-fontify-maximum-menu-size
	to nil to speed up lookup of the symbol in index nodes.

2007-02-17  Alin C. Soare  <alinsoar@voila.fr>  (tiny change)

	* emacs-lisp/lisp-mode.el (calculate-lisp-indent):
	Add indentation for the constants of Lisp.

2007-02-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ps-print.el: Use (defvar <foo>) where applicable.
	(ps-print-emacs-type): Remove.
	(ps-x-frame-property, ps-e-frame-parameter): Remove.
	(ps-frame-parameter): Align its call-convention with frame-parameter.
	(ps-begin-job): Adjust calls to it appropriately.
	(ps-setup): Don't print ps-print-emacs-type.
	(ps-e-find-composition, ps-mark-active-p, ps-color-device):
	Define in such a way that it's obvious that it's defined.
	(ps-prsc, ps-c-prsc, ps-s-prsc): Remove.
	(ps-rmail-mode-hook, ps-vm-mode-hook, ps-gnus-summary-setup)
	(ps-jts-ps-setup): Use flavor-neutral syntax instead.

2007-02-15  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-indent-new-comment-line): When splitting
	an empty one-line C-style comment, post-position point properly.

2007-02-15  Chris Moore  <dooglus@gmail.com>

	* isearch.el (isearch-lazy-highlight-space-regexp): New variable.
	(isearch-lazy-highlight-new-loop): Bind it.
	(isearch-lazy-highlight-search): Use it.

	* replace.el (replace-highlight): Bind search-whitespace-regexp to nil.

2007-02-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* font-lock.el (font-lock-extend-region-wholelines):
	Only return non-nil if the region has really been changed.
	Reported by David Hansen <david.hansen@physik.fu-berlin.de>

2007-02-15  Juanma Barranquero  <lekktu@gmail.com>

	* play/5x5.el (5x5-crack-xor-mutate): Doc fix.
	(5x5-draw-grid-end, 5x5-make-xor-with-mutation, 5x5-mode, 5x5-crack)
	(5x5-play-solution, 5x5-y-or-n-p): Fix typos in docstrings.

2007-02-14  Juanma Barranquero  <lekktu@gmail.com>

	* faces.el (color-values): Revert changes to docstring from
	2007-01-31 and 2000-09-07.

	* textmodes/ispell.el (ispell-keep-choices-win, ispell-word)
	(ispell-begin-skip-region-regexp): Fix typos in docstrings.
	(ispell-dictionary-alist, ispell-process-line): Doc fixes.
	(ispell-help): Fix typos in docstring and output message.

2007-02-14  Kim F. Storm  <storm@cua.dk>

	* progmodes/grep.el (grep-files-aliases): Add tex and texi aliases.
	(lgrep): Add DIR arg to start grep in specific directory, like rgrep.
	(grep): Fix lgrep reference.

	* disp-table.el (make-glyph-code, glyph-char, glyph-face): New defuns.
	(standard-display-underline): Use make-glyph-code.

	* descr-text.el (describe-char): Use glyph-char and glyph-face.

	* international/latin1-disp.el (latin1-display-char):
	Use make-glyph-code.

2007-02-13  Juanma Barranquero  <lekktu@gmail.com>

	* ehelp.el (with-electric-help, electric-help-exit)
	(electric-help-retain): Doc fixes.

	* emacs-lisp/bytecomp.el (byte-compile-dest-file)
	(byte-compile-file): Doc fixes.

2007-02-13  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el: Change all uses of
	mac-set-font-panel-visibility to mac-set-font-panel-visible-p.
	(mac-ae-number): Return integer 0 if coerced result is float 0.0.
	(mac-ae-get-url): Call select-frame-set-input-focus.
	(mac-dnd-handle-drag-n-drop-event): Don't call
	select-frame-set-input-focus.

2007-02-13  Kenichi Handa  <handa@m17n.org>

	* international/characters.el: Fix documentation of category `a'.

2007-02-11  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/grep.el (grep): Mention lgrep and rgrep in the docstring.

2007-02-12  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-get-ls-command, tramp-get-file-exists-command)
	(tramp-get-remote-ln): Handle error case.
	Reported by Chris Moore <dooglus@gmail.com>.

2007-02-11  Kim F. Storm  <storm@cua.dk>

	* bindings.el (ctl-x-map): Remove register compatibility bindings
	C-x /, C-x j, C-x x, and C-x g (deprecated since Emacs 19).

2007-02-11  Richard Stallman  <rms@gnu.org>

	* loadhist.el (unload-feature): Handle (t . SYMBOL) entries
	in load history.

	* emacs-lisp/lisp-mode.el (indent-sexp): Clean up termination
	condition -- don't fail to stop at endpos.

2007-02-11  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-agenda-get-todos)
	(org-agenda-get-timestamps, org-agenda-get-closed)
	(org-agenda-get-deadlines, org-agenda-get-scheduled)
	(org-agenda-get-blocks, org-format-agenda-item)
	(org-agenda-change-all-lines, org-scan-tags): Rename text property
	from `category' to `org-category'.

2007-02-11  Kenichi Handa  <handa@m17n.org>

	* international/titdic-cnv.el (titdic-convert): Force files be written
	with Unix-like eol format.  Read files under CXTERM-DIC by raw-text.
	(miscdic-convert): Force files be written with Unix-like eol format.

2007-02-11  Juanma Barranquero  <lekktu@gmail.com>

	* files.el (change-major-mode-with-file-name): Fix typo in docstring.

	* calculator.el (calculator-prompt): Doc fix.
	(calculator-mode-map): Fix typo in menu entry.

2007-02-10  Jay Belanger  <belanger@truman.edu>

	* calculator.el (calculator): Do more extensive checking for when
	3 lines should be used for the calculator.

2007-02-10  Eli Zaretskii  <eliz@gnu.org>

	* info-look.el (info-lookup-make-completions):
	Bind Info-fontify-maximum-menu-size to nil to speed up lookup of
	index nodes.

	* info.el (Info-fontify-maximum-menu-size): Document the effect
	of a nil value.
	(Info-fontify-node): Make sure Info-fontify-maximum-menu-size is
	non-nil before using it as size.

2007-02-09  Chong Yidong  <cyd@stupidchicken.com>

	* subr.el (insert-for-yank-1): Prevent read-only properties from
	interfering with text property operations.

	* image-mode.el (image-mode): Revert 2007-01-30 changes.

	* image.el (image-type-auto-detectable): Don't autodetect x[pb]m.
	(image-type-auto-detected-p): Fail if another match is found in
	auto-mode-alist.

	* files.el (magic-mode-alist): Call image-mode instead of
	image-mode-maybe for autodetected images.

2007-02-09  Juanma Barranquero  <lekktu@gmail.com>

	* mail/smtpmail.el (smtpmail-smtp-service, smtpmail-queue-index-file):
	Fix typos in docstrings.
	(smtpmail-local-domain, smtpmail-queue-mail): Doc fixes.

2007-02-09  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/float-sup.el: Remove obsolete comment.

2007-02-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-sanity-check-hunk): Fix last fix.

2007-02-08  Karl Fogel  <kfogel@red-bean.com>

	* simple.el: Revert previous change, at request of RMS:
	(fundamental-mode-hook): Remove.
	(fundamental-mode): Run after-change-major-mode-hooks manually,
	and don't run the now-nonexistent fundamental-mode-hook.

2007-02-08  Karl Fogel  <kfogel@red-bean.com>

	* simple.el (fundamental-mode-hook): Declare new hook.
	(fundamental-mode): Run the new dedicated hook, and don't run
	after-change-major-mode-hooks manually anymore.

2007-02-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-svn.el (vc-svn-merge-news): Understand the new format with two
	added columns of chars.  Remove support for the "no-meta-info" format.
	Prompted by Romain Francoise <romain@orebokech.com>.

2007-02-07  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-if-arrow): New macro.
	(gdb-mouse-until, gdb-mouse-jump): Use it.

2007-02-07  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-mouse-until, gdb-mouse-jump): Make them
	work when there is just an assembler buffer (no source buffer).

2007-02-07  Per Cederqvist  <ceder@lysator.liu.se>  (tiny change)

	* diff-mode.el (diff-sanity-check-hunk): Don't reject the hunk
	just because the diff was produced using "-p" (--show-c-function).

2007-02-07  Juanma Barranquero  <lekktu@gmail.com>

	* faces.el (frame-set-background-mode): Use `color-values' and
	`display-color-p', not `x-color-values' and `x-display-color-p'.
	(face-valid-attribute-values): Use `defined-colors' instead of
	`x-defined-colors'.

2007-02-07  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: The ps-print commands without face printing should not
	print background color.  Reported by Leo <sdl.web@gmail.com>.
	(ps-print-version): New version 6.7.3.
	(ps-begin-job): New arg.  Fix ps-default-background and
	ps-default-foreground initialization.
	(ps-face-attributes): Fix doc string.
	(ps-face-background, ps-generate-postscript, ps-generate): Fix code.

	* printing.el: Fix ps-print link.

2007-02-06  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (face-set-after-frame-default): Compile attributes to
	be set by frame parameters before merging in X resources.

2007-02-06  Juanma Barranquero  <lekktu@gmail.com>

	* simple.el (blink-matching-paren-dont-ignore-comments):
	(blink-matching-paren-on-screen): Doc fixes.

2007-02-06  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-frames-mode): Truncate lines in stack buffer.

2007-02-05  Juanma Barranquero  <lekktu@gmail.com>

	* loadhist.el (unload-feature): Silently ignore `load-history' entries
	of the form `(defface . SYMBOL)', and treat `(autoload . SYMBOL)'
	entries like `defun'.  Return nil.

2007-02-05  Kim F. Storm  <storm@cua.dk>

	* ido.el: Doc fixes.

2007-02-04  David Kastrup  <dak@gnu.org>

	* play/mpuz.el (mpuz-random-puzzle): Fix potential lockup when
	`mpuz-allow-double-multiplicator' is non-zero, and correct
	calculation of `min'.

2007-02-04  Per Abrahamsen  <abraham@dina.kvl.dk>

	* wid-edit.el (widget-default-create): Insert new text at the
	:from marker _after_ the marker, not before it.

2007-02-04  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-indent-line): Don't erase ^L when a line
	containing it is re-indented.

